SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

--
-- Struktura tabeli dla tabeli `answer_checkbox`
--

CREATE TABLE IF NOT EXISTS `answer_checkbox` (
  `answerCheckboxId` int(11) NOT NULL AUTO_INCREMENT,
  `isChecked` tinyint(4) DEFAULT NULL,
  `answerMixedId` int(11) NOT NULL,
  `companyId` int(11) NOT NULL,
  PRIMARY KEY (`answerCheckboxId`),
  KEY `fk_answer_checkbox_answer_mixed1` (`answerMixedId`),
  KEY `fk_answer_checkbox_company1` (`companyId`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci AUTO_INCREMENT=36 ;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `answer_list`
--

CREATE TABLE IF NOT EXISTS `answer_list` (
  `answerListId` int(11) NOT NULL AUTO_INCREMENT,
  `year` int(11) NOT NULL,
  `listContent` varchar(245) COLLATE utf8_polish_ci DEFAULT NULL,
  `questionId` int(11) NOT NULL,
  `companyId` int(11) NOT NULL,
  PRIMARY KEY (`answerListId`),
  KEY `fk_answer_list_question1` (`questionId`),
  KEY `fk_answer_list_company1` (`companyId`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci AUTO_INCREMENT=5 ;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `answer_mixed`
--

CREATE TABLE IF NOT EXISTS `answer_mixed` (
  `answerMixedId` int(11) NOT NULL AUTO_INCREMENT,
  `questionNumber` int(11) NOT NULL,
  `questionSubnumber` int(11) NOT NULL,
  `number` int(11) NOT NULL,
  `subnumber` int(11) DEFAULT NULL,
  `type` int(11) NOT NULL,
  PRIMARY KEY (`answerMixedId`),
  UNIQUE KEY `UNIGUE_ANSWER` (`questionNumber`,`questionSubnumber`,`number`,`subnumber`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci AUTO_INCREMENT=44 ;

--
-- Dane w tabeli `answer_mixed`
--

INSERT INTO `answer_mixed` (`answerMixedId`, `questionNumber`, `questionSubnumber`, `number`, `subnumber`, `type`) VALUES
(1, 118, 0, 1, 0, 0),
(2, 118, 0, 1, 1, 1),
(3, 118, 0, 1, 2, 1),
(4, 118, 0, 1, 3, 1),
(5, 118, 0, 1, 4, 1),
(6, 118, 0, 2, 0, 0),
(7, 118, 0, 2, 1, 1),
(8, 118, 0, 2, 2, 1),
(9, 118, 0, 2, 3, 1),
(10, 118, 0, 2, 4, 1),
(11, 118, 0, 2, 5, 1),
(12, 118, 0, 3, 0, 0),
(13, 118, 0, 3, 1, 1),
(14, 118, 0, 3, 2, 1),
(15, 118, 0, 3, 3, 1),
(16, 118, 0, 4, 0, 2),
(17, 119, 0, 1, 0, 0),
(18, 119, 0, 1, 1, 1),
(19, 119, 0, 1, 2, 1),
(20, 119, 0, 1, 3, 1),
(21, 119, 0, 1, 4, 1),
(22, 119, 0, 2, 0, 0),
(23, 119, 0, 2, 1, 1),
(24, 119, 0, 2, 2, 1),
(25, 119, 0, 2, 3, 1),
(26, 119, 0, 2, 4, 1),
(27, 119, 0, 2, 5, 1),
(28, 119, 0, 3, 0, 0),
(29, 119, 0, 3, 1, 1),
(30, 119, 0, 3, 2, 1),
(31, 119, 0, 3, 3, 1),
(32, 119, 0, 4, 0, 2),
(33, 120, 0, 1, 0, 1),
(34, 120, 0, 2, 0, 1),
(35, 120, 0, 3, 0, 1),
(36, 120, 0, 4, 0, 1),
(37, 120, 0, 5, 0, 1),
(38, 120, 0, 6, 0, 1),
(39, 120, 0, 7, 0, 1),
(40, 120, 0, 8, 0, 1),
(41, 120, 0, 9, 0, 1),
(42, 120, 0, 10, 0, 1),
(43, 120, 0, 11, 0, 1);

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `answer_mixed_i18n`
--

CREATE TABLE IF NOT EXISTS `answer_mixed_i18n` (
  `id` int(11) NOT NULL,
  `culture` varchar(7) COLLATE utf8_polish_ci NOT NULL,
  `answerText` varchar(245) COLLATE utf8_polish_ci NOT NULL,
  PRIMARY KEY (`id`,`culture`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

--
-- Dane w tabeli `answer_mixed_i18n`
--

INSERT INTO `answer_mixed_i18n` (`id`, `culture`, `answerText`) VALUES
(1, 'en_US', 'Thematic Group INFO:'),
(1, 'pl_PL', 'Grupa tematyczna INFO:'),
(2, 'en_US', 'Information technology and telecommunications,'),
(2, 'pl_PL', 'technologie informacyjne i telekomunikacyjne,'),
(3, 'en_US', 'Intelligent networks, telecommunication,'),
(3, 'pl_PL', 'sieci inteligentne, telekomunikacyjne,'),
(4, 'en_US', 'Optoelectronics,'),
(4, 'pl_PL', 'optoelektronika,'),
(5, 'en_US', 'Computational sciences.'),
(5, 'pl_PL', 'nauki obliczeniowe.'),
(6, 'en_US', 'TECHNO Thematic Group:'),
(6, 'pl_PL', 'Grupa tematyczna TECHNO:'),
(7, 'en_US', 'New materials and technologies,'),
(7, 'pl_PL', 'nowe materiały i technologie,'),
(8, 'en_US', 'Nanotechnologies,'),
(8, 'pl_PL', 'nanotechnologie,'),
(9, 'en_US', 'Design of specialized systems,'),
(9, 'pl_PL', 'projektowanie systemów specjalizowanych,'),
(10, 'en_US', 'Mechatronics'),
(10, 'pl_PL', 'mechatronika,'),
(11, 'en_US', 'Technology and chemical engineering.'),
(11, 'pl_PL', 'technologia i inżynieria chemiczna.'),
(12, 'en_US', 'Thematic Group BIO:'),
(12, 'pl_PL', 'Grupa tematyczna BIO:'),
(13, 'en_US', 'Biotechnology and bioengineering,'),
(13, 'pl_PL', 'biotechnologia i bioinżynieria,'),
(14, 'en_US', 'Biological progress in agriculture and environmental protection,'),
(14, 'pl_PL', 'postęp biologiczny w rolnictwie i ochrona środowiska,'),
(15, 'en_US', 'New medical products and techniques.'),
(15, 'pl_PL', 'nowe wyroby i techniki medyczne.'),
(16, 'en_US', 'Other [write it]:'),
(16, 'pl_PL', 'Inne [ wpisać jakie ]:'),
(17, 'en_US', 'Thematic Group INFO:'),
(17, 'pl_PL', 'Grupa tematyczna INFO:'),
(18, 'en_US', 'Information technology and telecommunications,'),
(18, 'pl_PL', 'technologie informacyjne i telekomunikacyjne,'),
(19, 'en_US', 'Intelligent networks, telecommunication,'),
(19, 'pl_PL', 'sieci inteligentne, telekomunikacyjne,'),
(20, 'en_US', 'Optoelectronics,'),
(20, 'pl_PL', 'optoelektronika,'),
(21, 'en_US', 'Computational sciences.'),
(21, 'pl_PL', 'nauki obliczeniowe.'),
(22, 'en_US', 'TECHNO Thematic Group:'),
(22, 'pl_PL', 'Grupa tematyczna TECHNO:'),
(23, 'en_US', 'New materials and technologies,'),
(23, 'pl_PL', 'nowe materiały i technologie,'),
(24, 'en_US', 'Nanotechnologies,'),
(24, 'pl_PL', 'nanotechnologie,'),
(25, 'en_US', 'Design of specialized systems,'),
(25, 'pl_PL', 'projektowanie systemów specjalizowanych,'),
(26, 'en_US', 'Mechatronics,'),
(26, 'pl_PL', 'mechatronika,'),
(27, 'en_US', 'Technology and chemical engineering.'),
(27, 'pl_PL', 'technologia i inżynieria chemiczna.'),
(28, 'en_US', 'Thematic Group BIO:'),
(28, 'pl_PL', 'Grupa tematyczna BIO:'),
(29, 'en_US', 'Biotechnology and bioengineering,'),
(29, 'pl_PL', 'biotechnologia i bioinżynieria,'),
(30, 'en_US', 'Biological progress in agriculture and environmental protection,'),
(30, 'pl_PL', 'postęp biologiczny w rolnictwie i ochrona środowiska,'),
(31, 'en_US', 'New medical products and techniques.'),
(31, 'pl_PL', 'nowe wyroby i techniki medyczne.'),
(32, 'en_US', 'Other [write it]:'),
(32, 'pl_PL', 'Inne [ wpisać jakie ]:'),
(33, 'en_US', 'Improving the quality [item 100, 102, 104, 106]'),
(33, 'pl_PL', 'Poprawa jakości [ poz. 100;102;104;106 ]'),
(34, 'en_US', 'Increasing the range [item 32, 33, 34, 36, 41, 42]'),
(34, 'pl_PL', 'Zwiększenie asortymentu [ poz. 32;33;34;36;41;42 ]'),
(35, 'en_US', 'Increasing production capacity [item 5]'),
(35, 'pl_PL', 'Zwiększenie zdolności produkcyjnych  [ poz. 5 ]'),
(36, 'en_US', 'Increasing market share [item 37, 38, 39, 40, 41, 42, 90, 98]'),
(36, 'pl_PL', 'Zwiększenie udziału na rynku [ poz. 37;38;39;40;41;42;90;98 ]'),
(37, 'en_US', 'Replacement of outdated production [item 35.41, 42, 123, 124]'),
(37, 'pl_PL', 'Zastąpienie przestarzałej produkcji [ poz. 35,41;42;123;124 ]'),
(38, 'en_US', 'Entering new markets [item 90, 98, 125]'),
(38, 'pl_PL', 'Wejście na nowe rynki [ poz. 90;98;125 ]'),
(39, 'en_US', 'Increased flexibility and productivity item 66, 67, 70, 72, 80, 85, 88]'),
(39, 'pl_PL', 'Zwiększenie elastyczności i produktywności [ poz. 66;67;70;72;80;85;88 ]'),
(40, 'en_US', 'Improving the environment [item 110; 112; 113, 114, 115]'),
(40, 'pl_PL', 'Poprawa ochrony środowiska [ poz. 110;112;113;114;115 ]'),
(41, 'en_US', 'Improving the safety and health at work item 116; 117]'),
(41, 'pl_PL', 'Poprawa warunków bezpieczeństwa i higieny pracy [ poz. 116;117 ]'),
(42, 'en_US', 'Reduce labor costs [item 76, 77, 79]'),
(42, 'pl_PL', 'Zmniejszenie kosztów pracy [ poz. 76;77;79 ]'),
(43, 'en_US', 'Improving working conditions [item 27].'),
(43, 'pl_PL', 'Poprawa warunków pracy [ poz. 27 ]');

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `answer_text`
--

CREATE TABLE IF NOT EXISTS `answer_text` (
  `answerTextId` int(11) NOT NULL AUTO_INCREMENT,
  `text` varchar(245) COLLATE utf8_polish_ci DEFAULT NULL,
  `answerMixedId` int(11) NOT NULL,
  `companyId` int(11) NOT NULL,
  PRIMARY KEY (`answerTextId`),
  KEY `fk_answer_text_answer_mixed1` (`answerMixedId`),
  KEY `fk_answer_text_company1` (`companyId`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci AUTO_INCREMENT=3 ;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `answer_years`
--

CREATE TABLE IF NOT EXISTS `answer_years` (
  `answerYearsId` int(11) NOT NULL AUTO_INCREMENT,
  `year` int(11) NOT NULL,
  `value` double DEFAULT NULL,
  `questionId` int(11) NOT NULL,
  `companyId` int(11) NOT NULL,
  PRIMARY KEY (`answerYearsId`),
  KEY `fk_answer_years_question` (`questionId`),
  KEY `fk_answer_years_company1` (`companyId`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci AUTO_INCREMENT=1118 ;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `answer_years_auto`
--

CREATE TABLE IF NOT EXISTS `answer_years_auto` (
  `answerYearsAutoId` int(11) NOT NULL AUTO_INCREMENT,
  `questionNumber` int(11) NOT NULL,
  `questionSubnumber` int(11) NOT NULL,
  `operationType` int(11) NOT NULL,
  `answerNumbers` varchar(145) COLLATE utf8_polish_ci NOT NULL,
  PRIMARY KEY (`answerYearsAutoId`),
  UNIQUE KEY `UNIQUE_ANSWER` (`questionNumber`,`questionSubnumber`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci AUTO_INCREMENT=32 ;

--
-- Dane w tabeli `answer_years_auto`
--

INSERT INTO `answer_years_auto` (`answerYearsAutoId`, `questionNumber`, `questionSubnumber`, `operationType`, `answerNumbers`) VALUES
(1, 1, 0, 1, '2.0 | 3.0 | 4.0 | 5.0 | 9.0 | 10.0 | 11.0 | 13.0 | 14.0'),
(2, 5, 0, 1, '6.0 | 7.0'),
(3, 14, 0, 1, '15.0 | 16.0 | 17.0 | 17.1 | 17.2 | 18.0 | 19.0 | 20.0'),
(4, 27, 0, 3, '26.0 | 25.0'),
(5, 28, 0, 1, '29.0 | 30.0 | 31.0'),
(6, 45, 0, 1, '46.0 | 47.0 | 48.0 | 49.0'),
(7, 50, 0, 1, '51.0 | 57.0 | 58.0'),
(8, 51, 0, 1, '52.0 | 53.0 | 54.0 | 55.0 | 56.0'),
(9, 59, 0, 2, '37.0 | 51.0'),
(10, 60, 0, 2, '44.0 | 43.0'),
(11, 61, 0, 2, '45.0 | 43.0'),
(12, 62, 0, 2, '50.0 | 43.0'),
(13, 66, 0, 2, '63.0 | 74.0'),
(14, 67, 0, 2, '65.0 | 37.0'),
(15, 70, 0, 2, '68.0 | 38.0'),
(16, 70, 1, 2, '69.0 | 41.0'),
(17, 72, 0, 2, '71.0 | 37.0'),
(18, 76, 0, 2, '75.0 | 37.0'),
(19, 77, 0, 2, '37.0 | 74.0'),
(20, 79, 0, 2, '37.0 | 78.0'),
(21, 85, 0, 2, '83.0 | 82.0'),
(22, 100, 0, 2, '99.0 | 37.0'),
(23, 102, 0, 2, '101.0 | 41.0'),
(24, 104, 0, 2, '103.0 | 37.0'),
(25, 106, 0, 2, '105.0 | 41.0'),
(26, 110, 0, 2, '109.0 | 37.0'),
(27, 112, 0, 2, '111.0 | 37.0'),
(28, 121, 0, 3, '40.0 | 38.0'),
(29, 122, 0, 3, '42.0 | 41.0'),
(30, 123, 0, 3, '41.0 | 38.0'),
(31, 124, 0, 3, '42.0 | 40.0');

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `answer_years_range`
--

CREATE TABLE IF NOT EXISTS `answer_years_range` (
  `answerYearsRangeId` int(11) NOT NULL AUTO_INCREMENT,
  `startYear` int(11) NOT NULL,
  `endYear` int(11) NOT NULL,
  `value` double DEFAULT NULL,
  `questionId` int(11) NOT NULL,
  `companyId` int(11) NOT NULL,
  PRIMARY KEY (`answerYearsRangeId`),
  KEY `fk_answer_years_range_question1` (`questionId`),
  KEY `fk_answer_years_range_company1` (`companyId`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci AUTO_INCREMENT=15 ;


-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `answer_years_range_auto`
--

CREATE TABLE IF NOT EXISTS `answer_years_range_auto` (
  `answerYearsRangeAutoId` int(11) NOT NULL AUTO_INCREMENT,
  `questionNumber` int(11) NOT NULL,
  `questionSubnumber` int(11) NOT NULL,
  `answerNumber` int(11) NOT NULL,
  `answerSubnumber` int(11) NOT NULL,
  PRIMARY KEY (`answerYearsRangeAutoId`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci AUTO_INCREMENT=10 ;


INSERT INTO `answer_years_range_auto` (`answerYearsRangeAutoId`, `questionNumber`, `questionSubnumber`, `answerNumber`, `answerSubnumber`) VALUES
(1, 37, 1, 37, 0),
(2, 38, 1, 38, 0),
(3, 39, 1, 39, 0),
(4, 40, 1, 40, 0),
(5, 41, 1, 41, 0),
(6, 42, 1, 42, 0),
(7, 68, 1, 68, 0),
(8, 69, 1, 69, 0),
(9, 69, 1, 69, 0);

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `company`
--

CREATE TABLE IF NOT EXISTS `company` (
  `companyId` int(11) NOT NULL AUTO_INCREMENT,
  `userId` int(11) NOT NULL,
  `name` varchar(95) COLLATE utf8_polish_ci NOT NULL,
  `streetName` varchar(100) COLLATE utf8_polish_ci DEFAULT NULL,
  `postCode` varchar(10) COLLATE utf8_polish_ci DEFAULT NULL,
  `place` varchar(95) COLLATE utf8_polish_ci DEFAULT NULL,
  `province` varchar(45) COLLATE utf8_polish_ci DEFAULT NULL,
  `country` varchar(95) COLLATE utf8_polish_ci DEFAULT NULL,
  `phoneNumber` varchar(45) COLLATE utf8_polish_ci DEFAULT NULL,
  `faxNumber` varchar(45) COLLATE utf8_polish_ci DEFAULT NULL,
  `email` varchar(95) COLLATE utf8_polish_ci DEFAULT NULL,
  `siteAddres` varchar(95) COLLATE utf8_polish_ci DEFAULT NULL,
  `pkdNumber` varchar(45) COLLATE utf8_polish_ci DEFAULT NULL,
  `regonNumber` varchar(45) COLLATE utf8_polish_ci DEFAULT NULL,
  `propertyType` varchar(95) COLLATE utf8_polish_ci DEFAULT NULL,
  `creationYear` varchar(5) COLLATE utf8_polish_ci DEFAULT NULL,
  `nationalHeadquarters` varchar(95) COLLATE utf8_polish_ci DEFAULT NULL,
  `abroadHeadquarters` varchar(95) COLLATE utf8_polish_ci DEFAULT NULL,
  `isProductInnovation` tinyint(4) DEFAULT NULL,
  `isProcessInnovation` tinyint(4) DEFAULT NULL,
  `isOrganisationInnovation` tinyint(4) DEFAULT NULL,
  `isCustomerServiceInnovation` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`companyId`),
  UNIQUE KEY `UNIQUE_NAME` (`userId`,`name`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci AUTO_INCREMENT=7 ;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `efficacy`
--

CREATE TABLE IF NOT EXISTS `efficacy` (
  `efficacyId` int(11) NOT NULL AUTO_INCREMENT,
  `number` int(11) DEFAULT NULL,
  `ww` float NOT NULL,
  `wt` float NOT NULL,
  `wn` float NOT NULL,
  `wo` float NOT NULL,
  `companyId` int(11) NOT NULL,
  PRIMARY KEY (`efficacyId`),
  KEY `fk_efficacy_company1` (`companyId`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci AUTO_INCREMENT=9 ;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `innovation_schema`
--

CREATE TABLE IF NOT EXISTS `innovation_schema` (
  `schemaId` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(145) COLLATE utf8_polish_ci NOT NULL,
  `imageName` varchar(145) COLLATE utf8_polish_ci NOT NULL,
  `inputType` tinyint(4) NOT NULL,
  `effectType` tinyint(4) NOT NULL,
  PRIMARY KEY (`schemaId`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci AUTO_INCREMENT=16 ;

--
-- Dane w tabeli `innovation_schema`
--

INSERT INTO `innovation_schema` (`schemaId`, `name`, `imageName`, `inputType`, `effectType`) VALUES
(1, '1', 'schema_1', 0, 0),
(2, '1-W', 'schema_1_w', 1, 0),
(3, '1-P', 'schema_1_p', 2, 0),
(4, '1-O', 'schema_1_o', 3, 0),
(5, '1-K', 'schema_1_k', 4, 0),
(6, '2', 'schema_2', 0, 1),
(7, '2-W', 'schema_2_w', 1, 1),
(8, '2-P', 'schema_2_p', 2, 1),
(9, '2-O', 'schema_2_o', 3, 1),
(10, '2-K', 'schema_2_k', 4, 1),
(11, '3', 'schema_3', 0, 2),
(12, '3-W', 'schema_3_w', 1, 2),
(13, '3-P', 'schema_3_p', 2, 2),
(14, '3-O', 'schema_3_o', 3, 2),
(15, '3-K', 'schema_3_k', 4, 2);

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `prediction`
--

CREATE TABLE IF NOT EXISTS `prediction` (
  `predictionId` int(11) NOT NULL AUTO_INCREMENT,
  `fieldName` varchar(45) COLLATE utf8_polish_ci NOT NULL,
  `typeOfTrend` int(11) NOT NULL,
  `startYear` int(11) NOT NULL,
  `endYear` int(11) NOT NULL,
  `year1` float NOT NULL,
  `year2` float NOT NULL,
  `year3` float NOT NULL,
  `year4` float NOT NULL,
  `year5` float NOT NULL,
  `companyId` int(11) NOT NULL,
  PRIMARY KEY (`predictionId`),
  KEY `fk_prediction_company1` (`companyId`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci AUTO_INCREMENT=7 ;


-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `question`
--

CREATE TABLE IF NOT EXISTS `question` (
  `questionId` int(11) NOT NULL AUTO_INCREMENT,
  `number` int(11) NOT NULL,
  `subnumber` int(11) NOT NULL,
  `type` int(11) NOT NULL,
  `isColoredTab` tinyint(4) NOT NULL,
  `isColoredSchema` tinyint(4) NOT NULL,
  `requiredQuestion` tinyint(4) DEFAULT '0',
  `predictionQuestion` tinyint(4) DEFAULT '0',
  `cssClassName` varchar(50) COLLATE utf8_polish_ci DEFAULT NULL,
  PRIMARY KEY (`questionId`),
  UNIQUE KEY `QUESTION_UNIQUE` (`number`,`subnumber`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci AUTO_INCREMENT=143 ;

--
-- Dane w tabeli `question`
--

INSERT INTO `question` (`questionId`, `number`, `subnumber`, `type`, `isColoredTab`, `isColoredSchema`, `requiredQuestion`, `predictionQuestion`, `cssClassName`) VALUES
(1, 1, 0, 2, 0, 0, 0, 1, 'bold'),
(2, 2, 0, 7, 0, 0, 1, 1, NULL),
(3, 3, 0, 7, 0, 0, 1, 1, NULL),
(4, 4, 0, 7, 0, 0, 1, 1, NULL),
(5, 5, 0, 2, 0, 1, 0, 1, NULL),
(6, 6, 0, 7, 0, 0, 1, 1, NULL),
(7, 7, 0, 7, 0, 0, 1, 1, NULL),
(8, 8, 0, 7, 0, 0, 1, 1, NULL),
(9, 9, 0, 7, 0, 0, 1, 1, NULL),
(10, 10, 0, 7, 0, 0, 1, 1, NULL),
(11, 11, 0, 7, 0, 0, 1, 1, NULL),
(12, 12, 0, 7, 0, 0, 1, 1, NULL),
(13, 13, 0, 7, 0, 0, 1, 1, NULL),
(14, 14, 0, 2, 0, 0, 0, 0, NULL),
(15, 15, 0, 7, 0, 0, 0, 0, NULL),
(16, 16, 0, 7, 0, 0, 0, 0, NULL),
(17, 17, 0, 7, 0, 0, 0, 0, NULL),
(18, 17, 1, 7, 0, 0, 0, 0, NULL),
(19, 17, 2, 7, 0, 0, 0, 0, NULL),
(20, 18, 0, 7, 0, 0, 0, 0, NULL),
(21, 19, 0, 7, 0, 0, 0, 0, NULL),
(22, 20, 0, 7, 0, 0, 0, 0, NULL),
(23, 21, 0, 7, 0, 1, 0, 0, NULL),
(24, 22, 0, 7, 0, 1, 0, 0, 'bold'),
(25, 23, 0, 7, 0, 0, 0, 0, NULL),
(26, 24, 0, 7, 0, 0, 0, 0, NULL),
(27, 25, 0, 7, 0, 0, 0, 0, NULL),
(28, 26, 0, 7, 1, 0, 0, 0, NULL),
(29, 27, 0, 2, 0, 1, 0, 1, 'bold'),
(30, 28, 0, 2, 0, 1, 0, 0, NULL),
(31, 29, 0, 7, 0, 0, 0, 0, NULL),
(32, 30, 0, 7, 0, 0, 0, 0, NULL),
(33, 31, 0, 7, 0, 0, 0, 0, NULL),
(34, 32, 0, 7, 0, 1, 0, 0, NULL),
(35, 33, 0, 7, 0, 1, 0, 0, NULL),
(36, 34, 0, 7, 0, 1, 0, 0, NULL),
(37, 35, 0, 7, 0, 1, 0, 0, NULL),
(38, 36, 0, 7, 0, 1, 0, 0, NULL),
(39, 37, 0, 7, 1, 0, 1, 1, 'bold'),
(40, 37, 1, 4, 0, 0, 0, 1, 'bold'),
(41, 37, 2, 7, 0, 1, 0, 0, 'bold'),
(42, 38, 0, 7, 1, 0, 1, 1, 'bold'),
(43, 38, 1, 4, 0, 0, 0, 1, 'bold'),
(44, 38, 2, 7, 0, 1, 1, 1, 'bold'),
(45, 39, 0, 7, 1, 0, 0, 0, 'bold'),
(46, 39, 1, 4, 0, 0, 0, 1, 'bold'),
(47, 39, 2, 3, 0, 1, 1, 1, 'bold'),
(48, 40, 0, 7, 1, 0, 1, 1, 'bold'),
(49, 40, 1, 4, 0, 0, 0, 1, 'bold'),
(50, 40, 2, 7, 0, 1, 0, 0, 'bold'),
(51, 41, 0, 7, 1, 1, 1, 1, 'bold'),
(52, 41, 1, 4, 0, 1, 0, 1, 'bold'),
(53, 42, 0, 7, 0, 1, 1, 1, 'bold'),
(54, 42, 1, 4, 1, 1, 0, 1, 'bold'),
(55, 43, 0, 7, 0, 0, 0, 0, NULL),
(56, 44, 0, 7, 0, 0, 0, 0, NULL),
(57, 45, 0, 2, 1, 0, 0, 0, NULL),
(58, 46, 0, 7, 0, 0, 0, 0, NULL),
(59, 47, 0, 7, 1, 0, 0, 0, NULL),
(60, 48, 0, 7, 0, 0, 0, 0, NULL),
(61, 49, 0, 7, 0, 0, 0, 0, NULL),
(62, 50, 0, 2, 1, 0, 0, 0, NULL),
(63, 51, 0, 2, 1, 0, 0, 0, NULL),
(64, 52, 0, 7, 0, 0, 0, 0, NULL),
(65, 53, 0, 7, 0, 0, 0, 0, NULL),
(66, 54, 0, 7, 0, 0, 0, 0, NULL),
(67, 55, 0, 7, 0, 0, 0, 0, NULL),
(68, 56, 0, 7, 0, 0, 0, 0, NULL),
(69, 57, 0, 7, 0, 0, 0, 0, NULL),
(70, 58, 0, 7, 0, 0, 0, 0, NULL),
(71, 59, 0, 2, 0, 0, 0, 0, NULL),
(72, 60, 0, 2, 0, 0, 0, 0, NULL),
(73, 61, 0, 2, 0, 0, 0, 0, NULL),
(74, 62, 0, 2, 0, 0, 0, 0, NULL),
(75, 63, 0, 7, 1, 0, 1, 1, NULL),
(76, 64, 0, 7, 1, 0, 0, 0, NULL),
(77, 65, 0, 7, 1, 0, 1, 1, NULL),
(78, 66, 0, 2, 0, 1, 0, 1, 'bold'),
(79, 67, 0, 2, 0, 1, 0, 1, NULL),
(80, 68, 0, 7, 2, 0, 1, 1, NULL),
(81, 68, 1, 4, 0, 0, 0, 1, NULL),
(82, 68, 2, 7, 0, 2, 0, 0, NULL),
(83, 69, 0, 7, 2, 0, 1, 1, NULL),
(84, 69, 1, 4, 0, 2, 0, 1, NULL),
(85, 70, 0, 2, 0, 2, 0, 1, 'bold'),
(86, 70, 1, 2, 0, 2, 0, 1, 'bold'),
(87, 71, 0, 7, 2, 0, 0, 0, NULL),
(88, 72, 0, 2, 0, 2, 0, 1, 'bold'),
(89, 73, 0, 7, 0, 0, 0, 0, NULL),
(90, 74, 0, 7, 0, 0, 0, 0, NULL),
(91, 75, 0, 7, 0, 0, 0, 0, NULL),
(92, 76, 0, 2, 0, 2, 0, 1, 'bold'),
(93, 77, 0, 2, 0, 1, 0, 1, 'bold'),
(94, 78, 0, 7, 0, 0, 0, 0, NULL),
(95, 79, 0, 2, 0, 1, 0, 1, 'bold'),
(96, 80, 0, 7, 0, 1, 0, 0, NULL),
(97, 81, 0, 1, 0, 2, 0, 0, NULL),
(98, 82, 0, 7, 0, 0, 0, 0, NULL),
(99, 83, 0, 7, 1, 0, 0, 0, NULL),
(100, 84, 0, 5, 0, 0, 1, 0, ''),
(101, 85, 0, 2, 0, 1, 0, 1, 'bold'),
(102, 86, 0, 7, 0, 0, 0, 0, NULL),
(103, 87, 0, 5, 0, 0, 0, 0, NULL),
(104, 88, 0, 7, 0, 1, 0, 0, NULL),
(105, 89, 0, 5, 0, 0, 0, 0, NULL),
(106, 90, 0, 7, 0, 1, 0, 0, NULL),
(107, 91, 0, 5, 0, 0, 0, 0, NULL),
(108, 92, 0, 7, 0, 0, 0, 0, NULL),
(109, 93, 0, 7, 0, 0, 0, 0, NULL),
(110, 94, 0, 7, 0, 0, 0, 0, NULL),
(111, 95, 0, 7, 0, 0, 0, 0, NULL),
(112, 96, 0, 7, 0, 0, 0, 0, NULL),
(113, 97, 0, 7, 0, 0, 0, 0, NULL),
(114, 98, 0, 1, 0, 1, 0, 0, NULL),
(115, 99, 0, 7, 2, 0, 1, 1, NULL),
(116, 100, 0, 2, 0, 2, 0, 1, 'bold'),
(117, 101, 0, 7, 2, 0, 1, 1, NULL),
(118, 102, 0, 2, 0, 2, 0, 1, NULL),
(119, 103, 0, 7, 2, 0, 1, 1, NULL),
(120, 104, 0, 2, 0, 2, 0, 1, NULL),
(121, 105, 0, 7, 2, 0, 1, 1, NULL),
(122, 106, 0, 2, 0, 2, 0, 1, NULL),
(123, 107, 0, 5, 0, 0, 0, 0, NULL),
(124, 108, 0, 5, 0, 0, 0, 0, NULL),
(125, 109, 0, 7, 0, 0, 0, 0, NULL),
(126, 110, 0, 2, 0, 2, 0, 1, 'bold'),
(127, 111, 0, 7, 0, 0, 0, 0, NULL),
(128, 112, 0, 2, 0, 2, 0, 1, NULL),
(129, 113, 0, 1, 0, 2, 0, 0, NULL),
(130, 114, 0, 1, 0, 2, 0, 0, NULL),
(131, 115, 0, 1, 0, 1, 0, 0, NULL),
(132, 116, 0, 1, 0, 2, 0, 0, NULL),
(133, 117, 0, 1, 0, 2, 0, 0, NULL),
(134, 118, 0, 6, 0, 0, 0, 0, NULL),
(135, 119, 0, 6, 0, 0, 0, 0, NULL),
(136, 120, 0, 6, 0, 0, 0, 0, NULL),
(137, 121, 0, 2, 1, 0, 0, 1, 'bold'),
(138, 122, 0, 2, 1, 0, 0, 1, 'bold'),
(139, 123, 0, 2, 0, 1, 0, 1, 'bold'),
(140, 124, 0, 2, 0, 1, 0, 1, 'bold'),
(141, 125, 0, 7, 0, 1, 0, 0, NULL),
(142, 126, 0, 8, 0, 1, 0, 0, NULL);

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `question_i18n`
--

CREATE TABLE IF NOT EXISTS `question_i18n` (
  `id` int(11) NOT NULL,
  `culture` varchar(7) COLLATE utf8_polish_ci NOT NULL,
  `questionText` varchar(250) COLLATE utf8_polish_ci NOT NULL,
  `answerHeader` varchar(150) COLLATE utf8_polish_ci DEFAULT NULL,
  `questionFooter` varchar(250) COLLATE utf8_polish_ci DEFAULT NULL,
  PRIMARY KEY (`id`,`culture`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

--
-- Dane w tabeli `question_i18n`
--

INSERT INTO `question_i18n` (`id`, `culture`, `questionText`, `answerHeader`, `questionFooter`) VALUES
(1, 'en_US', 'Expenditures / expenses [Σ (H 2,3,4, 5,9,10,11,13, 14)] incurred on innovative activity - total: Including:', '[ Thous. zł ]', '[ Command Information ]'),
(1, 'pl_PL', 'Nakłady/wydatki [Σ(poz. 2,3,4,5,9,10,11,13,14)] ponoszone na działalność innowacyjną – ogółem:, w tym:', '[ tys. zł ]', '[ Wiersz informacyjny ]'),
(2, 'en_US', 'Expenditures on internal research [R] - and development [D] (Conducted in the company)', '[ Thous. zł ]', '[ Command Information ]'),
(2, 'pl_PL', 'Nakłady na działalność badawczo – rozwojowa  [ B + R ] wewnętrzną ( prowadzoną w przedsiębiorstwie )', '[ tys. zł ]', '[ Wiersz informacyjny ]'),
(3, 'en_US', 'Expenditures on the purchase of outsourced R - D [R]', '[ Thous. zł ]', '[ Command Information ]'),
(3, 'pl_PL', 'Nakłady na zakup zewnętrznych usług badawczo – rozwojowych  [ B + R ]', '[ tys. zł ]', '[ Wiersz informacyjny ]'),
(4, 'en_US', 'Expenditures on the purchase of ready-made technology in the form of documentation and rights - acquisition of knowledge from external sources', '[ Thous. zł ]', '[ Command Information ]'),
(4, 'pl_PL', 'Nakłady na zakup gotowej technologii w postaci dokumentacji i praw – zakup wiedzy ze źródeł zewnętrznych', '[ tys. zł ]', '[ Wiersz informacyjny ]'),
(5, 'en_US', '[Σ (H 6.7)] Capital expenditure on fixed assets [Innovation-related]', '[ Thous. zł ]', '[ Command Information ]'),
(5, 'pl_PL', '[Σ(poz. 6,7 )] Nakłady inwestycyjne na środki trwałe [ związane z innowacjami ]', '[ tys. zł ]', '[ Wiersz informacyjny ]'),
(6, 'en_US', 'Buildings and accommodations, facilities of civil engineering and land [innovation-related]', '[ Thous. zł ]', '[ Command Information ]'),
(6, 'pl_PL', 'Budynki i lokale, obiekty inżynierii lądowej oraz grunty [ związane z innowacjami ]', '[ tys. zł ]', '[ Wiersz informacyjny ]'),
(7, 'en_US', 'Machinery and technical equipment, transportation tools,, movables and equipment [Innovation-related] - Including:', '[ Thous. zł ]', '[ Command Information ]'),
(7, 'pl_PL', 'Maszyny i urządzenia techniczne, środki transportu, narzędzia, przyrządy, ruchomości i wyposażenie [ związane z innowacjami ] - w tym:', '[ tys. zł ]', '[ Wiersz informacyjny ]'),
(8, 'en_US', '- From import,', '[ Thous. zł ]', '[ Command Information ]'),
(8, 'pl_PL', '– z importu,', '[ tys. zł ]', '[ Wiersz informacyjny ]'),
(9, 'en_US', 'Expenditures for training directly related to the introduction of innovation,', '[ Thous. zł ]', '[ Command Information ]'),
(9, 'pl_PL', 'Nakłady na szkolenia związane bezpośrednio z wprowadzaniem innowacji', '[ tys. zł ]', '[ Wiersz informacyjny ]'),
(10, 'en_US', 'Expenditures related to the marketing of new or significantly improved products,', '[ Thous. zł ]', '[ Command Information ]'),
(10, 'pl_PL', 'Nakłady związane z wprowadzaniem na rynek nowych lub istotnie ulepszonych produktów', '[ tys. zł ]', '[ Wiersz informacyjny ]'),
(11, 'en_US', 'Expenditures on information technology - software purchases.', '[ Thous. zł ]', '[ Command Information ]'),
(11, 'pl_PL', 'Nakłady na informatyzację – zakup oprogramowania', '[ tys. zł ]', '[ Wiersz informacyjny ]'),
(12, 'en_US', 'Expenditures on improving customer service processes', '[ Thous. zł ]', '[ Command Information ]'),
(12, 'pl_PL', 'Nakłady ponoszone na ulepszanie procesów obsługi klienta', '[ tys. zł ]', '[ Wiersz informacyjny ]'),
(13, 'en_US', 'Other expenditures on the introduction of new or significantly improved processes or products - including the costs of implementation, certification, maintenance of quality management systems, environment, safety, Lean manufacturing, EPR II, organiza', '[ Thous. zł ]', '[ Command Information ]'),
(13, 'pl_PL', 'Pozostałe nakłady ponoszone na wprowadzenie nowych lub istotnie ulepszonych procesów lub produktów – w tym koszty wdrożeń, certyfikacji, utrzymania systemów zarządzania jakością, środowiskiem, bhp, Lean manufacturing, EPR II, zmian organizacyjnych i ', '[ tys. zł ]', '[ Wiersz informacyjny ]'),
(14, 'en_US', '[Σ (14 ÷ 20)] Sources of funding of innovations - Including:', '[ Thous. zł ]', '[ Command Information ]'),
(14, 'pl_PL', '[Σ( 14 ÷ 20 )] Źródła finansowania innowacji - w tym:', '[ tys. zł ]', '[ Wiersz informacyjny ]'),
(15, 'en_US', 'Own resources,', '[ Thous. zł ]', '[ Command Information ]'),
(15, 'pl_PL', 'Środki własne', '[ tys. zł ]', '[ Wiersz informacyjny ]'),
(16, 'en_US', 'Funds received from the state budget,', '[ Thous. zł ]', '[ Command Information ]'),
(16, 'pl_PL', 'Środki otrzymane z budżetu państwa', '[ tys. zł ]', '[ Wiersz informacyjny ]'),
(17, 'en_US', 'Funds received from abroad [non refundable] - including:', '[ Thous. zł ]', '[ Command Information ]'),
(17, 'pl_PL', 'Środki pozyskane z zagranicy [ bezzwrotne ] – w tym:', '[ tys. zł ]', '[ Wiersz informacyjny ]'),
(18, 'en_US', 'Including funds from the European Union:', '[ Thous. zł ]', '[ Command Information ]'),
(18, 'pl_PL', 'w ty z Unii Europejskiej:', '[ tys. zł ]', '[ Wiersz informacyjny ]'),
(19, 'en_US', 'Including the Operational Programme for Innovative Economy', '[ Thous. zł ]', '[ Command Information ]'),
(19, 'pl_PL', 'w tym z Programu Operacyjnego Innowacyjna Gospodarka', '[ tys. zł ]', '[ Wiersz informacyjny ]'),
(20, 'en_US', 'The funds raised from venture capital,', '[ Thous. zł ]', '[ Command Information ]'),
(20, 'pl_PL', 'Środki pozyskane z funduszy kapitału ryzyka', '[ tys. zł ]', '[ Wiersz informacyjny ]'),
(21, 'en_US', 'Bank loans', '[ Thous. zł ]', '[ Command Information ]'),
(21, 'pl_PL', 'Kredyty bankowe', '[ tys. zł ]', '[ Wiersz informacyjny ]'),
(22, 'en_US', 'Other measures', '[ Thous. zł ]', '[ Command Information ]'),
(22, 'pl_PL', 'Pozostałe środki', '[ tys. zł ]', '[ Wiersz informacyjny ]'),
(23, 'en_US', 'Human resources involved in innovation - Total [including performing their tasks in the field of innovation as an additional attachment]', '[ Amount ]', '[ Command Information ]'),
(23, 'pl_PL', 'Zasoby ludzkie zaangażowane  w innowacje - ogółem [ w tym także wykonujących swoje zadania w zakresie innowacji jako dodatkowe zajęcie ]', '[ ilość ]', '[ Wiersz informacyjny ]'),
(24, 'en_US', 'Number of people directly employed [only] at innovations', '[ Amount ]', '[ Command Information ]'),
(24, 'pl_PL', 'Ilość osób zatrudnionych bezpośrednio [ tylko ] przy innowacjach', '[ ilość ]', '[ Wiersz informacyjny ]'),
(25, 'en_US', 'Number of people with at least the doctor title', '[ Amount ]', '[ Command Information ]'),
(25, 'pl_PL', 'Ilość osób z tytułem – co najmniej doktora', '[ ilość ]', '[ Wiersz informacyjny ]'),
(26, 'en_US', 'Number of people with higher education', '[ Amount ]', '[ Command Information ]'),
(26, 'pl_PL', 'Ilość osób z wykształceniem wyższym', '[ ilość ]', '[ Wiersz informacyjny ]'),
(27, 'en_US', 'Number of jobs in the company - total', '[ Amount ]', '[ Command Information ]'),
(27, 'pl_PL', 'Ilość stanowisk pracy w przedsiębiorstwie – ogółem', '[ ilość ]', '[ Wiersz informacyjny ]'),
(28, 'en_US', 'Number of work stations equipped with modern equipment and computer software', '[ Amount ]', '[ Favourable trend ]'),
(28, 'pl_PL', 'Ilość stanowisk pracy wyposażonych w nowoczesny sprzęt i oprogramowanie informatyczne', '[ ilość ]', '[ Korzystny trend wzrostowy ]'),
(29, 'en_US', 'The share of work stations with modern equipment and computer software in the total number of jobs', '[ % ; ( p.26/p.25 ) * 100% ]', '[ Favourable trend ]'),
(29, 'pl_PL', 'Udział stanowisk pracy wyposażonych w nowoczesny sprzęt i oprogramowanie informatyczne w ilości stanowisk pracy ogółem', '[ % ; ( p.26/p.25 ) * 100% ]', '[ Korzystny trend wzrostowy ]'),
(30, 'en_US', '[Σ (29 ÷ 31)] The number of patents - Total', '[ Amount ]', '[ Command Information - positive trend ]'),
(30, 'pl_PL', '[Σ( 29 ÷ 31 )] Liczba patentów – ogółem', '[ ilość ]', '[ Wiersz informacyjny – korzystny trend wzrostowy ]'),
(31, 'en_US', 'Number of national patents [UP]', '[ Amount ]', '[ Command Information - positive trend ]'),
(31, 'pl_PL', 'Liczba patentów krajowych [ UP ]', '[ ilość ]', '[ Wiersz informacyjny – korzystny trend wzrostowy ]'),
(32, 'en_US', 'Number of European patents [EPO]', '[ Amount ]', '[ Command Information - positive trend ]'),
(32, 'pl_PL', 'Liczba patentów europejskich [ EPO ]', '[ ilość ]', '[ Wiersz informacyjny – korzystny trend wzrostowy ]'),
(33, 'en_US', 'Number of U.S. Patents [USPTO]', '[ Amount ]', '[ Command Information - positive trend ]'),
(33, 'pl_PL', 'Liczba patentów amerykańskich [ USPTO ]', '[ ilość ]', '[ Wiersz informacyjny – korzystny trend wzrostowy ]'),
(34, 'en_US', 'The number of proprietary designs', '[ Amount ]', '[ Command Information - positive trend ]'),
(34, 'pl_PL', 'Liczba zastrzeżonych wzorów przemysłowych', '[ ilość ]', '[ Wiersz informacyjny – korzystny trend wzrostowy ]'),
(35, 'en_US', 'The number of new or improved products placed on the market', '[ Amount ]', '[  Favourable trend ]'),
(35, 'pl_PL', 'Liczba wprowadzonych na rynek wyrobów nowych lub ulepszonych', '[ ilość ]', '[  Korzystny trend wzrostowy ]'),
(36, 'en_US', 'The number of technical documentation / design developments [Construction / technology] new or improved products', '[ Amount ]', '[ Command Information - positive trend ]'),
(36, 'pl_PL', 'Liczba opracowanych dokumentacji technicznej/projektowej [ konstrukcji/technologii ] nowych lub ulepszonych wyrobów', '[ ilość ]', '[ Wiersz informacyjny – korzystny trend wzrostowy ]'),
(37, 'en_US', 'Number of licenses sold', '[ Amount ]', '[ Command Information - positive trend ]'),
(37, 'pl_PL', 'Liczba sprzedanych licencji', '[ ilość ]', '[ Wiersz informacyjny – korzystny trend wzrostowy ]'),
(38, 'en_US', 'Number of registered trademarks', '[ Amount ]', '[ Command Information - positive trend ]'),
(38, 'pl_PL', 'Liczba  zarejestrowanych znaków towarowych', '[ ilość ]', '[ Wiersz informacyjny – korzystny trend wzrostowy ]'),
(39, 'en_US', 'Net revenues from product sales [Products and services], goods and materials,', '[ Thous. zł ]', '[ Command Information - positive trend ]'),
(39, 'pl_PL', 'Przychody netto ze sprzedaży produktów [ wyrobów i usług ] , towarów i materiałów', '[ tys. zł ]', '[ Wiersz informacyjny – korzystny trend wzrostowy ]'),
(40, 'en_US', 'The change - year over year - Net revenues from sales of products [Products and services], goods and materials,', '[ Thous. zł; calculated as the difference from individual years - from the table 37 ]', '[ Command Information - positive trend ]'),
(40, 'pl_PL', 'Zmiana - rok do roku - przychodów netto ze sprzedaży produktów [ wyrobów i usług ], towarów i materiałów', '[ tys. zł ; liczone jako różnica z poszczególnych lat – z tabeli 37 ]', '[ Wiersz informacyjny – korzystny trend wzrostowy ]'),
(41, 'en_US', 'Change in net revenue from sales of products [Products and services], goods and materials - in a situation where growth is the result only of innovative activities and the company is able to determine this value', '[ Thous. zł ]', '[ Command Information - positive trend ]'),
(41, 'pl_PL', 'Zmiana  przychodów netto ze sprzedaży produktów [ wyrobów i usług ], towarów i materiałów – w sytuacji, gdy wzrost jest wynikiem jedynie działań innowacyjnych i przedsiębiorstwo jest w stanie określić tą wartość', '[ tys. zł ]', '[ Wiersz informacyjny – korzystny trend wzrostowy ]'),
(42, 'en_US', 'Net revenues from product sales', '[ Thous. zł ]', '[ Command Information - positive trend ]'),
(42, 'pl_PL', 'Przychody netto ze sprzedaży produktów', '[ tys. zł ]', '[ Wiersz informacyjny – korzystny trend wzrostowy ]'),
(43, 'en_US', 'Modification - year to year - of revenues from net sales of products', '[ Thous. zł; calculated as the difference of each year - from the table 38 ]', '[ Command Information - positive trend ]'),
(43, 'pl_PL', 'Zmiana – rok do rok - przychodów netto ze sprzedaży produktów', '[ tys. zł ; liczone jako różnica z poszczególnych lat – z tabeli 38 ]', '[ Wiersz informacyjny – korzystny trend wzrostowy ]'),
(44, 'en_US', 'Modification in net revenue from sales of products when only growth is the result of innovation and enterprise is able to determine this value', '[ Thous. zł ]', '[ Command Information - positive trend ]'),
(44, 'pl_PL', 'Zmiana  przychodów netto ze sprzedaży produktów w sytuacji, gdy wzrost jest wynikiem jedynie działań innowacyjnych i przedsiębiorstwo jest w stanie określić tą wartość', '[ tys. zł ]', '[ Wiersz informacyjny – korzystny trend wzrostowy ]'),
(45, 'en_US', 'Net revenues from product sales [Products and services], goods and materials - export', '[ Thous. zł ]', '[ Command Information - positive trend ]'),
(45, 'pl_PL', 'Przychody netto ze sprzedaży produktów [ wyrobów i usług ], towarów i materiałów – eksport', '[ tys. zł ]', '[ Wiersz informacyjny – korzystny trend wzrostowy ]'),
(46, 'en_US', 'Modification - year over year - Net revenues from sales of products [Products and services], goods and materials - export', '[ Thous. zł, calculated as the difference of each year - from Table 39 ]', '[ Command Information - positive trend ]'),
(46, 'pl_PL', 'Zmiana – rok do roku - przychodów netto ze sprzedaży produktów [ wyrobów i usług ], towarów i materiałów – eksport', '[ tys. zł,  liczone jako różnica z poszczególnych lat – z tabeli 39 ]', '[ Wiersz informacyjny – korzystny trend wzrostowy ]'),
(47, 'en_US', 'Modification in net revenue from sales of products [Products and services], goods and materials - export, when the growth is the result only of innovative activities, and the company is able to determine this value', '[ Thous. zł ]', '[ Command Information - positive trend ]'),
(47, 'pl_PL', 'Zmiana  przychodów netto ze sprzedaży produktów [ wyrobów i usług ], towarów i materiałów – eksport, gdy wzrost jest wynikiem jedynie działań innowacyjnych, i przedsiębiorstwo jest w stanie określić tą wartość', '[ tys. zł ]', '[ Wiersz informacyjny – korzystny trend wzrostowy ]'),
(48, 'en_US', 'Net revenues from sales of products - exports', '[ Thous. zł ]', '[ Command Information - positive trend ]'),
(48, 'pl_PL', 'Przychody netto ze sprzedaży produktów – eksport', '[ tys. zł ]', '[ Wiersz informacyjny – korzystny trend wzrostowy ]'),
(49, 'en_US', 'Modification - year over year - Net revenues from sales of products - exports', '[ Thous. zł, calculated as the difference of each year - from Table 40 ]', '[ Command Information - positive trend ]'),
(49, 'pl_PL', 'Zmiana – rok do roku - przychodów netto ze sprzedaży produktów – eksport', '[ tys. zł , liczone jako różnica z poszczególnych lat – z tabeli 40 ]', '[ Wiersz informacyjny – korzystny trend wzrostowy ]'),
(50, 'en_US', 'Modification in net revenue from sales of products - exports, while growth is the result only of innovative activities and the company is able to determine this value', '[ Thous. zł ]', '[ Command Information - positive trend ]'),
(50, 'pl_PL', 'Zmiana przychodów netto ze sprzedaży produktów – eksport, gdy wzrost jest wynikiem jedynie działań innowacyjnych i przedsiębiorstwo jest w stanie określić tą wartość', '[ tys. zł ]', '[ Wiersz informacyjny – korzystny trend wzrostowy ]'),
(51, 'en_US', 'Revenues from sales of new or significantly improved products [products and services]', '[ Thous. zł ]', '[ Favourable trend in the growth of the meter ]'),
(51, 'pl_PL', 'Przychody ze sprzedaży produktów [ wyrobów i usług ] nowych lub istotnie ulepszonych', '[ tys. zł ]', '[ Korzystny trend wzrostu tego miernika ]'),
(52, 'en_US', 'Modification - year over year - of revenue from sales of new or significantly improved products [products and services]', '[ Thous. zł, calculated as the difference of each year - from Table 41 ]', '[ Favourable trend in the growth of the meter ]'),
(52, 'pl_PL', 'Zmiana – rok do roku - przychodów ze sprzedaży produktów  [ wyrobów i usług ] nowych lub istotnie ulepszonych', '[ tys. zł,  liczone jako różnica z poszczególnych lat – z tabeli 41 ]', '[ Korzystny trend wzrostu tego miernika ]'),
(53, 'en_US', 'Revenues from sales of new or significantly improved products [products and services] - export', '[ Thous. zł ]', '[ Favourable trend in the growth of the meter ]'),
(53, 'pl_PL', 'Przychody ze sprzedaży produktów [ wyrobów i usług ] nowych lub istotnie ulepszonych – eksport', '[ tys. zł ]', '[ Korzystny trend wzrostu tego miernika ]'),
(54, 'en_US', 'Modification - year over year - revenue from sales of products [Products and services] of new or significantly improved - export', '[ Thous. zł, calculated as the difference of each year - from Table 42 ]', '[ Favourable trend in the growth of the meter ]'),
(54, 'pl_PL', 'Zmiana – rok do roku - przychodów ze sprzedaży produktów [ wyrobów i usług ] nowych lub istotnie ulepszonych – eksport', '[ tys. zł ; liczone jako różnica z poszczególnych lat – z tabeli 42 ]', '[ Korzystny trend wzrostu tego miernika ]'),
(55, 'en_US', 'Total assets', '[ Thous. zł ]', '[ The line has information character ]'),
(55, 'pl_PL', 'Aktywa ogółem', '[ tys. zł ]', '[ Wiersz ma charakter informacyjny ]'),
(56, 'en_US', 'Non-current assets - total', '[ Thous. zł ]', '[ The line has information character ]'),
(56, 'pl_PL', 'Aktywa trwałe – razem', '[ tys. zł ]', '[ Wiersz ma charakter informacyjny ]'),
(57, 'en_US', '[Σ (46 ÷ 49)] Intangible assets', '[ Thous. zł ]', '[ The line has information character ]'),
(57, 'pl_PL', '[Σ(46 ÷ 49)] Wartości niematerialne i prawne', '[ tys. zł ]', '[ Wiersz ma charakter informacyjny ]'),
(58, 'en_US', 'Expenses of finished development projects', '[ Thous. zł ]', '[ The line has information character ]'),
(58, 'pl_PL', 'Koszty zakończonych prac rozwojowych', '[ tys. zł ]', '[ Wiersz ma charakter informacyjny ]'),
(59, 'en_US', 'The value of an organization', '[ Thous. zł ]', '[ The line has information character ]'),
(59, 'pl_PL', 'Wartość firmy', '[ tys. zł ]', '[ Wiersz ma charakter informacyjny ]'),
(60, 'en_US', 'Other intangible and legislative assets', '[ Thous. zł ]', '[ The line has information character ]'),
(60, 'pl_PL', 'Inne wartości niematerialne i prawne', '[ tys. zł ]', '[ Wiersz ma charakter informacyjny ]'),
(61, 'en_US', 'Advances on intangible and legislative assets', '[ Thous. zł ]', '[ The line has information character ]'),
(61, 'pl_PL', 'Zaliczki na wartości niematerialne i prawne', '[ tys. zł ]', '[ Wiersz ma charakter informacyjny ]'),
(62, 'en_US', '[Σ (51, 57, 58)] Tangible assets', '[ Thous. zł ]', '[ The line has information character ]'),
(62, 'pl_PL', '[Σ(51;57;58 )] Rzeczowe aktywa trwałe', '[ tys. zł ]', '[ Wiersz ma charakter informacyjny ]'),
(63, 'en_US', '[Σ (52 ÷ 56)] Fixed assets', '[ Thous. zł ]', '[ The line has information character ]'),
(63, 'pl_PL', '[Σ(52 ÷ 56 )] Środki trwałe', '[ tys. zł ]', '[ Wiersz ma charakter informacyjny ]'),
(64, 'en_US', 'Land [including the right of perpetual usufruct of land]', '[ Thous. zł ]', '[ The line has information character ]'),
(64, 'pl_PL', 'Grunty [ w tym prawo wieczystego użytkowania gruntów ]', '[ tys. zł ]', '[ Wiersz ma charakter informacyjny ]'),
(65, 'en_US', 'Buildings, premises, civil engineering objects', '[ Thous. zł ]', '[ The line has information character ]'),
(65, 'pl_PL', 'Budynki, lokale i obiekty inżynierii lądowej i wodnej', '[ tys. zł ]', '[ Wiersz ma charakter informacyjny ]'),
(66, 'en_US', 'Technical equipment and machinery', '[ Thous. zł ]', '[ The line has information character ]'),
(66, 'pl_PL', 'Urządzenia techniczne i maszyny', '[ tys. zł ]', '[ Wiersz ma charakter informacyjny ]'),
(67, 'en_US', 'Vehicles', '[ Thous. zł ]', '[ The line has information character ]'),
(67, 'pl_PL', 'Środki transportu', '[ tys. zł ]', '[ Wiersz ma charakter informacyjny ]'),
(68, 'en_US', 'Other fixed assets', '[ Thous. zł ]', '[ The line has information character ]'),
(68, 'pl_PL', 'Inne środki trwałe', '[ tys. zł ]', '[ Wiersz ma charakter informacyjny ]'),
(69, 'en_US', 'Assets under construction', '[ Thous. zł ]', '[ The line has information character ]'),
(69, 'pl_PL', 'Środki trwałe w budowie', '[ tys. zł ]', '[ Wiersz ma charakter informacyjny ]'),
(70, 'en_US', 'Advances for fixed assets under construction', '[ Thous. zł ]', '[ The line has information character ]'),
(70, 'pl_PL', 'Zaliczki na środki trwałe w budowie', '[ tys. zł ]', '[ Wiersz ma charakter informacyjny ]'),
(71, 'en_US', 'The productivity of fixed assets [Net revenues from sales of products, goods and materials / average condition GFCF]', '[ Item 37 / item 51 ]', '[ The line has information character ]'),
(71, 'pl_PL', 'Produktywność środków trwałych [przychody netto ze sprzedaży produktów, towarów i materiałów/przeciętny stan środków trwałych brutto ]', '[ poz. 37/poz. 51 ]', '[ Wiersz ma charakter informacyjny ]'),
(72, 'en_US', 'Share of fixed assets in total assets', '[ Item 44 / item 43 ]', '[ The line has information character ]'),
(72, 'pl_PL', 'Udział aktywów trwałych w aktywach ogółem', '[ poz. 44/poz. 43 ]', '[ Wiersz ma charakter informacyjny ]'),
(73, 'en_US', 'Share of intangible and legislative assets in total assets', '[ Item 45 / item 43 ]', '[ The line has information character ]'),
(73, 'pl_PL', 'Udział wartości niematerialnych i prawnych w aktywach ogółem', '[ poz.45  /poz.43 ]', '[ Wiersz ma charakter informacyjny ]'),
(74, 'en_US', 'Share of tangible assets in total assets', '[ Item 50 / item. 43 ]', '[ The line has information character ]'),
(74, 'pl_PL', 'Udział rzeczowych aktywów w aktywach ogółem', '[ poz. 50/poz. 43 ]', '[ Wiersz ma charakter informacyjny ]'),
(75, 'en_US', 'Profit [loss] of gross', '[ Thous. zł ]', '[ The line has information character ]'),
(75, 'pl_PL', ' Zysk [ strata ] brutto', '[ tys. zł ]', '[ Wiersz ma charakter informacyjny ]'),
(76, 'en_US', 'Sales profit (loss)', '[ Thous. zł ]', '[ The line has information character ]'),
(76, 'pl_PL', 'Zysk [ strata ] ze sprzedaży', '[ tys. zł ]', '[ Wiersz ma charakter informacyjny ]'),
(77, 'en_US', 'Net Profit / Loss', '[ Thous. zł ]', '[ The line has information character ]'),
(77, 'pl_PL', 'Zysk [ strata ] netto', '[ tys. zł ]', '[ Wiersz ma charakter informacyjny ]'),
(78, 'en_US', 'Profit [loss] per employee', '[ Item 63 / item 74 ]', '[ Favourable trend growth rate ]'),
(78, 'pl_PL', 'Zysk [ strata ] na jednego zatrudnionego', '[ poz. 63/poz. 74 ]', '[ Korzystny trend wzrostu wskaźnika ]'),
(79, 'en_US', 'Return on sales [Net profit / net revenues from sales of products, goods and materials]', '[ Item 65 / item. 37 ]', '[ Favourable trend growth rate ]'),
(79, 'pl_PL', 'Rentowność sprzedaży netto [ zysk netto/ przychody netto ze sprzedaży produktów, towarów i materiałów ]', '[ poz. 65/ poz. 37]', '[ Korzystny trend wzrostu wskaźnika ]'),
(80, 'en_US', 'The manufacturing costs of products - total', '[ Thous. zł ]', '[ The line has information character ]'),
(80, 'pl_PL', 'Koszty wytworzenia produktów – ogółem', '[ tys. zł ]', '[ Wiersz ma charakter informacyjny ]'),
(81, 'en_US', 'Modification - Year to year - the cost of manufacturing products - total', '[ Thous. zł,, calculated as the difference of each year - from Table 68 ]', '[ The line has information character ]'),
(81, 'pl_PL', 'Zmiana – rok do roku - kosztów wytworzenia produktów – ogółem', '[ tys. zł, liczone jako różnica z poszczególnych lat – z tabeli 68 ]', '[ Wiersz ma charakter informacyjny ]'),
(82, 'en_US', 'Modification - Year to year - the cost of manufacturing products - total, while drop is the result of only innovative activities and the company is able to determine this value', '[ Thous. zł ]', '[ The line has information character ]'),
(82, 'pl_PL', 'Zmiana – rok do roku - kosztów wytworzenia produktów – ogółem, gdy spadek jest wynikiem jedynie działań innowacyjnych i przedsiębiorstwo jest w stanie określić tą wartość', '[ tys. zł ]', '[ Wiersz ma charakter informacyjny ]'),
(83, 'en_US', 'Costs associated with production of new or significantly improved products', '[ Thous. zł ]', '[ The line has information character ]'),
(83, 'pl_PL', 'Koszty wytworzenia produktów nowych lub istotnie ulepszonych', '[ tys. zł ]', '[ Wiersz ma charakter informacyjny ]'),
(84, 'en_US', 'Modification - year over year - the cost of manufacturing new products or significantly improved', '[ Thous. zł,, calculated as the difference of each year - from Table 69 ]', '[ The line has information character ]'),
(84, 'pl_PL', 'Zmiana – rok do roku - kosztów wytworzenia produktów nowych lub istotnie ulepszonych', '[ tys. zł, liczone jako różnica z poszczególnych lat – z tabeli 69 ]', '[ Wiersz ma charakter informacyjny ]'),
(85, 'en_US', 'Loading rate of sales of their production costs [Production costs / net revenue from product sales]', '[ Item 68 / item 38 ]', '[ Favourable trend in minimizing the index ]'),
(85, 'pl_PL', 'Wskaźnik obciążenia przychodów ze sprzedaży kosztami ich wytworzenia [ koszty wytworzenia / przychody netto ze sprzedaży produktów ]', '[ poz. 68/poz. 38 ]', '[ Korzystny trend minimalizacji wskaźnika ]'),
(86, 'en_US', 'Loading rate of sales of new or significantly improved products with their manufacturing costs [Production costs / net revenue from sales of new or significantly improved]', '[ Item 69 / item 41 ]', '[ Favourable trend in minimizing the index ]'),
(86, 'pl_PL', 'Wskaźnik obciążenia przychodów ze sprzedaży wyrobów nowych lub istotnie ulepszonych kosztami ich wytworzenia [ koszty wytworzenia / przychody netto ze sprzedaży produktów nowych lub istotnie ulepszonych ]', '[ poz. 69/poz. 41 ]', '[ Korzystny trend minimalizacji wskaźnika ]'),
(87, 'en_US', 'Cost of sales [Cost of products sold, the value of goods and materials, cost of sales and general management cost]', '[ Thous. zł ]', '[ The line has information character ]'),
(87, 'pl_PL', 'Koszty własne sprzedaży [ koszty wytworzenia sprzedanych produktów, wartość sprzedanych towarów i materiałów, koszt sprzedaży i koszt ogólny zarządu ]', '[ tys. zł ]', '[ Wiersz ma charakter informacyjny ]'),
(88, 'en_US', 'Operational indicator [Cost of sales / net revenue from sales of products, goods and materials', '[ Item 71 / item 37 ]', '[ Favourable trend in minimizing the index ]'),
(88, 'pl_PL', 'Wskaźnik operacyjności [ koszty własne sprzedaży/przychody netto ze sprzedaży produktów, towarów i materiałów ]', '[ poz. 71/poz. 37 ]', '[ Korzystny trend minimalizacji wskaźnika ]'),
(89, 'en_US', 'Depreciation', '[ Thous. zł ]', '[ The line has information character ]'),
(89, 'pl_PL', 'Amortyzacja', '[ tys. zł ]', '[ Wiersz ma charakter informacyjny ]'),
(90, 'en_US', 'Average employment', '[ Amount ]', '[ The line has information character ]'),
(90, 'pl_PL', 'Przeciętne zatrudnienie', '[ ilość ]', '[ Wiersz ma charakter informacyjny ]'),
(91, 'en_US', 'Salary Costs', '[ Thous. zł ]', '[ The line has information character ]'),
(91, 'pl_PL', 'Koszty wynagrodzeń', '[ tys. zł ]', '[ Wiersz ma charakter informacyjny ]'),
(92, 'en_US', 'Effort indicator [Wage costs / net revenue from sales of products, goods and materials]', '[ Item 75 / item 37 ]', '[ Favourable downward trend ]'),
(92, 'pl_PL', 'Wskaźnik pracochłonności [ koszty wynagrodzeń / przychody netto ze sprzedaży produktów, towarów i materiałów ]', '[ poz. 75/poz. 37 ]', '[ Korzystny trend spadkowy ]'),
(93, 'en_US', 'Labour productivity per employee [Net revenues from sales of products, goods and materials / average number of employees in FTE]', '[ Item 37 / item. 74 ]', '[ Favourable trend ]'),
(93, 'pl_PL', 'Wydajność pracy jednego zatrudnionego [ przychody netto ze sprzedaży produktów, towarów i materiałów/przeciętna liczba zatrudnionych w przeliczeniu na pełne etaty ]', '[ poz. 37/ poz. 74 ]', '[ Korzystny trend wzrostowy ]'),
(94, 'en_US', 'Effective time', '[ H ]', '[ The line has information character ]'),
(94, 'pl_PL', 'Efektywny czas pracy', '[ h ]', '[ Wiersz ma charakter informacyjny ]'),
(95, 'en_US', 'Labour productivity per working hour [Net revenues from sales of products, goods and materials / effective working time]', '[ Item 37 / item 78 ]', '[ Favourable trend ]'),
(95, 'pl_PL', 'Wydajność pracy na jedną roboczogodzinę [przychody netto ze sprzedaży produktów, towarów i materiałów/efektywny czas pracy ]', '[ poz. 37/poz. 78 ]', '[ Korzystny trend wzrostowy ]'),
(96, 'en_US', 'Number of new ideas [eg, rationalization projects] generated in the enterprise business', '[ Amount ]', '[ The line has information character ]'),
(96, 'pl_PL', 'Liczba nowych pomysłów [ np. projektów racjonalizatorskich ] przedsiębiorstwie wygenerowanych w przedsiębiorstwie', '[ ilość ]', '[ Wiersz ma charakter informacyjny, trend wzrostowy – pozytywny ]'),
(97, 'en_US', 'The average time to run an innovative project [time from idea to sale, the time from idea to purchase, the time from idea to implementation]', '[ Amount ]', '[ Preferred trend is to reduce - minimize - the launch of innovative projects ]'),
(97, 'pl_PL', 'Średni czas uruchomienia przedsięwzięcia innowacyjnego [ czas od pomysłu do sprzedaży; czas od pomysłu do zakupu; czas od pomysłu do wdrożenia ]', '[ ilość ]', '[ Korzystnym trendem jest skrócenie – minimalizacja – czasu uruchomienia przedsięwzięcia innowacyjnego ]'),
(98, 'en_US', 'Number of processes operating in the enterprise', '[ Amount ]', '[ The line has information character ]'),
(98, 'pl_PL', 'Ilość procesów funkcjonujących w przedsiębiorstwie', '[ ilość ]', '[ Wiersz ma charakter informacyjny ]'),
(99, 'en_US', 'Number of processes in organization being improved', '[ Amount ]', '[ The line has information character- a positive trend ]'),
(99, 'pl_PL', 'Ilość procesów przedsiębiorstwa poddanych doskonaleniu', '[ ilość ]', '[ Wiersz ma charakter informacyjny – korzystny trend wzrostowy ]'),
(100, 'en_US', 'List - specification -of subjects to improve business processes', NULL, '[ The line has information character ]'),
(100, 'pl_PL', 'Lista – wykaz - procesów przedsiębiorstwa poddanych doskonaleniu', '', '[ Wiersz ma charakter informacyjny ]'),
(101, 'en_US', 'Share of undergoing processes in the enterprise to improve overall processes', '[ Item 83 / item 82 ]', '[ Favourable trend ]'),
(101, 'pl_PL', 'Udział procesów poddanych w przedsiębiorstwie doskonaleniu do procesów ogółem', '[ poz. 83/poz. 82 ]', '[ Korzystny trend wzrostowy ]'),
(102, 'en_US', 'Number of implemented management systems [Quality, environment, safety, other]', '[ Amount ]', '[ The line has information character - a positive growth trend ]'),
(102, 'pl_PL', 'Ilość wdrożonych systemów zarządzania [ jakości, środowiska, bhp, inne ]', '[ ilość ]', '[ Wiersz ma charakter informacyjny – trend wzrostu korzystny ]'),
(103, 'en_US', 'List of implemented management systems', NULL, '[ The line has information character ]'),
(103, 'pl_PL', 'Lista wdrażanych systemów zarządzania', NULL, '[ Wiersz ma charakter informacyjny ]'),
(104, 'en_US', 'Number of certified management systems [Quality, environment, safety, other]', '[ Amount ]', '[ The line has information character ]'),
(104, 'pl_PL', 'Ilość certyfikowanych systemów zarządzania [ jakości, środowiska, bhp, inne ]', '[ ilość ]', '[ Wiersz ma charakter informacyjny, korzystny trend wzrostu ]'),
(105, 'en_US', 'List of certified management systems', NULL, '[ The line has information character ]'),
(105, 'pl_PL', 'Lista certyfikowanych systemów zarządzania', NULL, '[ Wiersz ma charakter informacyjny ]'),
(106, 'en_US', 'The number of innovative activities applied in the company in relation to the processes related to customer service.', '[ Amount ]', '[ The line has information character- a positive trend of growth of innovative activities ]'),
(106, 'pl_PL', 'Ilość wprowadzanych w przedsiębiorstwie działań innowacyjnych w stosunku do procesów związanych z obsługą klienta', '[ ilość ]', '[ Wiersz ma charakter informacyjny – korzystny trend wzrost działań innowacyjnych ]'),
(107, 'en_US', 'List of innovative activities in relation to the processes associated with customers,', NULL, '[ The line has information character ]'),
(107, 'pl_PL', 'Lista działań innowacyjnych w stosunku do procesów związanych z klientami', NULL, '[ Wiersz ma charakter informacyjny ]'),
(108, 'en_US', 'Number of innovative projects implemented in cooperation with scientific - research / institutes', '[ Amount ]', '[ The line has information character ]'),
(108, 'pl_PL', 'Ilość projektów innowacyjnych realizowanych przy współpracy z jednostkami naukowo – badawczymi/instytutami', '[ ilość ]', '[ Wiersz ma charakter informacyjny ]'),
(109, 'en_US', 'Number of innovative projects implemented in cooperation with foreign scientific entities - research / institutes', '[ Amount ]', '[ The line has information character, nevertheless cooperation with foreign institutes has a positive trend ]'),
(109, 'pl_PL', 'Ilość projektów innowacyjnych realizowanych przy współpracy z jednostkami naukowo – badawczymi/instytutami – zagranicznymi', '[ ilość ]', '[ Wiersz ma charakter informacyjny, niemniej jednak współpraca z zagranicznymi jednostkami jest uznawana za element pozytywny]'),
(110, 'en_US', 'Number of innovative projects implemented in cooperation with other national companies', '[ Amount ]', '[ The line has information character ]'),
(110, 'pl_PL', 'Ilość projektów innowacyjnych realizowanych przy współpracy z innymi przedsiębiorstwami krajowymi', '[ ilość ]', '[ Wiersz ma charakter informacyjny ]'),
(111, 'en_US', 'Number of innovative projects implemented in cooperation with other companies - foreign', '[ Amount ]', '[ The line has information character, but it is considered to be beneficial cooperation with foreign companies in terms of innovation ]'),
(111, 'pl_PL', 'Ilość projektów innowacyjnych realizowanych przy współpracy z innymi przedsiębiorstwami – zagranicznymi', '[ ilość ]', '[ Wiersz ma charakter informacyjny, niemniej jednak za korzystna uznaje się współpracę z przedsiębiorstwami zagranicznymi w zakresie innowacji ]'),
(112, 'en_US', 'Number of scientific publications developed and published by the company', '[ Amount ]', '[ The line has information character ]'),
(112, 'pl_PL', 'Ilość publikacji naukowych opracowanych i publikowanych przez przedsiębiorstwo', '[ ilość ]', '[ Wiersz ma charakter informacyjny ]'),
(113, 'en_US', 'Number of information publications developed and published by the company to the public', '[ Amount ]', '[ The line has information character ]'),
(113, 'pl_PL', 'Ilość publikacji informacyjnych opracowanych i publikowanych przez przedsiębiorstwo do publicznej wiadomości', '[ ilość ]', '[ Wiersz ma charakter informacyjny ]'),
(114, 'en_US', 'Customer satisfaction survey results - for their fine fit and have a prow quantifiable measure / indicator', NULL, '[ The line has information character, however, considered to be beneficial to increase customer satisfaction ]'),
(114, 'pl_PL', 'Wyniki badania satysfakcji klienta – w przypadku ich prowadzenia i posiadania wymiernego miernika/wskaźnika', NULL, '[ Wiersz ma charakter informacyjny, niemniej jednak za korzystne uznaje się wzrost satysfakcji klienta ]'),
(115, 'en_US', 'The value of losses due to customer complaints and comments', '[ Thous. zł ]', NULL),
(115, 'pl_PL', 'Wartość strat z tytułu reklamacji i uwag klientów', '[ tys. zł ]', NULL),
(116, 'en_US', 'Indicator of customer complaints and comments [Calculated in relation to the value of sales],', '[ Item 99 / item 37 ]', '[ Preferred trend is the decline in this index ]'),
(116, 'pl_PL', 'Wskaźnik reklamacji i uwag klientów [ liczony w stosunku do wartości sprzedaży ]', '[ poz. 99/poz. 37 ]', '[ Korzystnym trendem jest zmniejszanie się  tego wskaźnika ]'),
(117, 'en_US', 'The value of losses due to customer complaints and comments - products and services, new or significantly improved', '[ Thous. zł ]', NULL),
(117, 'pl_PL', 'Wartość strat z tytułu reklamacji i uwag klientów – wyrobów i usług nowych lub istotnie ulepszonych', '[ tys. zł ]', NULL),
(118, 'en_US', 'Indicator of customer complaints and comments[Calculated in relation to the value of sales] - products and services, new or significantly improved', '[ Item 101 / item 41 ]', '[ Preferred trend is the decline in this index ]'),
(118, 'pl_PL', 'Wskaźnik reklamacji i uwag klientów [ liczony w stosunku do wartości sprzedaży ] – wyrobów i usług nowych lub istotnie ulepszonych', '[ poz. 101/poz. 41 ]', '[ Korzystnym trendem jest zmniejszanie się  tego wskaźnika ]'),
(119, 'en_US', 'The value of loses for internal gaps / errors', '[ Thous. zł ]', NULL),
(119, 'pl_PL', 'Wartość start z tytułu braków/błędów wewnętrznych', '[ tys. zł ]', NULL),
(120, 'en_US', 'Loss rate due to defects / faults internal [Value losses of deficiencies / errors / internal net sales of products, goods]', '[ Item 103 / item 37 ]', '[ Preferred trend is the decline in this index ]'),
(120, 'pl_PL', 'Wskaźnik strat z tytułu braków/błędów wewnętrznych [ wartość strat z tytułu braków/błędów wewnętrznych / przychody netto ze sprzedaży produktów, towarów]', '[ poz. 103/poz. 37]', '[ Korzystnym trendem jest zmniejszanie się  tego wskaźnika ]'),
(121, 'en_US', 'Loss rate due to internal gaps / errors of - New or significantly improved products and services', '[ Thous. zł ]', NULL),
(121, 'pl_PL', 'Wartość start z tytułu braków/błędów wewnętrznych - wyrobów i usług nowych lub istotnie ulepszonych', '[ tys. zł ]', NULL),
(122, 'en_US', 'Loss rate due to internal defects / faults [Value of losses of deficiencies / errors / internal net revenues from sales of goods] - products and services, new or significantly improved', '[ Item 105 / item41 ]', '[ Preferred trend is the decline in this index ]'),
(122, 'pl_PL', 'Wskaźnik strat z tytułu braków/błędów wewnętrznych [ wartość strat z tytułu braków/błędów wewnętrznych / przychody netto ze sprzedaży produktów, towarów] – wyrobów i usług nowych lub istotnie ulepszonych', '[ poz. 105/poz.41 ]', '[ Korzystnym trendem jest zmniejszanie się  tego wskaźnika ]'),
(123, 'en_US', 'Awards and medals at national exhibitions - the list', NULL, '[ The line has information character ]'),
(123, 'pl_PL', 'Nagrody, wyróżnienia, medale na wystawach krajowych – lista', NULL, '[ Wiersz ma charakter informacyjny ]'),
(124, 'en_US', 'Awards and medals at international exhibitions - the list', NULL, '[ The line has information character ]'),
(124, 'pl_PL', 'Nagrody, wyróżnienia, medale na wystawach zagranicznych – lista', NULL, '[ Wiersz ma charakter informacyjny ]'),
(125, 'en_US', 'Cost of material expenditure', '[ Thous. zł ]', NULL),
(125, 'pl_PL', 'Koszty zużycia materiałów', '[ tys. zł ]', NULL),
(126, 'en_US', 'Innovative effects affecting the environment - material consumption indicator [Cost of material consumption in relation to net sales of products, goods and materials]', '[ Item 109 / item 37 ]', '[ Preferred trend is the decline in this index ]'),
(126, 'pl_PL', 'Efekty innowacyjne wpływające na środowisko - Wskaźnik materiałochłonności [ koszt zużycia materiałów w stosunku do przychodów netto ze sprzedaży produktów, towarów i materiałów ]', '[ poz. 109/poz. 37 ]', '[ Korzystnym trendem jest zmniejszanie się  tego wskaźnika ]'),
(127, 'en_US', 'The costs of fuel and energy consumption', '[ Thous. zł ]', NULL),
(127, 'pl_PL', 'Koszty zużycia paliw i energii', '[ tys. zł ]', NULL),
(128, 'en_US', 'Innovative effects affecting the environment - Energy intensity indicator [The cost of fuel and energy consumption compared to net sales of products, goods and materials]', '[ Item 111 / item37 ]', '[ Preferred trend is the decline in this index ]'),
(128, 'pl_PL', 'Efekty innowacyjne wpływające na środowisko - Wskaźnik energochłonności [ koszty zużycia paliw i energii w stosunku do przychodów netto ze sprzedaży produktów, towarów i materiałów ]', '[ poz. 111/poz.37 ]', '[ Korzystnym trendem jest zmniejszanie się  tego wskaźnika ]'),
(129, 'en_US', 'Innovative effects affecting the environment - Reduction of dust and gas emissions per unit of production, [Amount of dust and gas emissions per unit of production]', '[ Kg (dust) / kg (production) ]', '[ Preferred trend is the decline in this index ]'),
(129, 'pl_PL', 'Efekty innowacyjne wpływające na środowisko - obniżka emisji pyłowych i gazowych na jednostkę produkcji, [ wielkość emisji pyłowych i gazowych na jednostkę produkcji]', '[ kg(pyły)/kg(produkcji)]', '[ Korzystnym trendem jest zmniejszanie się  tego wskaźnika ]'),
(130, 'en_US', 'Innovative effects affecting the environment - Reducing pollution [Soil, water, air] [Amount of pollution per unit of production: waste; discharges to air and water]', '[ Kg (waste) / kg (production) ]', '[ Preferred trend is the decline in this index ]'),
(130, 'pl_PL', 'Efekty innowacyjne wpływające na środowisko - zmniejszenie zanieczyszczeń [ gleba, woda, powietrze ], [ ilość zanieczyszczeń na jednostkę produkcji : odpadów; zrzutów do wody i powietrza ]', '[ kg(odpady)/kg(produkcji)]', '[ Korzystnym trendem jest zmniejszanie się  tego wskaźnika ]'),
(131, 'en_US', 'Innovative effects affecting the environment - Increase reuse [recycling] - water, waste and materials, [% Recycling of water, waste and materials]', '[ Kg (reuse) / kg (production) ]', '[ Preferred trend is the increase in this index ]'),
(131, 'pl_PL', 'Efekty innowacyjne wpływające na środowisko - zwiększenie powtórnego wykorzystania [ recyklingu ] – wody, odpadów i materiałów, [ % powtórnego wykorzystania wody, odpadów i materiałów ]', '[ kg(powtórne wykorzystanie)/kg(produkcji)]', '[ Korzystnym trendem jest zwiększenie tego wskaźnika ]'),
(132, 'en_US', 'Innovative effects affecting the health and safety and ergonomics - Reduction of the incidence rate of accidents, [Incidence rate = number of incidents of accidents recorded in the period * 1000/Number of working]', NULL, '[ Preferred trend is the decline in this index ]'),
(132, 'pl_PL', 'Efekty innowacyjne wpływające na bezpieczeństwo i higienę pracy oraz ergonomię - zmniejszenie wskaźnika częstości wypadków, [ wskaźnik częstości wypadków = liczba wypadków odnotowanych w danym okresie * 1000/Liczba pracujących ]', NULL, '[ Korzystnym trendem jest zmniejszanie się  tego wskaźnika ]'),
(133, 'en_US', 'Innovative effects affecting the health and safety and ergonomics - Reduce the severity rate of accidents at work, [Rate severity of accidents at work = Number of days of incapacity to work injured in accidents at work / number of accidents at work].', NULL, '[ Preferred trend is the decline in this indicator in future years ]'),
(133, 'pl_PL', 'Efekty innowacyjne wpływające na bezpieczeństwo i higienę pracy oraz ergonomię - zmniejszenie wskaźnika ciężkości  wypadków przy pracy, [ wskaźnik ciężkości wypadków przy pracy = Liczba dni niezdolności do pracy poszkodowanych w wypadkach przy pracy ', NULL, '[ Korzystnym trendem jest zmniejszanie się tego wskaźnika w kolejnych latach ]'),
(134, 'en_US', 'Thematic Group of Innovation - used for deployment of innovative', '[ Underline correct answer ]', '[ The line has information character ]'),
(134, 'pl_PL', 'Grupy tematyczne innowacji – wykorzystywane do wdrożeń innowacyjnych', '[ odpowiednie podkreślić ]', '[ Wiersz ma charakter informacyjny ]'),
(135, 'en_US', 'Thematic groups for innovation - as a result of business innovation.', '[ Underline correct answer ]', '[ The line has information character ]'),
(135, 'pl_PL', 'Grupy tematyczne innowacji – jako efekt działalności innowacyjnej przedsiębiorstwa', '[ odpowiednie podkreślić ]', '[ Wiersz ma charakter informacyjny ]'),
(136, 'en_US', 'The planned goals of innovative activities', '[ Underline correct answer ]', '[ The line has information character ]'),
(136, 'pl_PL', 'Planowane cele działalności innowacyjnej', '[ zaznaczyć odpowiednie ]', '[ Wiersz ma charakter informacyjny ]'),
(137, 'en_US', 'Net share of revenues from sales of products - exports in net revenues from sales of products', '[ % ; Item 40 / item38 ]', '[ Command Information, a positive trend ]'),
(137, 'pl_PL', 'Udział przychodów netto ze sprzedaży produktów – eksport w przychodach netto ze sprzedaży produktów', '[ % ; poz. 40/poz.38 ]', '[ Wiersz informacyjny, korzystny trend wzrostowy ]'),
(138, 'en_US', 'Net share of revenues from sales of new or significantly improved - exports in net revenues from sales of new or significantly improved', '[ % ; Item 42 / item41 ]', '[ Command Information, a positive trend ]'),
(138, 'pl_PL', 'Udział przychodów netto ze sprzedaży produktów nowych lub istotnie ulepszonych – eksport w przychodach netto ze sprzedaży produktów nowych lub istotnie ulepszonych', '[ % ; poz. 42/poz.41 ]', '[ Wiersz informacyjny, korzystny trend wzrostowy ]'),
(139, 'en_US', 'Net share of revenues from sales of new or significantly improved - in net revenues from sales of products in total', '[ % ; Item 41 / item38 ]', '[ Command Information, a positive trend ]'),
(139, 'pl_PL', 'Udział przychodów netto ze sprzedaży produktów nowych lub istotnie ulepszonych –  w przychodach netto ze sprzedaży produktów ogółem', '[ % ; poz. 41/poz.38 ]', '[ Wiersz informacyjny, korzystny trend wzrostowy ]'),
(140, 'en_US', 'Net share of revenues from sales of new or significantly improved - exports in net revenues from sales of products in total - exports', '[ % ; Item 42 / item40 ]', '[ Command Information, a positive trend ]'),
(140, 'pl_PL', 'Udział przychodów netto ze sprzedaży produktów nowych lub istotnie ulepszonych – eksport  w przychodach netto ze sprzedaży produktów ogółem - eksport', '[ % ; poz. 42/poz.40 ]', '[ Wiersz informacyjny, korzystny trend wzrostowy ]'),
(141, 'en_US', 'New markets', '[ Amount ]', '[ Command Information ]'),
(141, 'pl_PL', 'Nowe rynki zbytu', '[ ilość ]', '[ Wiersz informacyjny ]'),
(142, 'en_US', 'The market share of sales [Take one major market]', '[ % ]', '[ Command Information ]'),
(142, 'pl_PL', 'Udział w rynku zbytu [ przyjąć jeden podstawowy rynek zbytu ]', '[ % ]', '[ Wiersz informacyjny ]');

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `schema_position`
--

CREATE TABLE IF NOT EXISTS `schema_position` (
  `schemaPositionId` int(11) NOT NULL AUTO_INCREMENT,
  `questionNumber` int(11) NOT NULL,
  `questionSubnumber` int(11) NOT NULL,
  `positionNumber` int(11) NOT NULL,
  `schemaId` int(11) NOT NULL,
  PRIMARY KEY (`schemaPositionId`),
  UNIQUE KEY `UNIQUE_POSITION` (`schemaId`,`questionSubnumber`,`questionNumber`),
  KEY `fk_schema_position_schema1` (`schemaId`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci AUTO_INCREMENT=196 ;

--
-- Dane w tabeli `schema_position`
--

INSERT INTO `schema_position` (`schemaPositionId`, `questionNumber`, `questionSubnumber`, `positionNumber`, `schemaId`) VALUES
(1, 21, 0, 1, 1),
(2, 22, 0, 2, 1),
(3, 27, 0, 3, 1),
(4, 81, 0, 4, 1),
(5, 37, 2, 5, 1),
(6, 38, 2, 6, 1),
(7, 39, 2, 7, 1),
(8, 40, 2, 8, 1),
(9, 41, 0, 9, 1),
(10, 41, 1, 10, 1),
(11, 42, 0, 11, 1),
(12, 42, 1, 12, 1),
(13, 68, 2, 13, 1),
(14, 69, 1, 14, 1),
(15, 125, 0, 15, 1),
(16, 126, 0, 16, 1),
(17, 21, 0, 1, 2),
(18, 22, 0, 2, 2),
(19, 27, 0, 3, 2),
(20, 81, 0, 4, 2),
(21, 41, 0, 5, 2),
(22, 41, 1, 6, 2),
(23, 42, 0, 7, 2),
(24, 42, 1, 8, 2),
(25, 21, 0, 1, 3),
(26, 22, 0, 2, 3),
(27, 27, 0, 3, 3),
(28, 81, 0, 4, 3),
(29, 37, 2, 5, 3),
(30, 38, 2, 6, 3),
(31, 39, 2, 7, 3),
(32, 40, 2, 8, 3),
(33, 68, 2, 9, 3),
(34, 69, 1, 10, 3),
(35, 21, 0, 1, 4),
(36, 22, 0, 2, 4),
(37, 27, 0, 3, 4),
(38, 81, 0, 4, 4),
(39, 37, 2, 5, 4),
(40, 38, 2, 6, 4),
(41, 39, 2, 7, 4),
(42, 40, 2, 8, 4),
(43, 68, 2, 9, 4),
(44, 69, 1, 10, 4),
(45, 21, 0, 1, 5),
(46, 22, 0, 2, 5),
(47, 27, 0, 3, 5),
(48, 81, 0, 4, 5),
(49, 37, 2, 5, 5),
(50, 38, 2, 6, 5),
(51, 39, 2, 7, 5),
(52, 40, 2, 8, 5),
(53, 41, 0, 9, 5),
(54, 41, 1, 10, 5),
(55, 42, 0, 11, 5),
(56, 42, 1, 12, 5),
(57, 125, 0, 13, 5),
(58, 126, 0, 14, 5),
(59, 21, 0, 1, 6),
(60, 22, 0, 2, 6),
(61, 27, 0, 3, 6),
(62, 81, 0, 4, 6),
(63, 66, 0, 5, 6),
(64, 67, 0, 6, 6),
(65, 70, 0, 7, 6),
(66, 70, 1, 8, 6),
(67, 72, 0, 9, 6),
(68, 76, 0, 10, 6),
(69, 77, 0, 11, 6),
(70, 79, 0, 12, 6),
(71, 100, 0, 13, 6),
(72, 102, 0, 14, 6),
(73, 104, 0, 15, 6),
(74, 106, 0, 16, 6),
(75, 110, 0, 17, 6),
(76, 112, 0, 18, 6),
(77, 123, 0, 19, 6),
(78, 124, 0, 20, 6),
(79, 21, 0, 1, 7),
(80, 22, 0, 2, 7),
(81, 27, 0, 3, 7),
(82, 81, 0, 4, 7),
(83, 102, 0, 5, 7),
(84, 106, 0, 6, 7),
(85, 123, 0, 7, 7),
(86, 124, 0, 8, 7),
(87, 21, 0, 1, 8),
(88, 22, 0, 2, 8),
(89, 27, 0, 3, 8),
(90, 81, 0, 4, 8),
(91, 66, 0, 5, 8),
(92, 67, 0, 6, 8),
(93, 70, 0, 7, 8),
(94, 70, 1, 8, 8),
(95, 72, 0, 9, 8),
(96, 76, 0, 10, 8),
(97, 77, 0, 11, 8),
(98, 79, 0, 12, 8),
(99, 100, 0, 13, 8),
(100, 104, 0, 14, 8),
(101, 110, 0, 15, 8),
(102, 112, 0, 16, 8),
(103, 21, 0, 1, 9),
(104, 22, 0, 2, 9),
(105, 27, 0, 3, 9),
(106, 81, 0, 4, 9),
(107, 66, 0, 5, 9),
(108, 67, 0, 6, 9),
(109, 70, 0, 7, 9),
(110, 70, 1, 8, 9),
(111, 72, 0, 9, 9),
(112, 76, 0, 10, 9),
(113, 77, 0, 11, 9),
(114, 79, 0, 12, 9),
(115, 100, 0, 13, 9),
(116, 104, 0, 14, 9),
(117, 110, 0, 15, 9),
(118, 112, 0, 16, 9),
(119, 21, 0, 1, 10),
(120, 22, 0, 2, 10),
(121, 27, 0, 3, 10),
(122, 81, 0, 4, 10),
(123, 66, 0, 5, 10),
(124, 67, 0, 6, 10),
(125, 70, 0, 7, 10),
(126, 70, 1, 8, 10),
(127, 72, 0, 9, 10),
(128, 76, 0, 10, 10),
(129, 77, 0, 11, 10),
(130, 79, 0, 12, 10),
(131, 123, 0, 13, 10),
(132, 124, 0, 14, 10),
(133, 21, 0, 1, 11),
(134, 22, 0, 2, 11),
(135, 27, 0, 3, 11),
(136, 81, 0, 4, 11),
(137, 5, 0, 5, 11),
(138, 28, 0, 6, 11),
(139, 32, 0, 7, 11),
(140, 33, 0, 8, 11),
(141, 34, 0, 9, 11),
(142, 35, 0, 10, 11),
(143, 36, 0, 11, 11),
(144, 80, 0, 12, 11),
(145, 85, 0, 13, 11),
(146, 88, 0, 14, 11),
(147, 90, 0, 15, 11),
(148, 98, 0, 16, 11),
(149, 113, 0, 17, 11),
(150, 114, 0, 18, 11),
(151, 115, 0, 19, 11),
(152, 116, 0, 20, 11),
(153, 117, 0, 21, 11),
(154, 21, 0, 1, 12),
(155, 22, 0, 2, 12),
(156, 27, 0, 3, 12),
(157, 81, 0, 4, 12),
(158, 5, 0, 5, 12),
(159, 28, 0, 6, 12),
(160, 32, 0, 7, 12),
(161, 33, 0, 8, 12),
(162, 34, 0, 9, 12),
(163, 35, 0, 10, 12),
(164, 36, 0, 11, 12),
(165, 80, 0, 12, 12),
(166, 21, 0, 1, 13),
(167, 22, 0, 2, 13),
(168, 27, 0, 3, 13),
(169, 81, 0, 4, 13),
(170, 5, 0, 5, 13),
(171, 85, 0, 6, 13),
(172, 88, 0, 7, 13),
(173, 98, 0, 8, 13),
(174, 113, 0, 9, 13),
(175, 114, 0, 10, 13),
(176, 115, 0, 11, 13),
(177, 116, 0, 12, 13),
(178, 117, 0, 13, 13),
(179, 21, 0, 1, 14),
(180, 22, 0, 2, 14),
(181, 27, 0, 3, 14),
(182, 81, 0, 4, 14),
(183, 5, 0, 5, 14),
(184, 113, 0, 6, 14),
(185, 114, 0, 7, 14),
(186, 115, 0, 8, 14),
(187, 116, 0, 9, 14),
(188, 117, 0, 10, 14),
(189, 21, 0, 1, 15),
(190, 22, 0, 2, 15),
(191, 27, 0, 3, 15),
(192, 81, 0, 4, 15),
(193, 5, 0, 5, 15),
(194, 90, 0, 6, 15),
(195, 98, 0, 7, 15);

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `sf_guard_group`
--

CREATE TABLE IF NOT EXISTS `sf_guard_group` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `description` text COLLATE utf8_polish_ci,
  PRIMARY KEY (`id`),
  UNIQUE KEY `sf_guard_group_U_1` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `sf_guard_group_permission`
--

CREATE TABLE IF NOT EXISTS `sf_guard_group_permission` (
  `group_id` int(11) NOT NULL,
  `permission_id` int(11) NOT NULL,
  PRIMARY KEY (`group_id`,`permission_id`),
  KEY `sf_guard_group_permission_FI_2` (`permission_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `sf_guard_permission`
--

CREATE TABLE IF NOT EXISTS `sf_guard_permission` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `description` text COLLATE utf8_polish_ci,
  PRIMARY KEY (`id`),
  UNIQUE KEY `sf_guard_permission_U_1` (`name`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci AUTO_INCREMENT=3 ;

--
-- Dane w tabeli `sf_guard_permission`
--

INSERT INTO `sf_guard_permission` (`id`, `name`, `description`) VALUES
(2, 'Zatwierdzanie', 'Zatwierdzanie uzupełnienia');

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `sf_guard_remember_key`
--

CREATE TABLE IF NOT EXISTS `sf_guard_remember_key` (
  `user_id` int(11) NOT NULL,
  `remember_key` varchar(32) COLLATE utf8_polish_ci DEFAULT NULL,
  `ip_address` varchar(50) COLLATE utf8_polish_ci NOT NULL,
  `created_at` datetime DEFAULT NULL,
  PRIMARY KEY (`user_id`,`ip_address`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `sf_guard_user`
--

CREATE TABLE IF NOT EXISTS `sf_guard_user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(128) COLLATE utf8_polish_ci NOT NULL,
  `algorithm` varchar(128) COLLATE utf8_polish_ci NOT NULL DEFAULT 'sha1',
  `salt` varchar(128) COLLATE utf8_polish_ci NOT NULL,
  `password` varchar(128) COLLATE utf8_polish_ci NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `last_login` datetime DEFAULT NULL,
  `is_active` tinyint(4) NOT NULL DEFAULT '1',
  `is_super_admin` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `sf_guard_user_U_1` (`username`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci AUTO_INCREMENT=105 ;

--
-- Dane w tabeli `sf_guard_user`
--

INSERT INTO `sf_guard_user` (`id`, `username`, `algorithm`, `salt`, `password`, `created_at`, `last_login`, `is_active`, `is_super_admin`) VALUES
(1, 'ocenaAdmin', 'sha1', '7f961c2f0bc55c3ab76d9883fb532d2f', '1d2bd37096cc61c5e1b6a7bf3f865a6564fea969', '2012-01-03 02:06:54', '2012-12-20 16:07:28', 1, 1);

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `sf_guard_user_group`
--

CREATE TABLE IF NOT EXISTS `sf_guard_user_group` (
  `user_id` int(11) NOT NULL,
  `group_id` int(11) NOT NULL,
  PRIMARY KEY (`user_id`,`group_id`),
  KEY `sf_guard_user_group_FI_2` (`group_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `sf_guard_user_permission`
--

CREATE TABLE IF NOT EXISTS `sf_guard_user_permission` (
  `user_id` int(11) NOT NULL,
  `permission_id` int(11) NOT NULL,
  PRIMARY KEY (`user_id`,`permission_id`),
  KEY `sf_guard_user_permission_FI_2` (`permission_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `user_settings`
--

CREATE TABLE IF NOT EXISTS `user_settings` (
  `userSettingsId` int(11) NOT NULL AUTO_INCREMENT,
  `userId` int(11) NOT NULL,
  `currentCompanyId` int(11) DEFAULT NULL,
  `startYear` int(11) NOT NULL,
  `endYear` int(11) NOT NULL,
  PRIMARY KEY (`userSettingsId`),
  UNIQUE KEY `UNIQUE_USER` (`userId`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci AUTO_INCREMENT=23 ;

--
-- Dane w tabeli `user_settings`
--

INSERT INTO `user_settings` (`userSettingsId`, `userId`, `currentCompanyId`, `startYear`, `endYear`) VALUES
(1, 1, null, 2012, 2016);
--
-- Ograniczenia dla zrzutów tabel
--

--
-- Ograniczenia dla tabeli `answer_checkbox`
--
ALTER TABLE `answer_checkbox`
  ADD CONSTRAINT `answer_checkbox_FK_1` FOREIGN KEY (`answerMixedId`) REFERENCES `answer_mixed` (`answerMixedId`),
  ADD CONSTRAINT `answer_checkbox_FK_2` FOREIGN KEY (`companyId`) REFERENCES `company` (`companyId`) ON DELETE CASCADE;

--
-- Ograniczenia dla tabeli `answer_list`
--
ALTER TABLE `answer_list`
  ADD CONSTRAINT `answer_list_FK_1` FOREIGN KEY (`questionId`) REFERENCES `question` (`questionId`),
  ADD CONSTRAINT `answer_list_FK_2` FOREIGN KEY (`companyId`) REFERENCES `company` (`companyId`) ON DELETE CASCADE;

--
-- Ograniczenia dla tabeli `answer_mixed_i18n`
--
ALTER TABLE `answer_mixed_i18n`
  ADD CONSTRAINT `answer_mixed_i18n_FK_1` FOREIGN KEY (`id`) REFERENCES `answer_mixed` (`answerMixedId`);

--
-- Ograniczenia dla tabeli `answer_text`
--
ALTER TABLE `answer_text`
  ADD CONSTRAINT `answer_text_FK_1` FOREIGN KEY (`answerMixedId`) REFERENCES `answer_mixed` (`answerMixedId`),
  ADD CONSTRAINT `answer_text_FK_2` FOREIGN KEY (`companyId`) REFERENCES `company` (`companyId`) ON DELETE CASCADE;

--
-- Ograniczenia dla tabeli `answer_years`
--
ALTER TABLE `answer_years`
  ADD CONSTRAINT `answer_years_FK_1` FOREIGN KEY (`questionId`) REFERENCES `question` (`questionId`),
  ADD CONSTRAINT `answer_years_FK_2` FOREIGN KEY (`companyId`) REFERENCES `company` (`companyId`) ON DELETE CASCADE;

--
-- Ograniczenia dla tabeli `answer_years_range`
--
ALTER TABLE `answer_years_range`
  ADD CONSTRAINT `answer_years_range_FK_1` FOREIGN KEY (`questionId`) REFERENCES `question` (`questionId`),
  ADD CONSTRAINT `answer_years_range_FK_2` FOREIGN KEY (`companyId`) REFERENCES `company` (`companyId`) ON DELETE CASCADE;

--
-- Ograniczenia dla tabeli `efficacy`
--
ALTER TABLE `efficacy`
  ADD CONSTRAINT `efficacy_FK_1` FOREIGN KEY (`companyId`) REFERENCES `company` (`companyId`) ON DELETE CASCADE;

--
-- Ograniczenia dla tabeli `prediction`
--
ALTER TABLE `prediction`
  ADD CONSTRAINT `prediction_FK_1` FOREIGN KEY (`companyId`) REFERENCES `company` (`companyId`);

--
-- Ograniczenia dla tabeli `question_i18n`
--
ALTER TABLE `question_i18n`
  ADD CONSTRAINT `question_i18n_FK_1` FOREIGN KEY (`id`) REFERENCES `question` (`questionId`);

--
-- Ograniczenia dla tabeli `schema_position`
--
ALTER TABLE `schema_position`
  ADD CONSTRAINT `schema_position_FK_1` FOREIGN KEY (`schemaId`) REFERENCES `innovation_schema` (`schemaId`);

--
-- Ograniczenia dla tabeli `sf_guard_group_permission`
--
ALTER TABLE `sf_guard_group_permission`
  ADD CONSTRAINT `sf_guard_group_permission_FK_1` FOREIGN KEY (`group_id`) REFERENCES `sf_guard_group` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sf_guard_group_permission_FK_2` FOREIGN KEY (`permission_id`) REFERENCES `sf_guard_permission` (`id`) ON DELETE CASCADE;

--
-- Ograniczenia dla tabeli `sf_guard_remember_key`
--
ALTER TABLE `sf_guard_remember_key`
  ADD CONSTRAINT `sf_guard_remember_key_FK_1` FOREIGN KEY (`user_id`) REFERENCES `sf_guard_user` (`id`) ON DELETE CASCADE;

--
-- Ograniczenia dla tabeli `sf_guard_user_group`
--
ALTER TABLE `sf_guard_user_group`
  ADD CONSTRAINT `sf_guard_user_group_FK_1` FOREIGN KEY (`user_id`) REFERENCES `sf_guard_user` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sf_guard_user_group_FK_2` FOREIGN KEY (`group_id`) REFERENCES `sf_guard_group` (`id`) ON DELETE CASCADE;

--
-- Ograniczenia dla tabeli `sf_guard_user_permission`
--
ALTER TABLE `sf_guard_user_permission`
  ADD CONSTRAINT `sf_guard_user_permission_FK_1` FOREIGN KEY (`user_id`) REFERENCES `sf_guard_user` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sf_guard_user_permission_FK_2` FOREIGN KEY (`permission_id`) REFERENCES `sf_guard_permission` (`id`) ON DELETE CASCADE;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
