<?php

class answerActions extends sfActions {

    public function executeIndex(sfWebRequest $request) {
        $this->userSettings = UserSettingsPeer::retrieveByUserId($this->getUser()->getUserId());
        InnovationUtil::forward404Unless($this->userSettings && $this->userSettings->getCompany(), $this, 'W ustawieniach nie została wybrana firma');
        
        $this->getAnswerRange($request);
        $this->getQuestions();
    }

    public function executeEdit(sfWebRequest $request) {
        $this->userSettings = UserSettingsPeer::retrieveByUserId($this->getUser()->getUserId());
        InnovationUtil::forward404Unless($this->userSettings && $this->userSettings->getCompany(), $this, 'W ustawieniach nie została wybrana firma');
        //$this->forward404Unless($this->userSettings && $this->userSettings->getCompany(), 'W ustawieniach nie została wybrana firma');

        $this->getAnswerRange($request);
        $this->getQuestions();

        $this->form = new AnswersCollectionForm(null, array('questions' => $this->questions, 'startYear' => $this->startYear, 'endYear' => $this->endYear, 'companyId' => $this->companyId));
        $this->questionsForms = $this->form->getEmbeddedForms();
    }

    public function executeUpdate(sfWebRequest $request) {
        $this->forward404Unless($request->isMethod(sfRequest::POST) || $request->isMethod(sfRequest::PUT));
        $this->userSettings = UserSettingsPeer::retrieveByUserId($this->getUser()->getUserId());
        InnovationUtil::forward404Unless($this->userSettings && $this->userSettings->getCompany(), $this, 'W ustawieniach nie została wybrana firma');
        //$this->forward404Unless($this->userSettings && $this->userSettings->getCompany(), 'W ustawieniach nie została wybrana firma');

        $this->getAnswerRange($request);
        $this->getQuestions();

        $this->form = new AnswersCollectionForm(null, array('questions' => $this->questions, 'startYear' => $this->startYear, 'endYear' => $this->endYear, 'companyId' => $this->companyId));
        $this->questionsForms = $this->form->getEmbeddedForms();

        $this->processForm($request, $this->form);

        $this->setTemplate('edit');
    }

    protected function getAnswerRange(sfWebRequest $request) {
        $this->startAnswerNumber = $request->getParameter('startAnswerNumber');
        $this->endAnswerNumber = $request->getParameter('endAnswerNumber');

        $this->forward404Unless($this->startAnswerNumber && $this->endAnswerNumber);
        $this->forward404Unless(is_numeric($this->startAnswerNumber) && is_numeric($this->endAnswerNumber));
        $this->forward404Unless($this->startAnswerNumber < $this->endAnswerNumber);
        $this->forward404Unless($this->endAnswerNumber - $this->startAnswerNumber < 10);
    }

    protected function getQuestions() {
        $this->questions = QuestionPeer::getQuestionsRange($this->startAnswerNumber, $this->endAnswerNumber);
        InnovationUtil::forward404Unless($this->questions && count($this->questions) > 0, $this, 'Pytania o danych numerach nie istnieją');
        //$this->forward404Unless($this->questions && count($this->questions) > 0, 'Pytania o danych numerach nie istnieją');

        $this->startYear = $this->userSettings->getStartyear();
        $this->endYear = $this->userSettings->getEndyear();
        if (abs($this->startYear - $this->endYear) > 10) {
            $this->startYear = $this->endYear - 10;
        }
        $this->companyId = $this->userSettings->getCurrentcompanyid();
    }

    protected function processForm(sfWebRequest $request, sfForm $form) {
        $formValues = $request->getParameter($form->getName());
        $valid = true;

        foreach ($this->questionsForms as $key1 => $qform) {
            foreach ($qform->getEmbeddedForms() as $key2 => $answerform) {
                $answerform->bind($formValues[$key1][$key2]);
                if ($answerform->isValid()) {
                    $answerform->save();
                } else {
                    $valid = false;
                }
            }
        }

        if ($valid) {
            $this->redirect('answer/index?startAnswerNumber=' . $this->startAnswerNumber . '&endAnswerNumber=' . $this->endAnswerNumber);
        }
    }
}
