<?php use_helper('I18N') ?>

    <h1><?php if (count($questions) == 1) : ?>
            <?php echo __('Pytanie numer') ?> <?php echo $questions[0]->getQuestionFullNumber() ?>
        <?php else : ?>
            <?php echo __('Pytania') ?> : <?php echo $questions[0]->getQuestionFullNumber() ?>-<?php echo $questions[count($questions) - 1]->getQuestionFullNumber() ?>
        <?php endif; ?>
    </h1>

    <table class="table table-striped table-bordered">
        <tbody>
            <?php foreach ($questions as $question): ?>
                <tr>
                    <td class="questionCell">

                        <div class="questionText <?php echo ' ' . $question->getQuestionCssClass() ?>">
                            <?php echo $question->getQuestionFullNumber() . '. ' ?>
                            <?php echo $question->getQuestiontext() ?>

                        </div>
                        <div class="questionFooter">
                            <?php echo $question->getQuestionfooter() ?>
                        </div>
                    </td>

                    <td>
                        <div class="answerHeader">
                            <?php echo $question->getAnswerheader() ?>
                        </div>

                        <?php if ($question->getType() == 1 || $question->getType() == 7 || $question->getType() == 8) : ?>
                            <?php
                            $answers = null;
                            if ($question->getIscoloredtab() > 0) {
                                $answers = AnswerYearsPeer::retrieveByQuestionIdCompanyIdYearRange($question->getQuestionid(), $companyId, $startYear - 1, $endYear);
                            } else {
                                $answers = AnswerYearsPeer::retrieveByQuestionIdCompanyIdYearRange($question->getQuestionid(), $companyId, $startYear, $endYear);
                            }
                            ?>
                            <?php for ($i = $startYear; $i <= $endYear; $i++) : ?>
                                <div class="<?php echo $answers[$i]->getColor($question->getIscoloredtab()); ?>">
                                    <?php echo $i . ' : ' . $answers[$i]->getFormatedValue(); ?>
                                </div>
                            <?php endfor; ?>


                        <?php elseif ($question->getType() == 2) : ?>
                            <?php
                            $answers = null;
                            if ($question->getIscoloredtab() > 0) {
                                $answers = AnswerYearsAutoPeer::getValuesByQuestionNumberCompanyIdYearRange($question->getNumber(), $question->getSubnumber(), $companyId, $startYear - 1, $endYear);
                            } else {
                                $answers = AnswerYearsAutoPeer::getValuesByQuestionNumberCompanyIdYearRange($question->getNumber(), $question->getSubnumber(), $companyId, $startYear, $endYear);
                            }
                            ?>

                            <?php for ($i = $startYear; $i <= $endYear; $i++) : ?>
                                <?php
                                $className = '';
                                if ($question->getIscoloredtab() > 0) {
                                    $className = InnovationUtil::getColor($question->getIscoloredtab(), $answers[$i][AnswerYearsAutoPeer::$RESULT_VALUE_INDEX], $answers[$i - 1][AnswerYearsAutoPeer::$RESULT_VALUE_INDEX]);
                                }
                                if (!$answers[$i][AnswerYearsAutoPeer::$RESULT_COMPLETENESS_INDEX]) {
                                    $className = $className . ' ' . InnovationUtil::INCOMPLETE_AUTO_QUESTION_CLASS;
                                }
                                ?>
                                <div class="<?php echo $className ?>">
                                    <?php echo $i . ' : ' . $answers[$i][AnswerYearsAutoPeer::$RESULT_VALUE_INDEX]; ?>
                                </div>

                            <?php endfor; ?>


                        <?php elseif ($question->getType() == 3) : ?>

                            <?php
                            $answers = null;
                            if ($question->getIscoloredtab() > 0) {
                                $answers = AnswerYearsRangePeer::retrieveByQuestionIdCompanyIdYearRange($question->getQuestionid(), $companyId, $startYear - 1, $endYear - 1);
                            } else {
                                $answers = AnswerYearsRangePeer::retrieveByQuestionIdCompanyIdYearRange($question->getQuestionid(), $companyId, $startYear, $endYear - 1);
                            }
                            ?>
                            <?php for ($i = $startYear; $i <= $endYear - 1; $i++) : ?>
                                <div class="<?php echo $answers[$i]->getColor($question->getIscoloredtab()); ?>">
                                    <?php echo ($i + 1) . ' - ' . $i . ' : ' . $answers[$i]->getFormatedValue(); ?>
                                </div>
                            <?php endfor; ?>


                        <?php elseif ($question->getType() == 4) : ?>

                            <?php
                            $answers = null;
                            if ($question->getIscoloredtab() > 0) {
                                $answers = AnswerYearsRangeAutoPeer::getValuesByQuestionNumberCompanyIdYearRange($question->getNumber(), $question->getSubnumber(), $companyId, $startYear - 1, $endYear - 1);
                            } else {
                                $answers = AnswerYearsRangeAutoPeer::getValuesByQuestionNumberCompanyIdYearRange($question->getNumber(), $question->getSubnumber(), $companyId, $startYear, $endYear - 1);
                            }
                            ?>
                            <?php for ($i = $startYear; $i <= $endYear - 1; $i++) : ?>
                                <?php
                                $className = '';
                                if ($question->getIscoloredtab() > 0) {
                                    $className = InnovationUtil::getColor($question->getIscoloredtab(), $answers[$i], $answers[$i - 1]);
                                }
                                ?>
                                <div class="<?php echo $className ?>">
                                    <?php echo ($i + 1) . ' - ' . $i . ' : ' . $answers[$i]; ?>
                                </div>
                            <?php endfor; ?>


                        <?php elseif ($question->getType() == 5) : ?>

                            <?php for ($i = $startYear; $i <= $endYear; $i++) : ?>
                                <div>
                                    <?php echo $i . ' : ' . htmlentities(AnswerListPeer::getValueByQuestionIdCompanyIdYear($question->getQuestionid(), $companyId, $i)); ?>
                                </div>
                            <?php endfor; ?>


                        <?php elseif ($question->getType() == 6) : ?>
                            <?php foreach (AnswerMixedPeer::retrieveByNumberAndSubnumber($question->getNumber(), $question->getSubnumber()) as $answerMixed) : ?>
                                <div>
                                    <?php 
                                    if ($answerMixed->getType() == 0) {
                                        echo '<p>'.$answerMixed->getAnswerMixedNumber() . ' ' . $answerMixed->getAnswertext().'</p>'; 
                                    } elseif ($answerMixed->getType() == 1) {
                                        if (AnswerCheckboxPeer::getValueByMixIdCompanyId($answerMixed->getAnswermixedid(), $companyId)) {
                                            echo '<p>'.$answerMixed->getAnswerMixedNumber() . ' ' . $answerMixed->getAnswertext().'</p>';
                                        }
                                    } elseif ($answerMixed->getType() == 2) {
                                        $answerContent = AnswerTextPeer::getValueByMixIdCompanyId($answerMixed->getAnswermixedid(), $companyId);
                                        if (!empty($answerContent)){
                                            echo '<p>'.$answerMixed->getAnswerMixedNumber().' '.$answerMixed->getAnswertext().'</p>';
                                            echo '<p>'.htmlentities($answerContent).'</p>';
                                        }
                                    }
                                        ?>
                                </div>
                            <?php endforeach; ?>
                        <?php endif; ?>
                    </td>
                </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
    <ul class="pager">
        <?php for ($i = 1; $i <= 126; $i += 7) : ?>
            <li><a href="<?php echo url_for('answer/index?startAnswerNumber=' . $i . '&endAnswerNumber=' . ($i + 6)) ?>"><?php echo $i ?>-<?php echo $i + 6 ?></a></li>
        <?php endfor; ?>
    </ul>
    <a href="<?php echo url_for('answer/edit?startAnswerNumber=' . $startAnswerNumber . '&endAnswerNumber=' . $endAnswerNumber) ?>" class="btn btn-warning"><?php echo __('Edytuj odpowiedzi na pytania') ?></a>
    