<?php

class answermixActions extends sfActions {

    public function executeIndex(sfWebRequest $request) {
        $this->checkQuestionNumber();

        if ($this->questionNumber != null && $this->questionSubnumber != null) {
            $this->AnswerMixeds = AnswerMixedPeer::retrieveByNumberAndSubnumber($this->questionNumber, $this->questionSubnumber);
        } else {
            $this->AnswerMixeds = AnswerMixedPeer::doSelect(new Criteria());
        }
    }

    public function executeShow(sfWebRequest $request) {
        $this->checkQuestionNumber();
        $this->AnswerMixed = AnswerMixedPeer::retrieveByPk($request->getParameter('answermixedid'));
        $this->forward404Unless($this->AnswerMixed);
    }

    public function executeEdit(sfWebRequest $request) {
        $this->forward404Unless($AnswerMixed = AnswerMixedPeer::retrieveByPk($request->getParameter('answermixedid')), sprintf('Object AnswerMixed does not exist (%s).', $request->getParameter('answermixedid')));
        $this->checkQuestionNumber();
        $this->form = new AnswerMixedForm($AnswerMixed);
    }

    public function executeUpdate(sfWebRequest $request) {
        $this->forward404Unless($request->isMethod(sfRequest::POST) || $request->isMethod(sfRequest::PUT));
        $this->forward404Unless($AnswerMixed = AnswerMixedPeer::retrieveByPk($request->getParameter('answermixedid')), sprintf('Object AnswerMixed does not exist (%s).', $request->getParameter('answermixedid')));
        $this->checkQuestionNumber();
        $this->form = new AnswerMixedForm($AnswerMixed);

        $this->processForm($request, $this->form);

        $this->setTemplate('edit');
    }

    protected function checkQuestionNumber() {
        $this->questionNumber = $this->getRequestParameter('questionNumber');
        $this->questionSubnumber = $this->getRequestParameter('questionSubnumber');
        $this->forward404Unless($this->questionNumber != null);
        $this->forward404Unless($this->questionSubnumber != null);
    }

    protected function processForm(sfWebRequest $request, sfForm $form) {
        $form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));
        if ($form->isValid()) {
            $AnswerMixed = $form->save();

            $this->redirect('answermix/edit?answermixedid=' . $AnswerMixed->getAnswermixedid().'&questionNumber=' . $this->questionNumber . '&questionSubnumber=' . $this->questionSubnumber);
        }
    }

}
