<?php

class companyActions extends sfActions {

    public function executeIndex(sfWebRequest $request) {
        $this->Companys = CompanyPeer::retrieveByUserId($this->getUser()->getUserId());
    }
    
    public function executeNew(sfWebRequest $request) {
        $this->form = new CompanyForm();
        $this->form->getWidget('userId')->setDefault($this->getUser()->getUserId());
        $this->form->setDefault('userId', $this->getUser()->getUserId());
    }

    public function executeCreate(sfWebRequest $request) {
        $this->forward404Unless($request->isMethod(sfRequest::POST));

        $this->form = new CompanyForm();

        $this->processForm($request, $this->form);

        $this->setTemplate('new');
    }

    public function executeEdit(sfWebRequest $request) {
        $this->forward404Unless($Company = CompanyPeer::retrieveByPKAndUserId($request->getParameter('companyid'), $this->getUser()->getUserId()), sprintf('Object Company does not exist (%s).', $request->getParameter('companyid')));
        $this->form = new CompanyForm($Company);
    }

    public function executeUpdate(sfWebRequest $request) {
        $this->forward404Unless($request->isMethod(sfRequest::POST) || $request->isMethod(sfRequest::PUT));
        $this->forward404Unless($Company = CompanyPeer::retrieveByPKAndUserId($request->getParameter('companyid'), $this->getUser()->getUserId()), sprintf('Object Company does not exist (%s).', $request->getParameter('companyid')));
        $this->form = new CompanyForm($Company);

        $this->processForm($request, $this->form);

        $this->setTemplate('edit');
    }

    public function executeDelete(sfWebRequest $request) {
        $request->checkCSRFProtection();

        $this->forward404Unless($Company = CompanyPeer::retrieveByPKAndUserId($request->getParameter('companyid'), $this->getUser()->getUserId()), sprintf('Object Company does not exist (%s).', $request->getParameter('companyid')));
        $Company->delete();

        $this->redirect('company/index');
    }

    protected function processForm(sfWebRequest $request, sfForm $form) {
        $form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));
        if ($form->isValid()) {
            $Company = $form->save();

            $this->redirect('company/index');
        }
    }

}
