<?php use_helper('I18N') ?>
    <h1><?php echo __('Lista firm') ?></h1>

    <table class="table table-striped table-bordered">
        <thead>
            <tr>
            	<th></th>
                <th><?php echo __('Dane podstawowe') ?></th>
                <th><?php echo __('Adres') ?></th>
                <th><?php echo __('Kontakt') ?></th>
                <th><?php echo __('Usługi') ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($Companys as $Company): ?>
                <tr>
                	<td>
                		<a href="<?php echo url_for('company/edit?companyid=' . $Company->getCompanyid()) ?>" class="btn btn-primary"><?php echo __('Edytuj') ?></a>
                		<br/>
                		<?php echo link_to(__('Usuń'), 'company/delete?companyid='. $Company->getCompanyid()
                					, array('method' => 'delete', 'confirm' => __('Czy jesteś pewny ?'), 'class' => 'btn btn-danger')) ?>
                	</td>
                    <td><?php echo '<b>'.__('Nazwa').':</b>.'.$Company->getName().'<br/>';
                              echo '<b>'.__('Numer identyfikacyjny REGON').':</b>'.$Company->getRegonnumber().'<br/>';
                              echo '<b>'.__('Rok powstania').':</b>'.$Company->getCreationyear().'<br/>';                              
                              echo '<b>'.__('Numer PKD').':</b>'.$Company->getPkdNumber().'<br/>';?></td>
                              
                    <td><?php echo '<b>'.__('Ulica').':</b>'.$Company->getStreetname().'<br/>';
                              echo '<b>'.__('Kod pocztowy').':</b>'.$Company->getPostCode().'<br/>';
                              echo '<b>'.__('Miasto').':</b>'.$Company->getPlace().'<br/>';
                              echo '<b>'.__('Województwo').':</b>'.$Company->getProvince().'</br>';
                              echo '<b>'.__('Kraj').':</b>'.$Company->getCountry() ?></td>
                              
                    <td><?php 
                              $email = $Company->getEmail();
                              if ($email != '') {
                              	$email = '<a href="mailto:'.$email.'">'.$email.'</a>';
                              }
                              echo '<b>'.__('adres e–mail').':</b>'.$email.'</br>';
                              $www = $Company->getSiteAddres();
                              if ($www != '') {
                              	$www = '<a href="'.$www.'">'.$www.'</a>';
                              }
                              echo '<b>'.__('adres strony www').':</b>'.$www.'<br/>';
                              
                              $phone = $Company->getPhoneNumber();
                              if ($phone != '') {
                              	$phone = '<a href="tel:'.$phone.'">'.$phone.'</a>';
                              }
                              
                              echo '<b>'.__('nr. telefonu').':</b>'.$phone.'<br/>';                              
                              echo '<b>'.__('numer faxu').':</b>'.$Company->getFaxNumber().'<br/>'; ?></td>
                              
                    <td><?php 
                    		$yesIco = '<div class="icon-ok"></div>';
                    		$noIco = '<div class="icon-remove"></div>';
                    		$maybeIco = '<div class="icon-question-sign"></div>';
                    		
                    		$prodIco = $maybeIco;
                    		switch ($Company->getIsProductInnovation()) {
                    			case '0':
                    			$prodIco = $noIco;
                    			break;
                    			case '1':
                    			$prodIco = $yesIco;	
                    			break;
                    		}
                    		echo '<b>'.__('Innowacja wyrobu/usługi').':</b>.'.$prodIco.'<br/>';

                    		$procIco = $maybeIco;
                    		switch ($Company->getIsProcessInnovation()) {
                    			case '0':
                    				$procIco = $noIco;
                    				break;
                    			case '1':
                    				$procIco = $yesIco;
                    				break;
                    		}
                    		echo '<b>'.__('Innowacja procesu').':</b>.'.$procIco.'<br/>';
                    		
                    		$orgIco = $maybeIco;
                    		switch ($Company->getIsOrganisationInnovation()) {
                    			case '0':
                    				$orgIco = $noIco;
                    				break;
                    			case '1':
                    				$orgIco = $yesIco;
                    				break;
                    		}
                    		echo '<b>'.__('Innowacja organizacyjna i zarządcza').':</b>.'.$orgIco.'<br/>';
                    		
                    		$custIco = $maybeIco;
                    		switch ($Company->getIsCustomerServiceInnovation()) {
                    			case '0':
                    				$custIco = $noIco;
                    				break;
                    			case '1':
                    				$custIco = $yesIco;
                    				break;
                    		}
                    		echo '<b>'.__('Innowacja obsługi klienta').':</b>.'.$custIco.'<br/>';
                    ?></td>
                </tr>
            <?php endforeach; ?>
        </tbody>
    </table>

    <a href="<?php echo url_for('company/new') ?>" class="btn btn-warning"><?php echo __('Dodaj nową firmę') ?></a>
