<?php

class efficacyActions extends sfActions {

    public function executeIndex(sfWebRequest $request) {
        $this->companyEfficacy = $this->getCompanyEfficacy();
    }

    public function executeEdit(sfWebRequest $request) {
        $this->forward404Unless($this->companyEfficacy = $this->getCompanyEfficacy(), sprintf('Object Efficacy for company does not exist (%s).', $this->companyId));
        $this->form = new AnswerMixedCollectionForm(null, array('companyEfficacy' => $this->companyEfficacy));
    }

    public function executeNew(sfWebRequest $request) {
        $this->forward404Unless($this->companyEfficacy = $this->getCompanyEfficacy(), sprintf('Object Efficacy for company does not exist (%s).', $this->companyId));

        $newEfficacy = new Efficacy();
        $newEfficacy->setCompanyid($this->companyId);
        $newEfficacy->setNumber(count($this->companyEfficacy) + 1);
        $newEfficacy->setWw(-1);
        $newEfficacy->setWt(-1);
        $newEfficacy->setWn(-1);
        $newEfficacy->setWo(-1);
        $newEfficacy->save();
        $this->redirect('efficacy/edit');
    }

    public function executeUpdate(sfWebRequest $request) {
        $this->forward404Unless($request->isMethod(sfRequest::POST) || $request->isMethod(sfRequest::PUT));
        $this->forward404Unless($this->companyEfficacy = $this->getCompanyEfficacy(), sprintf('Object Efficacy for company does not exist (%s).', $this->companyId));
        $this->form = new AnswerMixedCollectionForm(null, array('companyEfficacy' => $this->companyEfficacy));

        $this->processForm($request, $this->form);

        $this->setTemplate('edit');
    }
    
    public function executeDelete(sfWebRequest $request) {
        $request->checkCSRFProtection();

        $this->forward404Unless($efficacy = EfficacyPeer::retrieveByPK($request->getParameter('efficacyId')), sprintf('Object Efficacy does not exist (%s).', $request->getParameter('efficacyId')));
        $efficacy->delete();

        $this->redirect('efficacy/index');
    }

    protected function getCompanyEfficacy() {
		$userId = $this->getUser()->getUserId();
        $arr = InnovationUtil::computeEfficacy($userId, $this);
        $userSettings = UserSettingsPeer::retrieveByUserId($userId);
        $this->companyId = $userSettings->getCompany()->getCompanyid();
        $this->efficacyCount = $arr[1];
        $this->sumEfficacy = $arr[2];
        return $arr[0];
    }

    protected function processForm(sfWebRequest $request, sfForm $form) {
        $formValues = $request->getParameter($form->getName());
        $valid = true;

        foreach ($form->getEmbeddedForms() as $key => $eForm) {
            $eForm->bind($formValues[$key]);
            if ($eForm->isValid()) {
                $eForm->save();
            } else {
                $valid = false;
            }
        }

        if ($valid) {
            $this->redirect('efficacy/index');
        }
    }

}
