<?php use_helper('I18N') ?>
    <h1><?php echo __('Prognozowanie pytania numer %nr%', array('%nr%' => $Question->getQuestionFullNumber())) ?></h1>

    <form name="<?php echo InnovationConstants::CHOOSE_PREDICTION_QUESTION_FROM_NAME ?>" action="<?php echo url_for('prediction/index') ?>">

        <span>
            <?php echo __('Wybierz pytanie do prognozowania') ?>
        </span>
        <select name="<?php echo InnovationConstants::QUESTION_NUMBER ?>" onchange="document.<?php echo InnovationConstants::CHOOSE_PREDICTION_QUESTION_FROM_NAME ?>.submit()" >
            <?php foreach ($Questions as $q): ?>
                <option value="<?php echo $q->getQuestionNumberAndSubnamber() ?>" <?php echo $q->getQuestionFullNumber() == $Question->getQuestionFullNumber() ? "selected='true'" : "" ?>>
                    <?php echo __('poz. %nr%', array('%nr%' => $q->getQuestionFullNumber())) ?>
                </option>
            <?php endforeach; ?>
        </select>
    </form>

    <br/>
    
    <div id="chartSpace"></div>
    <script type="text/javascript">
	<!--
	// Load the Visualization API and the piechart package.
    google.load('visualization', '1.0', {'packages':['corechart']});
    
    // Set a callback to run when the Google Visualization API is loaded.
    google.setOnLoadCallback(drawChart);

    function drawChart() {
    	var data = google.visualization.arrayToDataTable([
    	      ['', <?php echo '\''.__('Trend').'\',\''.__('Wartość').'\''?>]
    	      <?php
    	      	$i = 0;
    	      	
    	      	foreach ($predictionYears as $year) {
    	      		$answ = $answers[$year];
    	      		$pred = $predictions[0][$i];
    	      		
    	      		$i++;
    	      		
    	      		if (!isset($answ)) {
    	      			$answ = $pred;
    	      		}
                    if (!isset($answ) || $answ == '') {
                        $answ = 0;
                    }
    	      		echo ',['.$year.','.$pred.','.$answ.']';
    	        }
    	      	?>
    	]);

    	var options = {
    	    	  width: '100%',
    	    	  height: '450px',
    	    	  hAxis: {title: "<?php echo __("Lata")?>"},
    	          seriesType: "line",
    	          series: {1: {type: "scatter"}}
    	        };
    	var chart = new google.visualization.ComboChart(document.getElementById('chartSpace'));
        chart.draw(data, options);
    }
	//-->
	</script>
    
    <br/>
    <h1><?php echo __('Prognozowana wartość wskaźnika/miernika w poszczególnych latach') ?>:</h1>
    <ul>
        <li><?php echo $predictionYears[$innovationRange + 1] . ' = ' . number_format($predictions[0][$innovationRange + 1], 2, '.', ' ') ?></li>
        <li><?php echo $predictionYears[$innovationRange + 2] . ' = ' . number_format($predictions[0][$innovationRange + 2], 2, '.', ' ') ?></li>
        <li><?php echo $predictionYears[$innovationRange + 3] . ' = ' . number_format($predictions[0][$innovationRange + 3], 2, '.', ' ') ?></li>
        <li><?php echo $predictionYears[$innovationRange + 4] . ' = ' . number_format($predictions[0][$innovationRange + 4], 2, '.', ' ') ?></li>
        <li><?php echo $predictionYears[$innovationRange + 5] . ' = ' . number_format($predictions[0][$innovationRange + 5], 2, '.', ' ') ?></li>
    </ul>

    <form action="<?php echo url_for('prediction/create') ?>" method="post" <?php $form->isMultipart() and print 'enctype="multipart/form-data" ' ?>>
        <?php echo $form->renderHiddenFields(false) ?>
        <?php echo $form->renderGlobalErrors() ?>
        <input type="hidden" name="<?php echo InnovationConstants::QUESTION_NUMBER ?>" value="<?php echo $Question->getQuestionNumberAndSubnamber() ?>" />
        <input type="submit" class="btn btn-warning" value="<?php echo __('Zapisz prognozę') ?>" />
    </form>

    <?php if ($Predictions && count($Predictions) > 0): ?>

        <h1><?php echo __('Zapisane prognozy') ?></h1>
        <table class="table table-striped table-bordered">
            <thead>
                <tr>
                    <th rowspan="2"></th>
                    <th rowspan="2"><?php echo __('Numer pytania') ?></th>
                    <th rowspan="2"><?php echo __('Startowy rok') ?></th>
                    <th rowspan="2"><?php echo __('Końcowy rok') ?></th>
                    <th colspan="5"><?php echo __('Prognozowana wartość wskaźnika/miernika w poszczególnych latach') ?></th>
                </tr>
                <tr>
                    <th><?php echo $predictionYears[$innovationRange + 1] ?></th>
                    <th><?php echo $predictionYears[$innovationRange + 2] ?></th>
                    <th><?php echo $predictionYears[$innovationRange + 3] ?></th>
                    <th><?php echo $predictionYears[$innovationRange + 4] ?></th>
                    <th><?php echo $predictionYears[$innovationRange + 5] ?></th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($Predictions as $Prediction): ?>
                    <tr>
                        <td><?php echo link_to(__('Usuń'), 'prediction/delete?predictionid=' . $Prediction->getPredictionid() . '&' . InnovationConstants::QUESTION_NUMBER . '=' . $Question->getQuestionNumberAndSubnamber(), array('method' => 'delete', 'confirm' => __('Czy jesteś pewny ?'), 'class' => 'btn btn-danger')) ?></td>
                        <td><?php echo __('poz. %nr%', array('%nr%' => $Prediction->getFieldname())) ?></td>
                        <td><?php echo $Prediction->getStartyear() ?></td>
                        <td><?php echo $Prediction->getEndyear() ?></td>
                        <td><?php echo $Prediction->getYear1() ?></td>
                        <td><?php echo $Prediction->getYear2() ?></td>
                        <td><?php echo $Prediction->getYear3() ?></td>
                        <td><?php echo $Prediction->getYear4() ?></td>
                        <td><?php echo $Prediction->getYear5() ?></td>
                    </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
        <a href="<?php echo url_for('prediction/report') ?>" class="btn btn-warning"><?php echo __('Raport końcowy') ?></a>
    <?php endif; ?>
 