<?php

class questionActions extends sfActions {

    public function executeIndex(sfWebRequest $request) {
        $this->Questions = QuestionPeer::doSelect(new Criteria());
    }

    public function executeEdit(sfWebRequest $request) {
        $this->forward404Unless($Question = QuestionPeer::retrieveByPk($request->getParameter('questionid')), sprintf('Object Question does not exist (%s).', $request->getParameter('questionid')));
        $this->form = new QuestionForm($Question, array('culture' => $this->getUser()->getCulture()));
    }

    public function executeUpdate(sfWebRequest $request) {
        $this->forward404Unless($request->isMethod(sfRequest::POST) || $request->isMethod(sfRequest::PUT));
        $this->forward404Unless($Question = QuestionPeer::retrieveByPk($request->getParameter('questionid')), sprintf('Object Question does not exist (%s).', $request->getParameter('questionid')));
        $this->form = new QuestionForm($Question, array('culture' => $this->getUser()->getCulture()));

        $this->processForm($request, $this->form);

        $this->setTemplate('edit');
    }

    protected function processForm(sfWebRequest $request, sfForm $form) {
        $form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));
        if ($form->isValid()) {
            $Question = $form->save();

            $this->redirect('question/show?questionid=' . $Question->getQuestionid());
        }
    }

}
