<?php
class schemaActions extends sfActions {
    
    public function executeIndex(sfWebRequest $request) {
        $this->userSettings = UserSettingsPeer::retrieveByUserId($this->getUser()->getUserId());
        InnovationUtil::forward404Unless($this->userSettings && $this->userSettings->getCompany(), $this, 'W ustawieniach nie została wybrana firma');
        
        $this->innovationSchema = InnovationSchemaPeer::retrieveByPk($request->getParameter('schemaid'));
        $this->schemaYear = $request->getParameter('schemaYear');
        $this->forward404Unless($this->innovationSchema);
        
        $this->startYear = $this->userSettings->getStartyear();
        $this->endYear = $this->userSettings->getEndyear();
        if (abs($this->startYear - $this->endYear) > 10) {
            $this->startYear = $this->endYear - 10;
        }
        
        if(!$this->schemaYear || !is_numeric($this->schemaYear)) {
            $this->schemaYear = $this->startYear;
        }
        
        if($this->schemaYear < $this->startYear) {
            $this->schemaYear = $this->startYear;
        }
        else if($this->schemaYear > $this->endYear) {
            $this->schemaYear = $this->endYear;
        }
        
        $this->companyId = $this->userSettings->getCurrentcompanyid();
        $this->schemaImgName = 'schema/'.$this->innovationSchema->getImagename().'_'.$this->getUser()->getCulture();
        
        $c = new Criteria();
        $c->addAscendingOrderByColumn(SchemaPositionPeer::POSITIONNUMBER);
        $schemaPositions = $this->innovationSchema->getSchemaPositions($c);
        
        $this->innovationSchemas = InnovationSchemaPeer::retrieveAll();
        $this->questions = QuestionPeer::retrieveBySchemaPositions($schemaPositions);
    }
}
