<?php use_helper('I18N') ?>

    <h1><?php echo __('Schemat %name% dla roku %year%', array('%name%' => $innovationSchema->getName(), '%year%' => $schemaYear)) ?></h1>
	<br/>
	<div class="btn-toolbar">
		<div class="btn-group">
			<a href="#" class="btn btn-primary dropdown-toggle" data-toggle="dropdown">
				<?php echo __('Schemat').' '.$innovationSchema->getName(); ?>
				<span class="caret"></span>
			</a>
			
		    <ul class="dropdown-menu">
		        <?php foreach ($innovationSchemas as $iSchema) : ?>
		            <?php if ($iSchema->getSchemaid() == $innovationSchema->getSchemaid()) : ?>
		                <li class="active"><a href="<?php echo url_for('schema/index?schemaid=' . $iSchema->getSchemaid() . '&schemaYear=' . $schemaYear) ?>"><?php echo __('Schemat') ?><?php echo ' ' . $iSchema->getName() ?><br/></a></li>
		            <?php else : ?>
		                <li><a href="<?php echo url_for('schema/index?schemaid=' . $iSchema->getSchemaid() . '&schemaYear=' . $schemaYear) ?>"><?php echo __('Schemat') ?><?php echo ' ' . $iSchema->getName() ?>,<br/></a></li>
		            <?php endif; ?>
		        <?php endforeach; ?>
		    </ul>
		</div>
	    <div class="btn-group">
		    <?php for ($i = $startYear; $i <= $endYear; $i++) : ?>
		        <?php if ($i == $schemaYear) : ?>
		            <a class="btn btn-primary active" href="<?php echo url_for('schema/index?schemaid=' . $innovationSchema->getSchemaid() . '&schemaYear=' . $i) ?>"><?php echo $i ?></a>
		        <?php else : ?>
		            <a class="btn btn-primary" href="<?php echo url_for('schema/index?schemaid=' . $innovationSchema->getSchemaid() . '&schemaYear=' . $i) ?>"><?php echo $i ?></a>
		        <?php endif; ?>
		    <?php endfor; ?>
	    </div>
	</div>
    <br/>
    <br/>
    <?php echo image_tag($schemaImgName) ?>
<div class="clear"></div>

    <table class="table table-striped table-bordered">
        <tbody>
            <?php foreach ($questions as $question): ?>
            <?php
                    $questionClass = '';
                    if ($question->getIscoloredschema() > 0) {
                        if ($question->getType() == 1 || $question->getType() == 7 || $question->getType() == 8) {
                            $answers = AnswerYearsPeer::retrieveByQuestionIdCompanyIdYearRange($question->getQuestionid(), $companyId, $schemaYear - 1, $schemaYear);
                            $questionClass = $answers[$schemaYear]->getColor($question->getIscoloredschema());
                        } elseif ($question->getType() == 2) {
                            $answers = AnswerYearsAutoPeer::getValuesByQuestionNumberCompanyIdYearRange($question->getNumber(), $question->getSubnumber(), $companyId, $schemaYear - 1, $schemaYear);
                            $questionClass = InnovationUtil::getColor($question->getIscoloredschema(), $answers[$schemaYear][AnswerYearsAutoPeer::$RESULT_VALUE_INDEX], $answers[$schemaYear - 1][AnswerYearsAutoPeer::$RESULT_VALUE_INDEX]);
                        } elseif ($question->getType() == 3) {
                            $answers = AnswerYearsRangePeer::retrieveByQuestionIdCompanyIdYearRange($question->getQuestionid(), $companyId, $schemaYear - 1, $schemaYear);
                            $questionClass = $answers[$schemaYear]->getColor($question->getIscoloredschema());
                        } elseif ($question->getType() == 4) {
                            $answers = AnswerYearsRangeAutoPeer::getValuesByQuestionNumberCompanyIdYearRange($question->getNumber(), $question->getSubnumber(), $companyId, $schemaYear - 1, $schemaYear);
                            $questionClass = InnovationUtil::getColor($question->getIscoloredschema(), $answers[$schemaYear], $answers[$schemaYear - 1]);
                        }
                    }
                    if (!$questionClass) {
                        $questionClass = '';
                    }
                    ?>
                <tr>
                    <td style="width: 60px">
                        <?php echo __('poz. %nr%', array('%nr%' => $question->getQuestionFullNumber())) ?>
                    </td>
                    <td>
                    	<div class="<?php echo $questionClass; ?>">
                        	<?php echo $question->getQuestiontext() ?>
                        </div>
                    </td>
                </tr>
            <?php endforeach; ?>
        </tbody>
    </table>