<?php

class userSettingsActions extends sfActions {

    public function executeIndex(sfWebRequest $request) {

        $this->UserSettings = $this->getUserSettings();
    }

    public function executeEdit(sfWebRequest $request) {
        $this->forward404Unless($UserSettings = $this->getUserSettings(), sprintf('Object UserSettings does not exist for user (%s).', $this->getUser()->getUserName()));
        $this->form = new UserSettingsForm($UserSettings, array('companyUserId' => $this->getUser()->getUserId()));
    }

    public function executeUpdate(sfWebRequest $request) {
        $this->forward404Unless($request->isMethod(sfRequest::POST) || $request->isMethod(sfRequest::PUT));
        $this->forward404Unless($UserSettings = $this->getUserSettings(), sprintf('Object UserSettings does not exist for user (%s).', $this->getUser()->getUserName()));
        $this->form = new UserSettingsForm($UserSettings, array('companyUserId' => $this->getUser()->getUserId()));

        $this->processForm($request, $this->form);

        $this->setTemplate('edit');
    }

    protected function getUserSettings() {

        $UserSettings = UserSettingsPeer::retrieveByUserId($this->getUser()->getUserId());
        if (!$UserSettings) {
            $UserSettings = new UserSettings();
            $UserSettings->setUserid($this->getUser()->getUserId());
            $today = date("Y");
            $UserSettings->setStartyear($today - 4);
            $UserSettings->setEndyear($today - 1);
            $UserSettings->save();
        }

        return $UserSettings;
    }

    protected function processForm(sfWebRequest $request, sfForm $form) {
        $form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));
        if ($form->isValid()) {
            $UserSettings = $form->save();

            $this->redirect('userSettings/index');
        }
    }

}
