<?php

class InnovationUtil {
    const GREEN_COLOR = 'alert alert-success';
    const RED_COLOR = 'alert alert-error';
    const YELLOW_COLOR = 'alert';
    const NON_COLOR = '';
    const INCOMPLETE_AUTO_QUESTION_CLASS = 'incompleteQuestion';

    const INCREASE_LEVEL = 0.1;
    const DECREASE_LEVEL = -0.1;

    public static function forward404Unless($condition, $innovationAction, $message) {
        if (!$condition) {
            $innovationAction->getUser()->setFlash(InnovationConstants::ERROR_MESSAGE_PARAM_NAME, $message);
            $innovationAction->forward404();
        }
    }

    public static function computeEfficacy($userId, $action) {
    	$userSettings = UserSettingsPeer::retrieveByUserId($userId);
    	InnovationUtil::forward404Unless($userSettings && $userSettings->getCompany(), $action, 'W ustawieniach nie została wybrana firma');
    	//$this->forward404Unless($this->userSettings && $this->userSettings->getCompany(), 'W ustawieniach nie została wybrana firma');
    	
    	$companyId = $userSettings->getCurrentcompanyid();
    	$companyEfficacy = EfficacyPeer::retrieveByCompanyId($companyId);
    	
    	if (!$companyEfficacy || count($companyEfficacy) == 0) {
    		$companyEfficacy[0] = new Efficacy();
    		$companyEfficacy[0]->setCompanyid($companyId);
    		$companyEfficacy[0]->setNumber(1);
    		$companyEfficacy[0]->setWw(-1);
    		$companyEfficacy[0]->setWt(-1);
    		$companyEfficacy[0]->setWn(-1);
    		$companyEfficacy[0]->setWo(-1);
    	
    		$companyEfficacy[0]->save();
    	}
    	
    	$sumEfficacy = new Efficacy();
    	$sumEfficacy->setWw(0);
    	$sumEfficacy->setWt(0);
    	$sumEfficacy->setWn(0);
    	$sumEfficacy->setWo(0);
    	$efficacyCount = count($companyEfficacy);
    	
    	foreach ($companyEfficacy as $e) {
    		if ($sumEfficacy->getWw() != -1) {
    			if ($e->getWw() != -1) {
    				$sumEfficacy->setWw($sumEfficacy->getWw() + $e->getWw());
    			} else {
    				$sumEfficacy->setWw(-1);
    			}
    		}
    		if ($sumEfficacy->getWt() != -1) {
    			if ($e->getWt() != -1) {
    				$sumEfficacy->setWt($sumEfficacy->getWt() + $e->getWt());
    			} else {
    				$sumEfficacy->setWt(-1);
    			}
    		}
    		if ($sumEfficacy->getWn() != -1) {
    			if ($e->getWn() != -1) {
    				$sumEfficacy->setWn($sumEfficacy->getWn() + $e->getWn());
    			} else {
    				$sumEfficacy->setWn(-1);
    			}
    		}
    		if ($sumEfficacy->getWo() != -1) {
    			if ($e->getWo() != -1) {
    				$sumEfficacy->setWo($sumEfficacy->getWo() + $e->getWo());
    			} else {
    				$sumEfficacy->setWo(-1);
    			}
    		}
    	}
    	
    	if ($sumEfficacy->getWw() != -1) {
    		$sumEfficacy->setWw($sumEfficacy->getWw() / $efficacyCount);
    	}
    	if ($sumEfficacy->getWt() != -1) {
    		$sumEfficacy->setWt($sumEfficacy->getWt() / $efficacyCount);
    	}
    	if ($sumEfficacy->getWn() != -1) {
    		$sumEfficacy->setWn($sumEfficacy->getWn() / $efficacyCount);
    	}
    	if ($sumEfficacy->getWo() != -1) {
    		$sumEfficacy->setWo($sumEfficacy->getWo() / $efficacyCount);
    	}
    	
    	return array($companyEfficacy, $efficacyCount, $sumEfficacy);
    }
    
    public static function computeEffectiveness($userId, $action) {
    	$userSettings = UserSettingsPeer::retrieveByUserId($userId);
    	InnovationUtil::forward404Unless($userSettings && $userSettings->getCompany(), $action, 'W ustawieniach nie została wybrana firma');
    	
    	$companyId = $userSettings->getCurrentcompanyid();
    	
    	$endYear = date("Y") - 1;
    	$startYear = $endYear - 3;
    	
    	$innovationRange = $endYear - $startYear + 1;
    	
    	$questions['1.0'] = QuestionPeer::retrieveByNumberAndSubnumber(1, 0);
    	$questions['38.2'] = QuestionPeer::retrieveByNumberAndSubnumber(38, 2);
    	$questions['41.0'] = QuestionPeer::retrieveByNumberAndSubnumber(41, 0);
    	$questions['68.2'] = QuestionPeer::retrieveByNumberAndSubnumber(68, 2);
    	
    	$answers = array();
    	$sumColumn = array();
    	$tab2 = array();
    	
    	for ($i = $startYear; $i < $endYear + 2; $i++) {
    		$sumColumn[$i] = 0;
    	}
    	
    	foreach ($questions as $key => $question) {
    		if ($question->getType() == 1 || $question->getType() == 7 || $question->getType() == 8) {
    			$answers[$key] = AnswerYearsPeer::getValuesByQuestionIdCompanyIdYearRange($question->getQuestionid(), $companyId, $startYear, $endYear + $innovationRange);
    		} elseif ($question->getType() == 2) {
    			$answersTmp = AnswerYearsAutoPeer::getValuesByQuestionNumberCompanyIdYearRange($question->getNumber(), $question->getSubnumber(), $companyId, $startYear, $endYear + $innovationRange);
    			foreach ($answersTmp as $k => $answerTmp) {
    				$answers[$key][$k] = $answerTmp[AnswerYearsAutoPeer::$RESULT_VALUE_INDEX];
    			}
    		}
    	
    		$action->forward404Unless($answers[$key] && count($answers[$key]) == 2 * ($endYear - $startYear) + 2, 'Wystąpił błąd podczas pobierania wartości odpowiedzi na pytania');
    	
    		for ($i = $startYear; $i < $endYear + 2; $i++) {
    			$tab2[$key][$i] = self::countRange($answers[$key], $i, $i + $innovationRange - 1);
    			if($key != '1.0') {
    				$sumColumn[$i] += $tab2[$key][$i];
    			}
    		}
    	}
    	
    	$tab2['sum'] = $sumColumn;
    	
    	$result = array();
    	
    	$result['tab2'] = $tab2;
    	$result['startYear'] = $startYear;
    	$result['endYear'] = $endYear;
    	$result['innovationRange'] = $innovationRange;
    	
    	return $result;
    }
    
    private static function countRange($values, $start, $end) {

        $resultSum = 0;
        for ($i = $start; $i <= $end; $i++) {
            $resultSum += $values[$i];
        }

        return $resultSum;
    }
    
    public static function getBoolValue($v) {
        if ($v == null || !is_int($v) || $v < 1) {
            return false;
        } else {
            return true;
        }
    }

    /**
     * $colorType:
     * 0 - non color
     * 1 - + Growth rate / meter compared to the previous level: increase of over 10%
     * 2 - - Decrease / reduction indicator / meter compared to the previous level: a decrease of more than 10%.
     * @param type $colorType
     * @return Color: green, red or non(empty string).
     * 
     */
    public static function getColor($colorType, $currentValue, $previousValue) {
    	if (!$colorType || ($colorType != 1 && $colorType != 2)) {
            return self::NON_COLOR;
        }

        if (!InnovationValidator::isNumeric($currentValue) || !InnovationValidator::isNumeric($previousValue) || $previousValue == 0) {
            return self::NON_COLOR;
        }

        $currentValue = $currentValue - $previousValue;
        $previousValue = abs($previousValue);
        $proportion = $currentValue / $previousValue;

        if ($colorType == 1) {
            if ($proportion > self::INCREASE_LEVEL) {
                return self::GREEN_COLOR;
            } else if ($proportion < self::DECREASE_LEVEL) {
                return self::RED_COLOR;
            } else {
                return self::YELLOW_COLOR;
            }
        }

        if ($colorType == 2) {
            if ($proportion > self::INCREASE_LEVEL) {
                return self::RED_COLOR;
            } else if ($proportion < self::DECREASE_LEVEL) {
                return self::GREEN_COLOR;
            } else {
                return self::YELLOW_COLOR;
            }
        }

        return self::NON_COLOR;
    }

    public static function getNumericQuestionAnswers($question, $companyId, $startYear, $endYear) {

        $answers = array();
        if ($question->getType() == 1 || $question->getType() == 7 || $question->getType() == 8) {
            $answers = AnswerYearsPeer::retrieveByQuestionIdCompanyIdYearRange($question->getQuestionid(), $companyId, $startYear, $endYear);

            for ($i = $startYear; $i <= $endYear; $i++) {
                $formatedValue = $answers[$i]->getValue();
                if (!InnovationValidator::isNumeric($formatedValue)) {
                    $formatedValue = '';
                }
                $answers[$i] = $formatedValue;
            }
        } elseif ($question->getType() == 2) {
            $tmpAnswers = AnswerYearsAutoPeer::getValuesByQuestionNumberCompanyIdYearRange($question->getNumber(), $question->getSubnumber(), $companyId, $startYear, $endYear);

            for ($i = $startYear; $i <= $endYear; $i++) {
                $answers[$i] = $tmpAnswers[$i][AnswerYearsAutoPeer::$RESULT_VALUE_INDEX];
            }
        } elseif ($question->getType() == 3) {
            $answers = AnswerYearsRangePeer::retrieveByQuestionIdCompanyIdYearRange($question->getQuestionid(), $companyId, $startYear, $endYear);

            for ($i = $startYear; $i <= $endYear; $i++) {
                $formatedValue = $answers[$i]->getValue();
                if (!InnovationValidator::isNumeric($formatedValue)) {
                    $formatedValue = '';
                }
                $answers[$i] = $formatedValue;
            }
        } elseif ($question->getType() == 4) {
            $answers = AnswerYearsRangeAutoPeer::getValuesByQuestionNumberCompanyIdYearRange($question->getNumber(), $question->getSubnumber(), $companyId, $startYear, $endYear);
        }

        return $answers;
    }

    public static function getLinearTrendFactors($values, $startYear, $endYear) {

        $factors = array();
        $factors[InnovationConstants::LINEAR_TREND_INDEX_A] = 0;
        $factors[InnovationConstants::LINEAR_TREND_INDEX_B] = 0;

        $c = 0;
        $args = array();
        $avg_x = 0;
        $avg_y = 0;

        for ($i = $startYear; $i <= $endYear; $i++) {
            if (InnovationValidator::isNumeric($values[$i])) {
                $args[$c] = $values[$i];
                $c++;
                $avg_x += $c;
                $avg_y += $values[$i];
            }
        }

        if ($c != 0) {
            $avg_x = $avg_x / $c;
            $avg_y = $avg_y / $c;
        }
        $sum_up = 0;
        $sum_down = 0;

        for ($i = 0; $i < $c; $i++) {
            $sum_up += $args[$i] * ($i + 1 - $avg_x);
            $sum_down += ($i + 1 - $avg_x) * ($i + 1 - $avg_x);
        }

        if ($sum_down != 0) {
            $factors[InnovationConstants::LINEAR_TREND_INDEX_A] = $sum_up / $sum_down;
            $factors[InnovationConstants::LINEAR_TREND_INDEX_B] = $avg_y - $factors[InnovationConstants::LINEAR_TREND_INDEX_A] * $avg_x;
        }

        return $factors;
    }

    public static function getLinearTrendPredictions($factors, $answers, $startYear, $endYear) {

        $predictions = array();

        $c = 1;
        for ($i = $startYear; $i <= $endYear; $i++) {

            $predictions[0][] = $c * $factors[InnovationConstants::LINEAR_TREND_INDEX_A] + $factors[InnovationConstants::LINEAR_TREND_INDEX_B];
            $predictions[1][] = $answers[$i];
            $c++;
        }

        for ($i = $endYear + 1; $i <= $endYear + InnovationConstants::PREDICTION_RANGE; $i++) {

            $answers[$i] = $c * $factors[InnovationConstants::LINEAR_TREND_INDEX_A] + $factors[InnovationConstants::LINEAR_TREND_INDEX_B];
            $predictions[0][] = $answers[$i];
            $predictions[1][] = $answers[$i];
            $c++;
        }

        return $predictions;
    }
    
    public static function isQuestionPredictable($question, $qType = null) {

        if(!$question || !($question instanceof Question)) {
            if(!$qType) {
                return false;
            }
        } else {
            $qType = $question->getType();
        }
        
        if($qType == 1 || $qType == 2 || $qType == 3 || $qType == 4 || $qType == 7 || $qType == 7) {
            return true;
        }

        return false;
    }

    public static function getPredictionYears($questionType, $startYear, $endYear) {

        $predictionYears = array();
        if ($questionType == 3 || $questionType == 4) {
            for ($i = $startYear; $i <= $endYear + InnovationConstants::PREDICTION_RANGE; $i++) {
                $predictionYears[] = ($i + 1).'-'.$i;
            }
        } 
        else {
            for ($i = $startYear; $i <= $endYear + InnovationConstants::PREDICTION_RANGE; $i++) {
                $predictionYears[] = $i;
            }
        }

        return $predictionYears;
    }
    
    /*
    public static function preparePredictionGraph($predictionYears, $predictions, $answers, $questionNumberAndSubnamber) {

        $i18n = sfContext::getInstance()->getI18n();
        $yearsLabel = $i18n->__('Lata');
        $itemLabel = $i18n->__('poz. %nr%', array('%nr%' => $questionNumberAndSubnamber));

        $DataSet = new pData;
        $DataSet->AddPoint($answers, "Serie1");
        $DataSet->AddPoint($predictions, "Serie2");
        $DataSet->AddPoint($predictionYears, "Serie3");
        $DataSet->AddSerie("Serie1");
        $DataSet->AddSerie("Serie2");
        $DataSet->SetAbsciseLabelSerie("Serie3");

        $DataSet->SetSerieName("Values", "Serie1");
        $DataSet->SetSerieName("Trend", "Serie2");
        $DataSet->SetYAxisName($itemLabel);
        $DataSet->SetXAxisName($yearsLabel);

        // Initialise the graph   
        $Test = new pChart(800, 300);
        $Test->setFontProperties("Fonts/tahoma.ttf", 8);
        $Test->setGraphArea(60, 20, 780, 260);
        $Test->drawFilledRoundedRectangle(7, 7, 793, 293, 5, 240, 240, 240);
        $Test->drawRoundedRectangle(5, 5, 795, 295, 5, 230, 230, 230);
        $Test->drawGraphArea(255, 255, 255, TRUE);
        $Test->drawScale($DataSet->GetData(), $DataSet->GetDataDescription(), SCALE_NORMAL, 150, 150, 150, TRUE, 0, 2);
        $Test->drawGrid(4, TRUE, 230, 230, 230, 50);

        // Draw the 0 line   
        $Test->setFontProperties("Fonts/tahoma.ttf", 6);
        $Test->drawTreshold(0, 143, 55, 72, TRUE, TRUE);

        // Draw the line graph
        $DataSet->RemoveSerie("Serie2");
        $Test->drawPlotGraph($DataSet->GetData(), $DataSet->GetDataDescription(), 3, 2, 255, 255, 255);
        $DataSet->RemoveSerie("Serie1");
        $DataSet->AddSerie("Serie2");
        $Test->drawLineGraph($DataSet->GetData(), $DataSet->GetDataDescription());

        return $Test;
    }
    public static function getPredictionGraphFileName($user) {
        
        return 'images/charts/' . $user->getUsername() . '_chart.png';
    }
    */
    public static function getColorTypeLabel($colorType) {

        if ($colorType == 1) {
            return 'kolorować rosnąco';
        } 
        else if ($colorType == 2) {
            return 'kolorować malejąco';
        }

        return 'nie kolorować';
    }
    
    public static function getQuestionTypeLabel($qType) {

        //6 => '', 7 => '', 8 => ''
        if ($qType == 1) {
            return 'zmiennoprzecinkowy';
        } 
        else if ($qType == 2) {
            return 'automatyczne';
        }
        else if ($qType == 3) {
            return 'różnica z lat';
        }
        else if ($qType == 4) {
            return 'automatyczna różnica z lat';
        }
        else if ($qType == 5) {
            return 'lista';
        }
        else if ($qType == 6) {
            return 'różne';
        }
        else if ($qType == 7) {
            return 'całkowite';
        }
        else if ($qType == 8) {
            return 'procenty';
        }

        return '';
    }
    
    public static function getYesOrNoLabel($yesOrNo) {

        if ($yesOrNo == 1) {
            return 'tak';
        } 
        else if ($yesOrNo == 0) {
            return 'nie';
        }

        return 'tak lub nie';
    }
}