<?php

abstract class BaseAnswerCheckboxFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'isChecked'        => new sfWidgetFormFilterInput(),
      'answerMixedId'    => new sfWidgetFormPropelChoice(array('model' => 'AnswerMixed', 'add_empty' => true)),
      'companyId'        => new sfWidgetFormPropelChoice(array('model' => 'Company', 'add_empty' => true)),
    ));

    $this->setValidators(array(
      'isChecked'        => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'answerMixedId'    => new sfValidatorPropelChoice(array('required' => false, 'model' => 'AnswerMixed', 'column' => 'answerMixedId')),
      'companyId'        => new sfValidatorPropelChoice(array('required' => false, 'model' => 'Company', 'column' => 'companyId')),
    ));

    $this->widgetSchema->setNameFormat('answer_checkbox_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'AnswerCheckbox';
  }

  public function getFields()
  {
    return array(
      'answerCheckboxId' => 'Number',
      'isChecked'        => 'Number',
      'answerMixedId'    => 'ForeignKey',
      'companyId'        => 'ForeignKey',
    );
  }
}
