<?php

abstract class BaseAnswerListFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'year'         => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'listContent'  => new sfWidgetFormFilterInput(),
      'questionId'   => new sfWidgetFormPropelChoice(array('model' => 'Question', 'add_empty' => true)),
      'companyId'    => new sfWidgetFormPropelChoice(array('model' => 'Company', 'add_empty' => true)),
    ));

    $this->setValidators(array(
      'year'         => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'listContent'  => new sfValidatorPass(array('required' => false)),
      'questionId'   => new sfValidatorPropelChoice(array('required' => false, 'model' => 'Question', 'column' => 'questionId')),
      'companyId'    => new sfValidatorPropelChoice(array('required' => false, 'model' => 'Company', 'column' => 'companyId')),
    ));

    $this->widgetSchema->setNameFormat('answer_list_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'AnswerList';
  }

  public function getFields()
  {
    return array(
      'answerListId' => 'Number',
      'year'         => 'Number',
      'listContent'  => 'Text',
      'questionId'   => 'ForeignKey',
      'companyId'    => 'ForeignKey',
    );
  }
}
