<?php

abstract class BaseAnswerTextFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'text'          => new sfWidgetFormFilterInput(),
      'answerMixedId' => new sfWidgetFormPropelChoice(array('model' => 'AnswerMixed', 'add_empty' => true)),
      'companyId'     => new sfWidgetFormPropelChoice(array('model' => 'Company', 'add_empty' => true)),
    ));

    $this->setValidators(array(
      'text'          => new sfValidatorPass(array('required' => false)),
      'answerMixedId' => new sfValidatorPropelChoice(array('required' => false, 'model' => 'AnswerMixed', 'column' => 'answerMixedId')),
      'companyId'     => new sfValidatorPropelChoice(array('required' => false, 'model' => 'Company', 'column' => 'companyId')),
    ));

    $this->widgetSchema->setNameFormat('answer_text_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'AnswerText';
  }

  public function getFields()
  {
    return array(
      'answerTextId'  => 'Number',
      'text'          => 'Text',
      'answerMixedId' => 'ForeignKey',
      'companyId'     => 'ForeignKey',
    );
  }
}
