<?php

abstract class BaseAnswerYearsFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'year'          => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'value'         => new sfWidgetFormFilterInput(),
      'questionId'    => new sfWidgetFormPropelChoice(array('model' => 'Question', 'add_empty' => true)),
      'companyId'     => new sfWidgetFormPropelChoice(array('model' => 'Company', 'add_empty' => true)),
    ));

    $this->setValidators(array(
      'year'          => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'value'         => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'questionId'    => new sfValidatorPropelChoice(array('required' => false, 'model' => 'Question', 'column' => 'questionId')),
      'companyId'     => new sfValidatorPropelChoice(array('required' => false, 'model' => 'Company', 'column' => 'companyId')),
    ));

    $this->widgetSchema->setNameFormat('answer_years_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'AnswerYears';
  }

  public function getFields()
  {
    return array(
      'answerYearsId' => 'Number',
      'year'          => 'Number',
      'value'         => 'Number',
      'questionId'    => 'ForeignKey',
      'companyId'     => 'ForeignKey',
    );
  }
}
