<?php

abstract class BaseCompanyFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'userId'                      => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'name'                        => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'streetName'                  => new sfWidgetFormFilterInput(),
      'postCode'                    => new sfWidgetFormFilterInput(),
      'place'                       => new sfWidgetFormFilterInput(),
      'province'                    => new sfWidgetFormFilterInput(),
      'country'                     => new sfWidgetFormFilterInput(),
      'phoneNumber'                 => new sfWidgetFormFilterInput(),
      'faxNumber'                   => new sfWidgetFormFilterInput(),
      'email'                       => new sfWidgetFormFilterInput(),
      'siteAddres'                  => new sfWidgetFormFilterInput(),
      'pkdNumber'                   => new sfWidgetFormFilterInput(),
      'regonNumber'                 => new sfWidgetFormFilterInput(),
      'propertyType'                => new sfWidgetFormFilterInput(),
      'creationYear'                => new sfWidgetFormFilterInput(),
      'nationalHeadquarters'        => new sfWidgetFormFilterInput(),
      'abroadHeadquarters'          => new sfWidgetFormFilterInput(),
      'isProductInnovation'         => new sfWidgetFormFilterInput(),
      'isProcessInnovation'         => new sfWidgetFormFilterInput(),
      'isOrganisationInnovation'    => new sfWidgetFormFilterInput(),
      'isCustomerServiceInnovation' => new sfWidgetFormFilterInput(),
    ));

    $this->setValidators(array(
      'userId'                      => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'name'                        => new sfValidatorPass(array('required' => false)),
      'streetName'                  => new sfValidatorPass(array('required' => false)),
      'postCode'                    => new sfValidatorPass(array('required' => false)),
      'place'                       => new sfValidatorPass(array('required' => false)),
      'province'                    => new sfValidatorPass(array('required' => false)),
      'country'                     => new sfValidatorPass(array('required' => false)),
      'phoneNumber'                 => new sfValidatorPass(array('required' => false)),
      'faxNumber'                   => new sfValidatorPass(array('required' => false)),
      'email'                       => new sfValidatorPass(array('required' => false)),
      'siteAddres'                  => new sfValidatorPass(array('required' => false)),
      'pkdNumber'                   => new sfValidatorPass(array('required' => false)),
      'regonNumber'                 => new sfValidatorPass(array('required' => false)),
      'propertyType'                => new sfValidatorPass(array('required' => false)),
      'creationYear'                => new sfValidatorPass(array('required' => false)),
      'nationalHeadquarters'        => new sfValidatorPass(array('required' => false)),
      'abroadHeadquarters'          => new sfValidatorPass(array('required' => false)),
      'isProductInnovation'         => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'isProcessInnovation'         => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'isOrganisationInnovation'    => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'isCustomerServiceInnovation' => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
    ));

    $this->widgetSchema->setNameFormat('company_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Company';
  }

  public function getFields()
  {
    return array(
      'companyId'                   => 'Number',
      'userId'                      => 'Number',
      'name'                        => 'Text',
      'streetName'                  => 'Text',
      'postCode'                    => 'Text',
      'place'                       => 'Text',
      'province'                    => 'Text',
      'country'                     => 'Text',
      'phoneNumber'                 => 'Text',
      'faxNumber'                   => 'Text',
      'email'                       => 'Text',
      'siteAddres'                  => 'Text',
      'pkdNumber'                   => 'Text',
      'regonNumber'                 => 'Text',
      'propertyType'                => 'Text',
      'creationYear'                => 'Text',
      'nationalHeadquarters'        => 'Text',
      'abroadHeadquarters'          => 'Text',
      'isProductInnovation'         => 'Number',
      'isProcessInnovation'         => 'Number',
      'isOrganisationInnovation'    => 'Number',
      'isCustomerServiceInnovation' => 'Number',
    );
  }
}
