<?php

abstract class BaseEfficacyFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'number'     => new sfWidgetFormFilterInput(),
      'ww'         => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'wt'         => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'wn'         => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'wo'         => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'companyId'  => new sfWidgetFormPropelChoice(array('model' => 'Company', 'add_empty' => true)),
    ));

    $this->setValidators(array(
      'number'     => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'ww'         => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'wt'         => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'wn'         => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'wo'         => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'companyId'  => new sfValidatorPropelChoice(array('required' => false, 'model' => 'Company', 'column' => 'companyId')),
    ));

    $this->widgetSchema->setNameFormat('efficacy_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Efficacy';
  }

  public function getFields()
  {
    return array(
      'efficacyId' => 'Number',
      'number'     => 'Number',
      'ww'         => 'Number',
      'wt'         => 'Number',
      'wn'         => 'Number',
      'wo'         => 'Number',
      'companyId'  => 'ForeignKey',
    );
  }
}
