<?php

abstract class BasePredictionFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'fieldName'    => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'typeOfTrend'  => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'startYear'    => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'endYear'      => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'year1'        => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'year2'        => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'year3'        => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'year4'        => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'year5'        => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'companyId'    => new sfWidgetFormPropelChoice(array('model' => 'Company', 'add_empty' => true)),
    ));

    $this->setValidators(array(
      'fieldName'    => new sfValidatorPass(array('required' => false)),
      'typeOfTrend'  => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'startYear'    => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'endYear'      => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'year1'        => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'year2'        => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'year3'        => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'year4'        => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'year5'        => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'companyId'    => new sfValidatorPropelChoice(array('required' => false, 'model' => 'Company', 'column' => 'companyId')),
    ));

    $this->widgetSchema->setNameFormat('prediction_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Prediction';
  }

  public function getFields()
  {
    return array(
      'predictionId' => 'Number',
      'fieldName'    => 'Text',
      'typeOfTrend'  => 'Number',
      'startYear'    => 'Number',
      'endYear'      => 'Number',
      'year1'        => 'Number',
      'year2'        => 'Number',
      'year3'        => 'Number',
      'year4'        => 'Number',
      'year5'        => 'Number',
      'companyId'    => 'ForeignKey',
    );
  }
}
