<?php

class AnswerMixedCollectionForm extends sfForm {

    public function configure() {
        if (!$companyEfficacy = $this->getOption('companyEfficacy')) {
            throw new InvalidArgumentException('You must provide a array with Efficacy objects.');
        }

        $nameFormat = 'collection_form';
        $this->getWidgetSchema()->setNameFormat($nameFormat . '[%s]');

        foreach ($companyEfficacy as $e) {
            $efficacyNameFormat = $nameFormat . '[' . $e->getEfficacyid() . '][%s]';
            $efficacyForm = new EfficacyForm($e);
            $efficacyForm->getWidgetSchema()->setNameFormat($efficacyNameFormat);
            $this->embedForm($e->getEfficacyid(), $efficacyForm);
        }
    }

}

?>
