<?php

class AnswerYearsForm extends BaseAnswerYearsForm {

    public function configure() {
        $this->setWidget('questionId', new sfWidgetFormInputHidden());
        $this->setWidget('companyId', new sfWidgetFormInputHidden());
        $this->setWidget('year', new sfWidgetFormInputHidden());

        $this->setValidator('questionId', new sfValidatorChoice(array('choices' => array($this->getObject()->getQuestionid()), 'empty_value' => $this->getObject()->getQuestionid(), 'required' => false)));
        $this->setValidator('companyId', new sfValidatorChoice(array('choices' => array($this->getObject()->getCompanyid()), 'empty_value' => $this->getObject()->getCompanyid(), 'required' => false)));
        $this->setValidator('year', new sfValidatorChoice(array('choices' => array($this->getObject()->getYear()), 'empty_value' => $this->getObject()->getYear(), 'required' => false)));

        $type = $this->getOption('type', 1);
        $requiredQuestion = $this->getOption('requiredQuestion', 0);
        $required = false;
        if($requiredQuestion == 1) {
            $required = true;
        }

        if ($type == 1) {
            $this->setValidator('value', new sfValidatorNumber(array('required' => $required)));
        } elseif ($type == 7) {
            $this->setValidator('value', new sfValidatorInteger(array('required' => $required)));
        } elseif ($type == 8) {
            $this->setValidator('value', new sfValidatorNumber(array('min' => 0, 'max' => 100, 'required' => $required)));
        }
        
        $this->widgetSchema->setLabels(array(
            'value' => $this->getObject()->getYear()
        ));
    }

}
