<?php

class CompanyForm extends BaseCompanyForm {

    public function configure() {
        //use_helper('I18N');
        //sfLoader::loadHelpers(array('I18N'));
        $i18n = sfContext::getInstance()->getI18n();
        $yes_or_no = $i18n->__('tak lub nie');
        $yes = $i18n->__('tak');
        $no = $i18n->__('nie');
        
        $this->setWidget('isProductInnovation', new sfWidgetFormChoice(array('choices' => array('' => $yes_or_no, 1 => $yes, 0 => $no))));
        $this->setWidget('isProcessInnovation', new sfWidgetFormChoice(array('choices' => array('' => $yes_or_no, 1 => $yes, 0 => $no))));
        $this->setWidget('isOrganisationInnovation', new sfWidgetFormChoice(array('choices' => array('' => $yes_or_no, 1 => $yes, 0 => $no))));
        $this->setWidget('isCustomerServiceInnovation', new sfWidgetFormChoice(array('choices' => array('' => $yes_or_no, 1 => $yes, 0 => $no))));
        $this->setWidget('userId', new sfWidgetFormInputHidden());

        $this->setValidator('email', new sfValidatorAnd(array(new sfValidatorEmail(), new sfValidatorString(array('min_length' => 4)),), array('required' => false)));
        $this->setValidator('creationYear', new sfValidatorInteger(array('min' => 1500, 'max' => 2100, 'required' => false)));

        $this->widgetSchema->setLabels(array(
            'name' => $i18n->__('Nazwa przedsiębiorstwa').':',
            'streetName' => $i18n->__('ulica').':',
            'postCode' => $i18n->__('kod pocztowy').':',
            'place' => $i18n->__('miejscowość').':',
            'province' => $i18n->__('województwo').':',
            'country' => $i18n->__('kraj').':',
            'phoneNumber' => $i18n->__('nr telefonu').':',
            'faxNumber' => $i18n->__('numer faxu').':',
            'email' => $i18n->__('adres e–mail').':',
            'siteAddres' => $i18n->__('adres strony www').':',
            'pkdNumber' => $i18n->__('numer PKD [ w tym podstawowa działalność ]').':',
            'regonNumber' => $i18n->__('numer identyfikacyjny REGON').':',
            'propertyType' => $i18n->__('rodzaj własności').':',
            'creationYear' => $i18n->__('rok powstania przedsiębiorstwa').':',
            'nationalHeadquarters' => $i18n->__('siedziba centrali [ w kraju ]').':',
            'abroadHeadquarters' => $i18n->__('siedziba centrali [ za granicą ]').':',
            'isProductInnovation' => $i18n->__('Innowacja wyrobu/usługi').':',
            'isProcessInnovation' => $i18n->__('Innowacja procesu').':',
            'isOrganisationInnovation' => $i18n->__('Innowacja organizacyjna i zarządcza').':',
            'isCustomerServiceInnovation' => $i18n->__('Innowacja obsługi klienta').':'
        ));
    }

}
