<?php
class QuestionForm extends BaseQuestionForm {

    public function configure() {
        $this->embedI18n(array($this->getCurrentCulture()));
        $this->widgetSchema['number'] = new sfWidgetFormInputHidden();
        $this->widgetSchema['subnumber'] = new sfWidgetFormInputHidden();
        $this->setWidget('requiredQuestion', new sfWidgetFormChoice(array('choices' => array(1 => InnovationUtil::getYesOrNoLabel(1), 0 => InnovationUtil::getYesOrNoLabel(0)))));
        $this->setWidget('isColoredTab', new sfWidgetFormChoice(array('choices' => array(0 => InnovationUtil::getColorTypeLabel(0), 1 => InnovationUtil::getColorTypeLabel(1), 2 => InnovationUtil::getColorTypeLabel(2)))));
        $this->setWidget('isColoredSchema', new sfWidgetFormChoice(array('choices' => array(0 => InnovationUtil::getColorTypeLabel(0), 1 => InnovationUtil::getColorTypeLabel(1), 2 => InnovationUtil::getColorTypeLabel(2)))));
        $this->setWidget('type', new sfWidgetFormChoice(array('choices' => array(1 => InnovationUtil::getQuestionTypeLabel(1), 2 => InnovationUtil::getQuestionTypeLabel(2), 3 => InnovationUtil::getQuestionTypeLabel(3), 4 => InnovationUtil::getQuestionTypeLabel(4), 5 => InnovationUtil::getQuestionTypeLabel(5), 6 => InnovationUtil::getQuestionTypeLabel(6), 7 => InnovationUtil::getQuestionTypeLabel(7), 8 => InnovationUtil::getQuestionTypeLabel(8)))));
        $this->widgetSchema[$this->getCurrentCulture()]['questionText'] = new sfWidgetFormTextarea();
        $this->widgetSchema[$this->getCurrentCulture()]['answerHeader'] = new sfWidgetFormTextarea();
        $this->widgetSchema[$this->getCurrentCulture()]['questionFooter'] = new sfWidgetFormTextarea();
        $this->widgetSchema[$this->getCurrentCulture()]['id'] = new sfWidgetFormInputHidden();
        $this->validatorSchema[$this->getCurrentCulture()]['questionText'] = new sfValidatorString(array('max_length' => 250));
        $this->validatorSchema[$this->getCurrentCulture()]['answerHeader'] = new sfValidatorString(array('max_length' => 150, 'required' => false));
        $this->validatorSchema[$this->getCurrentCulture()]['questionFooter'] = new sfValidatorString(array('max_length' => 250, 'required' => false));
        $this->validatorSchema[$this->getCurrentCulture()]['id'] = new sfValidatorPropelChoice(array('model' => 'Question', 'column' => 'questionId', 'required' => false));

        if ($this->getObject() && InnovationUtil::isQuestionPredictable($this->getObject())) {
            $this->setWidget('predictionQuestion', new sfWidgetFormChoice(array('choices' => array(1 => InnovationUtil::getYesOrNoLabel(1), 0 => InnovationUtil::getYesOrNoLabel(0)))));
        } else {
            $this->setWidget('predictionQuestion', new sfWidgetFormInputHidden());
        }

        $this->widgetSchema->setLabels(array(
            'type' => 'Typ',
            'isColoredTab' => 'Czy kolorować wiersze w tabeli',
            'isColoredSchema' => 'Czy kolorować wiersze w schemacie',
            'cssClassName' => 'Nazwa klasy css',
            'predictionQuestion' => 'Czy odpowiedzi mogą być prognozowalne',
            'requiredQuestion' => 'Czy odpowiedzi mają być obowiązkowe',
        ));
        $this->widgetSchema[$this->getCurrentCulture()]->setLabels(array(
            'questionText' => 'Treść',
            'answerHeader' => 'Nagłówek odpowiedzi',
            'questionFooter' => 'Stopka pytania',
        ));
    }

    public function getCurrentCulture() {
        return isset($this->options['culture']) ? $this->options['culture'] : 'pl_PL';
    }

}
