<?php
class UserSettingsForm extends BaseUserSettingsForm {

    public function configure() {

        $i18n = sfContext::getInstance()->getI18n();
        
        $this->setWidget('userId', new sfWidgetFormInputHidden());

        $c = new Criteria();
        $companyUserId = $this->getOption('companyUserId', 0);
        $c->add(CompanyPeer::USERID, $companyUserId);

        $this->setWidget('currentCompanyId', new sfWidgetFormPropelChoice(
                        array('model' => 'Company',
                            'criteria' => $c)));

        $this->getValidator('startYear')->setOption('min', 1000);
        $this->getValidator('startYear')->setOption('max', date('Y'));
        $this->getValidator('endYear')->setOption('min', 1000);
        $this->getValidator('endYear')->setOption('max', date('Y'));
        $this->setValidator('currentCompanyId', new sfValidatorPropelChoice(array('model' => 'Company', 'criteria' => $c)));
        $this->validatorSchema->setPostValidator(new sfValidatorSchemaCompare('startYear', '<', 'endYear'));

        $this->widgetSchema->setLabels(array(
            'currentCompanyId' => $i18n->__('Obecnie analizowana firma'),
            'startYear' => $i18n->__('Startowy rok oceny innowacji'),
            'endYear' => $i18n->__('Końcowy rok oceny innowacji')
        ));
    }

}
