<?php

abstract class BaseAnswerCheckboxForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'answerCheckboxId' => new sfWidgetFormInputHidden(),
      'isChecked'        => new sfWidgetFormInputText(),
      'answerMixedId'    => new sfWidgetFormPropelChoice(array('model' => 'AnswerMixed', 'add_empty' => false)),
      'companyId'        => new sfWidgetFormPropelChoice(array('model' => 'Company', 'add_empty' => false)),
    ));

    $this->setValidators(array(
      'answerCheckboxId' => new sfValidatorChoice(array('choices' => array($this->getObject()->getAnswercheckboxid()), 'empty_value' => $this->getObject()->getAnswercheckboxid(), 'required' => false)),
      'isChecked'        => new sfValidatorInteger(array('min' => -128, 'max' => 127, 'required' => false)),
      'answerMixedId'    => new sfValidatorPropelChoice(array('model' => 'AnswerMixed', 'column' => 'answerMixedId')),
      'companyId'        => new sfValidatorPropelChoice(array('model' => 'Company', 'column' => 'companyId')),
    ));

    $this->widgetSchema->setNameFormat('answer_checkbox[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'AnswerCheckbox';
  }


}
