<?php

abstract class BaseAnswerListForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'answerListId' => new sfWidgetFormInputHidden(),
      'year'         => new sfWidgetFormInputText(),
      'listContent'  => new sfWidgetFormInputText(),
      'questionId'   => new sfWidgetFormPropelChoice(array('model' => 'Question', 'add_empty' => false)),
      'companyId'    => new sfWidgetFormPropelChoice(array('model' => 'Company', 'add_empty' => false)),
    ));

    $this->setValidators(array(
      'answerListId' => new sfValidatorChoice(array('choices' => array($this->getObject()->getAnswerlistid()), 'empty_value' => $this->getObject()->getAnswerlistid(), 'required' => false)),
      'year'         => new sfValidatorInteger(array('min' => -2147483648, 'max' => 2147483647)),
      'listContent'  => new sfValidatorString(array('max_length' => 245, 'required' => false)),
      'questionId'   => new sfValidatorPropelChoice(array('model' => 'Question', 'column' => 'questionId')),
      'companyId'    => new sfValidatorPropelChoice(array('model' => 'Company', 'column' => 'companyId')),
    ));

    $this->widgetSchema->setNameFormat('answer_list[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'AnswerList';
  }


}
