<?php

abstract class BaseAnswerMixedForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'answerMixedId'     => new sfWidgetFormInputHidden(),
      'questionNumber'    => new sfWidgetFormInputText(),
      'questionSubnumber' => new sfWidgetFormInputText(),
      'number'            => new sfWidgetFormInputText(),
      'subnumber'         => new sfWidgetFormInputText(),
      'type'              => new sfWidgetFormInputText(),
    ));

    $this->setValidators(array(
      'answerMixedId'     => new sfValidatorChoice(array('choices' => array($this->getObject()->getAnswermixedid()), 'empty_value' => $this->getObject()->getAnswermixedid(), 'required' => false)),
      'questionNumber'    => new sfValidatorInteger(array('min' => -2147483648, 'max' => 2147483647)),
      'questionSubnumber' => new sfValidatorInteger(array('min' => -2147483648, 'max' => 2147483647)),
      'number'            => new sfValidatorInteger(array('min' => -2147483648, 'max' => 2147483647)),
      'subnumber'         => new sfValidatorInteger(array('min' => -2147483648, 'max' => 2147483647, 'required' => false)),
      'type'              => new sfValidatorInteger(array('min' => -2147483648, 'max' => 2147483647)),
    ));

    $this->validatorSchema->setPostValidator(
      new sfValidatorPropelUnique(array('model' => 'AnswerMixed', 'column' => array('questionNumber', 'questionSubnumber', 'number', 'subnumber')))
    );

    $this->widgetSchema->setNameFormat('answer_mixed[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'AnswerMixed';
  }

  public function getI18nModelName()
  {
    return 'AnswerMixedI18n';
  }

  public function getI18nFormClass()
  {
    return 'AnswerMixedI18nForm';
  }

}
