<?php

abstract class BaseAnswerYearsForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'answerYearsId' => new sfWidgetFormInputHidden(),
      'year'          => new sfWidgetFormInputText(),
      'value'         => new sfWidgetFormInputText(),
      'questionId'    => new sfWidgetFormPropelChoice(array('model' => 'Question', 'add_empty' => false)),
      'companyId'     => new sfWidgetFormPropelChoice(array('model' => 'Company', 'add_empty' => false)),
    ));

    $this->setValidators(array(
      'answerYearsId' => new sfValidatorChoice(array('choices' => array($this->getObject()->getAnsweryearsid()), 'empty_value' => $this->getObject()->getAnsweryearsid(), 'required' => false)),
      'year'          => new sfValidatorInteger(array('min' => -2147483648, 'max' => 2147483647)),
      'value'         => new sfValidatorNumber(array('required' => false)),
      'questionId'    => new sfValidatorPropelChoice(array('model' => 'Question', 'column' => 'questionId')),
      'companyId'     => new sfValidatorPropelChoice(array('model' => 'Company', 'column' => 'companyId')),
    ));

    $this->widgetSchema->setNameFormat('answer_years[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'AnswerYears';
  }


}
