<?php

abstract class BaseCompanyForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'companyId'                   => new sfWidgetFormInputHidden(),
      'userId'                      => new sfWidgetFormInputText(),
      'name'                        => new sfWidgetFormInputText(),
      'streetName'                  => new sfWidgetFormInputText(),
      'postCode'                    => new sfWidgetFormInputText(),
      'place'                       => new sfWidgetFormInputText(),
      'province'                    => new sfWidgetFormInputText(),
      'country'                     => new sfWidgetFormInputText(),
      'phoneNumber'                 => new sfWidgetFormInputText(),
      'faxNumber'                   => new sfWidgetFormInputText(),
      'email'                       => new sfWidgetFormInputText(),
      'siteAddres'                  => new sfWidgetFormInputText(),
      'pkdNumber'                   => new sfWidgetFormInputText(),
      'regonNumber'                 => new sfWidgetFormInputText(),
      'propertyType'                => new sfWidgetFormInputText(),
      'creationYear'                => new sfWidgetFormInputText(),
      'nationalHeadquarters'        => new sfWidgetFormInputText(),
      'abroadHeadquarters'          => new sfWidgetFormInputText(),
      'isProductInnovation'         => new sfWidgetFormInputText(),
      'isProcessInnovation'         => new sfWidgetFormInputText(),
      'isOrganisationInnovation'    => new sfWidgetFormInputText(),
      'isCustomerServiceInnovation' => new sfWidgetFormInputText(),
    ));

    $this->setValidators(array(
      'companyId'                   => new sfValidatorChoice(array('choices' => array($this->getObject()->getCompanyid()), 'empty_value' => $this->getObject()->getCompanyid(), 'required' => false)),
      'userId'                      => new sfValidatorInteger(array('min' => -2147483648, 'max' => 2147483647)),
      'name'                        => new sfValidatorString(array('max_length' => 95)),
      'streetName'                  => new sfValidatorString(array('max_length' => 100, 'required' => false)),
      'postCode'                    => new sfValidatorString(array('max_length' => 10, 'required' => false)),
      'place'                       => new sfValidatorString(array('max_length' => 95, 'required' => false)),
      'province'                    => new sfValidatorString(array('max_length' => 45, 'required' => false)),
      'country'                     => new sfValidatorString(array('max_length' => 95, 'required' => false)),
      'phoneNumber'                 => new sfValidatorString(array('max_length' => 45, 'required' => false)),
      'faxNumber'                   => new sfValidatorString(array('max_length' => 45, 'required' => false)),
      'email'                       => new sfValidatorString(array('max_length' => 95, 'required' => false)),
      'siteAddres'                  => new sfValidatorString(array('max_length' => 95, 'required' => false)),
      'pkdNumber'                   => new sfValidatorString(array('max_length' => 45, 'required' => false)),
      'regonNumber'                 => new sfValidatorString(array('max_length' => 45, 'required' => false)),
      'propertyType'                => new sfValidatorString(array('max_length' => 95, 'required' => false)),
      'creationYear'                => new sfValidatorString(array('max_length' => 5, 'required' => false)),
      'nationalHeadquarters'        => new sfValidatorString(array('max_length' => 95, 'required' => false)),
      'abroadHeadquarters'          => new sfValidatorString(array('max_length' => 95, 'required' => false)),
      'isProductInnovation'         => new sfValidatorInteger(array('min' => -128, 'max' => 127, 'required' => false)),
      'isProcessInnovation'         => new sfValidatorInteger(array('min' => -128, 'max' => 127, 'required' => false)),
      'isOrganisationInnovation'    => new sfValidatorInteger(array('min' => -128, 'max' => 127, 'required' => false)),
      'isCustomerServiceInnovation' => new sfValidatorInteger(array('min' => -128, 'max' => 127, 'required' => false)),
    ));

    $this->validatorSchema->setPostValidator(
      new sfValidatorPropelUnique(array('model' => 'Company', 'column' => array('userId', 'name')))
    );

    $this->widgetSchema->setNameFormat('company[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Company';
  }


}
