<?php

abstract class BaseEfficacyForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'efficacyId' => new sfWidgetFormInputHidden(),
      'number'     => new sfWidgetFormInputText(),
      'ww'         => new sfWidgetFormInputText(),
      'wt'         => new sfWidgetFormInputText(),
      'wn'         => new sfWidgetFormInputText(),
      'wo'         => new sfWidgetFormInputText(),
      'companyId'  => new sfWidgetFormPropelChoice(array('model' => 'Company', 'add_empty' => false)),
    ));

    $this->setValidators(array(
      'efficacyId' => new sfValidatorChoice(array('choices' => array($this->getObject()->getEfficacyid()), 'empty_value' => $this->getObject()->getEfficacyid(), 'required' => false)),
      'number'     => new sfValidatorInteger(array('min' => -2147483648, 'max' => 2147483647, 'required' => false)),
      'ww'         => new sfValidatorNumber(),
      'wt'         => new sfValidatorNumber(),
      'wn'         => new sfValidatorNumber(),
      'wo'         => new sfValidatorNumber(),
      'companyId'  => new sfValidatorPropelChoice(array('model' => 'Company', 'column' => 'companyId')),
    ));

    $this->widgetSchema->setNameFormat('efficacy[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Efficacy';
  }


}
