<?php

abstract class BasePredictionForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'predictionId' => new sfWidgetFormInputHidden(),
      'fieldName'    => new sfWidgetFormInputText(),
      'typeOfTrend'  => new sfWidgetFormInputText(),
      'startYear'    => new sfWidgetFormInputText(),
      'endYear'      => new sfWidgetFormInputText(),
      'year1'        => new sfWidgetFormInputText(),
      'year2'        => new sfWidgetFormInputText(),
      'year3'        => new sfWidgetFormInputText(),
      'year4'        => new sfWidgetFormInputText(),
      'year5'        => new sfWidgetFormInputText(),
      'companyId'    => new sfWidgetFormPropelChoice(array('model' => 'Company', 'add_empty' => false)),
    ));

    $this->setValidators(array(
      'predictionId' => new sfValidatorChoice(array('choices' => array($this->getObject()->getPredictionid()), 'empty_value' => $this->getObject()->getPredictionid(), 'required' => false)),
      'fieldName'    => new sfValidatorString(array('max_length' => 45)),
      'typeOfTrend'  => new sfValidatorInteger(array('min' => -2147483648, 'max' => 2147483647)),
      'startYear'    => new sfValidatorInteger(array('min' => -2147483648, 'max' => 2147483647)),
      'endYear'      => new sfValidatorInteger(array('min' => -2147483648, 'max' => 2147483647)),
      'year1'        => new sfValidatorNumber(),
      'year2'        => new sfValidatorNumber(),
      'year3'        => new sfValidatorNumber(),
      'year4'        => new sfValidatorNumber(),
      'year5'        => new sfValidatorNumber(),
      'companyId'    => new sfValidatorPropelChoice(array('model' => 'Company', 'column' => 'companyId')),
    ));

    $this->widgetSchema->setNameFormat('prediction[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Prediction';
  }


}
