<?php

abstract class BaseQuestionForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'questionId'         => new sfWidgetFormInputHidden(),
      'number'             => new sfWidgetFormInputText(),
      'subnumber'          => new sfWidgetFormInputText(),
      'type'               => new sfWidgetFormInputText(),
      'isColoredTab'       => new sfWidgetFormInputText(),
      'isColoredSchema'    => new sfWidgetFormInputText(),
      'requiredQuestion'   => new sfWidgetFormInputText(),
      'predictionQuestion' => new sfWidgetFormInputText(),
      'cssClassName'       => new sfWidgetFormInputText(),
    ));

    $this->setValidators(array(
      'questionId'         => new sfValidatorChoice(array('choices' => array($this->getObject()->getQuestionid()), 'empty_value' => $this->getObject()->getQuestionid(), 'required' => false)),
      'number'             => new sfValidatorInteger(array('min' => -2147483648, 'max' => 2147483647)),
      'subnumber'          => new sfValidatorInteger(array('min' => -2147483648, 'max' => 2147483647)),
      'type'               => new sfValidatorInteger(array('min' => -2147483648, 'max' => 2147483647)),
      'isColoredTab'       => new sfValidatorInteger(array('min' => -128, 'max' => 127)),
      'isColoredSchema'    => new sfValidatorInteger(array('min' => -128, 'max' => 127)),
      'requiredQuestion'   => new sfValidatorInteger(array('min' => -128, 'max' => 127, 'required' => false)),
      'predictionQuestion' => new sfValidatorInteger(array('min' => -128, 'max' => 127, 'required' => false)),
      'cssClassName'       => new sfValidatorString(array('max_length' => 50, 'required' => false)),
    ));

    $this->validatorSchema->setPostValidator(
      new sfValidatorPropelUnique(array('model' => 'Question', 'column' => array('number', 'subnumber')))
    );

    $this->widgetSchema->setNameFormat('question[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Question';
  }

  public function getI18nModelName()
  {
    return 'QuestionI18n';
  }

  public function getI18nFormClass()
  {
    return 'QuestionI18nForm';
  }

}
