<?php

abstract class BaseSchemaPositionForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'schemaPositionId'  => new sfWidgetFormInputHidden(),
      'questionNumber'    => new sfWidgetFormInputText(),
      'questionSubnumber' => new sfWidgetFormInputText(),
      'positionNumber'    => new sfWidgetFormInputText(),
      'schemaId'          => new sfWidgetFormPropelChoice(array('model' => 'InnovationSchema', 'add_empty' => false)),
    ));

    $this->setValidators(array(
      'schemaPositionId'  => new sfValidatorChoice(array('choices' => array($this->getObject()->getSchemapositionid()), 'empty_value' => $this->getObject()->getSchemapositionid(), 'required' => false)),
      'questionNumber'    => new sfValidatorInteger(array('min' => -2147483648, 'max' => 2147483647)),
      'questionSubnumber' => new sfValidatorInteger(array('min' => -2147483648, 'max' => 2147483647)),
      'positionNumber'    => new sfValidatorInteger(array('min' => -2147483648, 'max' => 2147483647)),
      'schemaId'          => new sfValidatorPropelChoice(array('model' => 'InnovationSchema', 'column' => 'schemaId')),
    ));

    $this->validatorSchema->setPostValidator(
      new sfValidatorPropelUnique(array('model' => 'SchemaPosition', 'column' => array('schemaId', 'questionSubnumber', 'questionNumber')))
    );

    $this->widgetSchema->setNameFormat('schema_position[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'SchemaPosition';
  }


}
