<?php

abstract class BaseUserSettingsForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'userSettingsId'   => new sfWidgetFormInputHidden(),
      'userId'           => new sfWidgetFormInputText(),
      'currentCompanyId' => new sfWidgetFormInputText(),
      'startYear'        => new sfWidgetFormInputText(),
      'endYear'          => new sfWidgetFormInputText(),
    ));

    $this->setValidators(array(
      'userSettingsId'   => new sfValidatorChoice(array('choices' => array($this->getObject()->getUsersettingsid()), 'empty_value' => $this->getObject()->getUsersettingsid(), 'required' => false)),
      'userId'           => new sfValidatorInteger(array('min' => -2147483648, 'max' => 2147483647)),
      'currentCompanyId' => new sfValidatorInteger(array('min' => -2147483648, 'max' => 2147483647, 'required' => false)),
      'startYear'        => new sfValidatorInteger(array('min' => -2147483648, 'max' => 2147483647)),
      'endYear'          => new sfValidatorInteger(array('min' => -2147483648, 'max' => 2147483647)),
    ));

    $this->validatorSchema->setPostValidator(
      new sfValidatorPropelUnique(array('model' => 'UserSettings', 'column' => array('userId')))
    );

    $this->widgetSchema->setNameFormat('user_settings[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'UserSettings';
  }


}
