<?php

/**
 * Skeleton subclass for performing query and update operations on the 'answer_years_auto' table.
 *
 * 
 *
 * This class was autogenerated by Propel 1.4.2 on:
 *
 * 09/10/11 01:12:47
 *
 * You should add additional methods to this class to meet the
 * application requirements.  This class will only be generated as
 * long as it does not already exist in the output directory.
 *
 * @package    lib.model
 */
class AnswerYearsAutoPeer extends BaseAnswerYearsAutoPeer {

    public static $RESULT_VALUE_INDEX = 0;
    public static $RESULT_COMPLETENESS_INDEX = 1;

    public static function retrieveByNumberAndSubnumber($number, $subnumber) {

        $c = new Criteria();

        $c->add(self::QUESTIONNUMBER, $number);
        $c->add(self::QUESTIONSUBNUMBER, $subnumber);

        return parent::doSelectOne($c);
    }

    public static function getValueByQuestionNumberCompanyIdYear($number, $subnumber, $companyId, $year) {

        $answer = self::retrieveByNumberAndSubnumber($number, $subnumber);

        $values = self::getQuestionsValues($answer->getAnswernumbers(), $companyId, $year);
        $result = 0;

        if ($values) {
            if ($answer->getOperationtype() == 1) {
                foreach ($values as $value) {
                    $result += $value;
                }
            } else if ($answer->getOperationtype() == 2) {
                if (count($values) < 2 || $values[0] == 0 || $values[1] == 0) {
                    return 0;
                } else {
                    return number_format($values[0] / $values[1], 2, '.', ' ');
                }
            } else if ($answer->getOperationtype() == 3) {
                if (count($values) < 2 || $values[0] == 0 || $values[1] == 0) {
                    return 0;
                } else {
                    return number_format($values[0] / $values[1] * 100, 2, '.', ' ');
                }
            }
        } else {
            return 0;
        }

        return $result;
    }

    public static function getValuesByQuestionNumberCompanyIdYearRange($number, $subnumber, $companyId, $startYear, $endYear) {

        $answer = self::retrieveByNumberAndSubnumber($number, $subnumber);
        $questionsNumbers = explode('|', $answer->getAnswernumbers());
        $questions = QuestionPeer::retrieveByNumbers($questionsNumbers);
        $questionsByNumber = array();
        $answerYearsQuestionIds = array();
        $answerYearsAutoValues = array();

        foreach ($questions as $question) {
            $questionsByNumber[$question->getQuestionNumberAndSubnamber()] = $question;
            if ($question->getType() == 1 || $question->getType() == 7 || $question->getType() == 8) {
                array_push($answerYearsQuestionIds, $question->getQuestionid());
            } else if ($question->getType() == 2) {
                $values = self::getValuesByQuestionNumberCompanyIdYearRange($question->getNumber(), $question->getSubnumber(), $companyId, $startYear, $endYear);
                for ($i = $startYear; $i <= $endYear; $i++) {
                    $answerYearsAutoValues[$i][$question->getQuestionid()] = $values[$i];
                }
            }
        }

        $answerYearsValues = AnswerYearsPeer::retrieveByQuestionIdsCompanyIdYearRange($answerYearsQuestionIds, $companyId, $startYear, $endYear);

        $values = array();
        for ($i = $startYear; $i <= $endYear; $i++) {
            $questionsValues = array();
            $isComplete = true;
            foreach ($questionsNumbers as $questionNumber) {
                $questionNumber = trim($questionNumber);
                if (array_key_exists($questionNumber, $questionsByNumber)) {
                    $question = $questionsByNumber[$questionNumber];
                } else {
                    $question = null;
                    $isComplete = false;
                }

                if ($question) {
                    if ($question->getType() == 1 || $question->getType() == 7 || $question->getType() == 8) {
                        $value = $answerYearsValues[$i][$question->getQuestionid()]->getValue();
                        if (InnovationValidator::isNumeric($value)) {
                            array_push($questionsValues, $value);
                        } else {
                            $isComplete = false;
                        }
                    } else if ($question->getType() == 2) {
                        $value = $answerYearsAutoValues[$i][$question->getQuestionid()][self::$RESULT_VALUE_INDEX];
                        $isComplete = $answerYearsAutoValues[$i][$question->getQuestionid()][self::$RESULT_COMPLETENESS_INDEX];
                        if (InnovationValidator::isNumeric($value)) {
                            array_push($questionsValues, $value);
                        } else {
                            $isComplete = false;
                        }
                    }
                }
            }

            $result = 0;
            if ($answer->getOperationtype() == 1) {
                foreach ($questionsValues as $questionsValue) {
                    $result += $questionsValue;
                }
            } else if ($answer->getOperationtype() == 2 || $answer->getOperationtype() == 3) {
                if (count($questionsValues) < 2 || $questionsValues[0] == 0 || $questionsValues[1] == 0) {
                    $result = 0;
                    $isComplete = false;
                } else {
                    $result = $questionsValues[0] / $questionsValues[1];
                    if ($answer->getOperationtype() == 3) {
                        $result *= 100;
                    }
                }
                $result = number_format($result, 2, '.', ' ');
            }
            
            $values[$i][self::$RESULT_VALUE_INDEX] = $result;
            $values[$i][self::$RESULT_COMPLETENESS_INDEX] = $isComplete;
        }

        return $values;
    }

    public static function getQuestionsValues($questionsString, $companyId, $year) {

        $questionsNumbers = explode('|', $questionsString);
        $values = array();
        foreach ($questionsNumbers as $i => $questionNumber) {
            $question = QuestionPeer::retrieveByNumber($questionNumber);
            if ($question) {
                if ($question->getType() == 1 || $question->getType() == 7 || $question->getType() == 8) {
                    $value = AnswerYearsPeer::getValueByQuestionIdCompanyIdYear($question->getQuestionid(), $companyId, $year);
                    if (InnovationValidator::isNumeric($value)) {
                        array_push($values, $value);
                    }
                } else if ($question->getType() == 2) {
                    $value = self::getValueByQuestionNumberCompanyIdYear($question->getNumber(), $question->getSubnumber(), $companyId, $year);
                    if (InnovationValidator::isNumeric($value)) {
                        array_push($values, $value);
                    }
                }
            }
        }

        return $values;
    }

}

// AnswerYearsAutoPeer
