<?php

/**
 * Skeleton subclass for performing query and update operations on the 'answer_years' table.
 *
 * 
 *
 * This class was autogenerated by Propel 1.4.2 on:
 *
 * 09/10/11 01:12:46
 *
 * You should add additional methods to this class to meet the
 * application requirements.  This class will only be generated as
 * long as it does not already exist in the output directory.
 *
 * @package    lib.model
 */
class AnswerYearsPeer extends BaseAnswerYearsPeer {

    public static function retrieveByQuestionIdCompanyIdYear($questionId, $companyId, $year) {

        $c = new Criteria();
        $c->add(self::QUESTIONID, $questionId);
        $c->add(self::COMPANYID, $companyId);
        $c->add(self::YEAR, $year);

        $answer = parent::doSelectOne($c);

        if (!$answer) {
            $answer = new AnswerYears();
            $answer->setQuestionid($questionId);
            $answer->setCompanyid($companyId);
            $answer->setYear($year);
            $answer->save();
        }

        return $answer;
    }

    public static function retrieveByQuestionIdsCompanyIdYearRange($questionIds, $companyId, $startYear, $endYear) {

        $c = new Criteria();
        $c->add(self::COMPANYID, $companyId);
        $c->add(self::QUESTIONID, $questionIds, Criteria::IN);

        $yearsCriterion = $c->getNewCriterion(self::YEAR, $startYear, Criteria::GREATER_EQUAL);
        $yearsCriterion->addAnd($c->getNewCriterion(self::YEAR, $endYear, Criteria::LESS_EQUAL));

        $c->add($yearsCriterion);
        $answers = parent::doSelect($c);

        $result = array();
        foreach ($answers as $answer) {
            $result[$answer->getYear()][$answer->getQuestionid()] = $answer;
        }

        if (count($answers) < ($endYear - $startYear + 1) * count($questionIds)) {
            for ($i = $startYear; $i <= $endYear; $i++) {
                $answerExists = false;
                foreach ($questionIds as $questionId) {
                    if (!array_key_exists($i, $result) || !array_key_exists($questionId, $result[$i])) {
                        $newAnswer = new AnswerYears();
                        $newAnswer->setQuestionid($questionId);
                        $newAnswer->setCompanyid($companyId);
                        $newAnswer->setYear($i);
                        $newAnswer->save();

                        $result[$i][$questionId] = $newAnswer;
                    }
                }
            }
        }

        return $result;
    }

    public static function retrieveByQuestionIdCompanyIdYearRange($questionId, $companyId, $startYear, $endYear) {
        $c = new Criteria();

        $criterion = $c->getNewCriterion(self::YEAR, $startYear, Criteria::GREATER_EQUAL);
        $criterion->addAnd($c->getNewCriterion(self::YEAR, $endYear, Criteria::LESS_EQUAL));

        $c->add($criterion);
        $c->add(self::QUESTIONID, $questionId);
        $c->add(self::COMPANYID, $companyId);
        $c->addAscendingOrderByColumn(self::YEAR);

        $answers = parent::doSelect($c);
        $result = array();
        $prevAnswer = null;

        if (count($answers) < $endYear - $startYear + 1) {
            for ($i = $startYear; $i <= $endYear; $i++) {
                $answerExists = false;
                foreach ($answers as $answer) {
                    if ($answer->getYear() == $i) {
                        $answerExists = true;
                        $answer->setPrevYearAnswer($prevAnswer);
                        $prevAnswer = $answer;
                        $result[$answer->getYear()] = $answer;
                        break;
                    }
                }

                if (!$answerExists) {
                    $newAnswer = new AnswerYears();
                    $newAnswer->setQuestionid($questionId);
                    $newAnswer->setCompanyid($companyId);
                    $newAnswer->setYear($i);
                    $newAnswer->save();

                    $newAnswer->setPrevYearAnswer($prevAnswer);
                    $prevAnswer = $newAnswer;
                    $result[$newAnswer->getYear()] = $newAnswer;
                }
            }
        } else {
            foreach ($answers as $answer) {
                $result[$answer->getYear()] = $answer;
                $answer->setPrevYearAnswer($prevAnswer);
                $prevAnswer = $answer;
            }
        }

        return $result;
    }

    public static function getValuesByQuestionIdCompanyIdYearRange($questionId, $companyId, $startYear, $endYear) {

        $answers = AnswerYearsPeer::retrieveByQuestionIdCompanyIdYearRange($questionId, $companyId, $startYear, $endYear);
        $values = array();

        foreach ($answers as $answer) {
            $value = $answer->getValue();

            if (!$value) {
                $value = 0;
            }

            $values[$answer->getYear()] = $value;
        }

        return $values;
    }

    public static function getValueByQuestionIdCompanyIdYear($questionId, $companyId, $year) {

        $value = AnswerYearsPeer::retrieveByQuestionIdCompanyIdYear($questionId, $companyId, $year)->getValue();

        if (!$value) {
            $value = '-';
        }

        return $value;
    }

}

// AnswerYearsPeer
