<?php

/**
 * Skeleton subclass for performing query and update operations on the 'answer_years_range_auto' table.
 *
 * 
 *
 * This class was autogenerated by Propel 1.4.2 on:
 *
 * 09/10/11 01:12:47
 *
 * You should add additional methods to this class to meet the
 * application requirements.  This class will only be generated as
 * long as it does not already exist in the output directory.
 *
 * @package    lib.model
 */
class AnswerYearsRangeAutoPeer extends BaseAnswerYearsRangeAutoPeer {

    public static function retrieveByNumberAndSubnumber($number, $subnumber) {

        $c = new Criteria();

        $c->add(self::QUESTIONNUMBER, $number);
        $c->add(self::QUESTIONSUBNUMBER, $subnumber);

        return parent::doSelectOne($c);
    }

    public static function getValueByQuestionNumberCompanyIdYear($number, $subnumber, $companyId, $year) {

        $answer = self::retrieveByNumberAndSubnumber($number, $subnumber);
        $question = QuestionPeer::retrieveByNumberAndSubnumber($answer->getAnswernumber(), $answer->getAnswersubnumber());

        $values = self::getQuestionsValues($question, $companyId, $year);
        $result = 0;

        if ($values && count($values) > 1) {
            return $values[1] - $values[0];
        } else {
            return 0;
        }

        return $result;
    }

    public static function getValuesByQuestionNumberCompanyIdYearRange($number, $subnumber, $companyId, $startYear, $endYear) {

        $answer = self::retrieveByNumberAndSubnumber($number, $subnumber);
        $question = QuestionPeer::retrieveByNumberAndSubnumber($answer->getAnswernumber(), $answer->getAnswersubnumber());

        $values = array();
        $answers = AnswerYearsPeer::retrieveByQuestionIdCompanyIdYearRange($question->getQuestionid(), $companyId, $startYear, $endYear + 1);
        
        for($i = $startYear; $i <= $endYear; $i++) {
            $prevValue = $answers[$i]->getValue();
            $curValue = $answers[$i + 1]->getValue();
            if(!InnovationValidator::isNumeric($prevValue) || !InnovationValidator::isNumeric($curValue)) {
                $result = '-';
            } else {
                $result = $curValue - $prevValue;
            }
            
            $values[$i] = $result;
        }

        return $values;
    }
    
    public static function getQuestionsValues($question, $companyId, $year) {

        $values = array();
        
        if ($question) {
            if ($question->getType() == 1 || $question->getType() == 7 || $question->getType() == 8) {
                $value = AnswerYearsPeer::getValueByQuestionIdCompanyIdYear($question->getQuestionid(), $companyId, $year);
                if (InnovationValidator::isNumeric($value)) {
                    array_push($values, $value);
                }
                $value = AnswerYearsPeer::getValueByQuestionIdCompanyIdYear($question->getQuestionid(), $companyId, $year + 1);
                if (InnovationValidator::isNumeric($value)) {
                    array_push($values, $value);
                }
            }
        }

        return $values;
    }

}

// AnswerYearsRangeAutoPeer
