<?php


/**
 * Skeleton subclass for performing query and update operations on the 'answer_years_range' table.
 *
 * 
 *
 * This class was autogenerated by Propel 1.4.2 on:
 *
 * 09/10/11 01:12:47
 *
 * You should add additional methods to this class to meet the
 * application requirements.  This class will only be generated as
 * long as it does not already exist in the output directory.
 *
 * @package    lib.model
 */
class AnswerYearsRangePeer extends BaseAnswerYearsRangePeer {

    public static function retrieveByQuestionIdCompanyIdYear($questionId, $companyId, $year) {

        $c = new Criteria();
        $c->add(self::QUESTIONID, $questionId);
        $c->add(self::COMPANYID, $companyId);
        $c->add(self::STARTYEAR, $year);

        $answer = parent::doSelectOne($c);
        
        if(!$answer) {
            $answer = new AnswerYearsRange();
            $answer->setQuestionid($questionId);
            $answer->setCompanyid($companyId);
            $answer->setStartyear($year);
            $answer->setEndyear($year + 1);
            $answer->save();
        }
        
        return $answer;
    }
    
    public static function retrieveByQuestionIdCompanyIdYearRange($questionId, $companyId, $startYear, $endYear) {

        $c = new Criteria();
        
        $criterion = $c->getNewCriterion(self::STARTYEAR, $startYear, Criteria::GREATER_EQUAL);
        $criterion->addAnd($c->getNewCriterion(self::STARTYEAR, $endYear, Criteria::LESS_EQUAL));

        $c->add($criterion);
        $c->add(self::QUESTIONID, $questionId);
        $c->add(self::COMPANYID, $companyId);
        $c->addAscendingOrderByColumn(self::STARTYEAR);
        
        $answers = parent::doSelect($c);
        $result = array();
        $prevAnswer = null;

        if (count($answers) < $endYear - $startYear + 1) {
            for ($i = $startYear; $i <= $endYear; $i++) {
                $answerExists = false;
                foreach ($answers as $answer) {
                    if ($answer->getStartyear() == $i) {
                        $answerExists = true;
                        $answer->setPrevYearAnswer($prevAnswer);
                        $prevAnswer = $answer;
                        $result[$answer->getStartyear()] = $answer;
                        break;
                    }
                }

                if (!$answerExists) {
                    $newAnswer = new AnswerYearsRange();
                    $newAnswer->setQuestionid($questionId);
                    $newAnswer->setCompanyid($companyId);
                    $newAnswer->setStartyear($i);
                    $newAnswer->setEndyear($i + 1);
                    $newAnswer->save();

                    $newAnswer->setPrevYearAnswer($prevAnswer);
                    $prevAnswer = $newAnswer;
                    $result[$newAnswer->getStartyear()] = $newAnswer;
                }
            }
        } else {
            foreach ($answers as $answer) {
                $result[$answer->getStartyear()] = $answer;
                $answer->setPrevYearAnswer($prevAnswer);
                $prevAnswer = $answer;
            }
        }
        
        return $result;
    }
    
    public static function getValueByQuestionIdCompanyIdYear($questionId, $companyId, $year) {

        $value = AnswerYearsRangePeer::retrieveByQuestionIdCompanyIdYear($questionId, $companyId, $year)->getValue();
        
        if(!$value) {
            $value = '-';
        }
        
        return $value;
    }
} // AnswerYearsRangePeer
