<?php

/**
 * Skeleton subclass for performing query and update operations on the 'question' table.
 *
 * 
 *
 * This class was autogenerated by Propel 1.4.2 on:
 *
 * 09/10/11 01:12:46
 *
 * You should add additional methods to this class to meet the
 * application requirements.  This class will only be generated as
 * long as it does not already exist in the output directory.
 *
 * @package    lib.model
 */
class QuestionPeer extends BaseQuestionPeer {

    public static function getQuestionsRange($start, $end) {

        $c = new Criteria();

        $criterion = $c->getNewCriterion(self::NUMBER, $start, Criteria::GREATER_EQUAL);
        $criterion->addAnd($c->getNewCriterion(self::NUMBER, $end, Criteria::LESS_EQUAL));
        $c->add($criterion);

        $c->addAscendingOrderByColumn(self::NUMBER);
        $c->addAscendingOrderByColumn(self::SUBNUMBER);

        return parent::doSelectWithI18n($c);
    }

    public static function retrieveByNumberAndSubnumber($number, $subnumber) {

        $c = new Criteria();

        $c->add(self::NUMBER, $number);
        $c->add(self::SUBNUMBER, $subnumber);

        return parent::doSelectOne($c);
    }

    public static function retrieveByNumber($number) {

        $number = trim($number);
        $number = explode('.', $number);

        return self::retrieveByNumberAndSubnumber($number[0], $number[1]);
    }

    public static function retrieveByNumbers($numbers) {

        $c = new Criteria();

        foreach ($numbers as $number) {
            $number = trim($number);
            $number = explode('.', $number);

            $criterion = $c->getNewCriterion(self::NUMBER, $number[0]);
            $criterion->addAnd($c->getNewCriterion(self::SUBNUMBER, $number[1]));

            $c->addOr($criterion);
        }

        return self::doSelect($c);
    }
    
    public static function retrieveByTypes($types) {

        $c = new Criteria();

        foreach ($types as $type) {
            
            $criterion = $c->getNewCriterion(self::TYPE, $type);
            $c->addOr($criterion);
        }

        return self::doSelect($c);
    }
    
    public static function getQuestionsToPredict() {

        $c = new Criteria();
        $c->add(self::PREDICTIONQUESTION, 1);

        return self::doSelect($c);
    }
    
    public static function retrieveBySchemaPositions($schemaPositions) {

        $c = new Criteria();

        foreach ($schemaPositions as $position) {
            
            $criterion = $c->getNewCriterion(self::NUMBER, $position->getQuestionnumber());
            $criterion->addAnd($c->getNewCriterion(self::SUBNUMBER, $position->getQuestionsubnumber()));

            $c->addOr($criterion);
        }

        return self::doSelectWithI18n($c);
    }

}

// QuestionPeer
