<?php

/**
 * Base class that represents a row from the 'question' table.
 *
 * 
 *
 * This class was autogenerated by Propel 1.4.2 on:
 *
 * 01/03/12 02:05:44
 *
 * @package    lib.model.om
 */
abstract class BaseQuestion extends BaseObject  implements Persistent {


	/**
	 * The Peer class.
	 * Instance provides a convenient way of calling static methods on a class
	 * that calling code may not be able to identify.
	 * @var        QuestionPeer
	 */
	protected static $peer;

	/**
	 * The value for the questionid field.
	 * @var        int
	 */
	protected $questionid;

	/**
	 * The value for the number field.
	 * @var        int
	 */
	protected $number;

	/**
	 * The value for the subnumber field.
	 * @var        int
	 */
	protected $subnumber;

	/**
	 * The value for the type field.
	 * @var        int
	 */
	protected $type;

	/**
	 * The value for the iscoloredtab field.
	 * @var        int
	 */
	protected $iscoloredtab;

	/**
	 * The value for the iscoloredschema field.
	 * @var        int
	 */
	protected $iscoloredschema;

	/**
	 * The value for the requiredquestion field.
	 * Note: this column has a database default value of: 0
	 * @var        int
	 */
	protected $requiredquestion;

	/**
	 * The value for the predictionquestion field.
	 * Note: this column has a database default value of: 0
	 * @var        int
	 */
	protected $predictionquestion;

	/**
	 * The value for the cssclassname field.
	 * @var        string
	 */
	protected $cssclassname;

	/**
	 * @var        array QuestionI18n[] Collection to store aggregation of QuestionI18n objects.
	 */
	protected $collQuestionI18ns;

	/**
	 * @var        Criteria The criteria used to select the current contents of collQuestionI18ns.
	 */
	private $lastQuestionI18nCriteria = null;

	/**
	 * @var        array AnswerYears[] Collection to store aggregation of AnswerYears objects.
	 */
	protected $collAnswerYearss;

	/**
	 * @var        Criteria The criteria used to select the current contents of collAnswerYearss.
	 */
	private $lastAnswerYearsCriteria = null;

	/**
	 * @var        array AnswerYearsRange[] Collection to store aggregation of AnswerYearsRange objects.
	 */
	protected $collAnswerYearsRanges;

	/**
	 * @var        Criteria The criteria used to select the current contents of collAnswerYearsRanges.
	 */
	private $lastAnswerYearsRangeCriteria = null;

	/**
	 * @var        array AnswerList[] Collection to store aggregation of AnswerList objects.
	 */
	protected $collAnswerLists;

	/**
	 * @var        Criteria The criteria used to select the current contents of collAnswerLists.
	 */
	private $lastAnswerListCriteria = null;

	/**
	 * Flag to prevent endless save loop, if this object is referenced
	 * by another object which falls in this transaction.
	 * @var        boolean
	 */
	protected $alreadyInSave = false;

	/**
	 * Flag to prevent endless validation loop, if this object is referenced
	 * by another object which falls in this transaction.
	 * @var        boolean
	 */
	protected $alreadyInValidation = false;

	// symfony behavior
	
	const PEER = 'QuestionPeer';

	// symfony_i18n behavior
	
	/**
	 * @var string The value for the culture field
	 */
	protected $culture = null;
	
	/**
	 * @var array Current I18N objects
	 */
	protected $current_i18n = array();

	/**
	 * Applies default values to this object.
	 * This method should be called from the object's constructor (or
	 * equivalent initialization method).
	 * @see        __construct()
	 */
	public function applyDefaultValues()
	{
		$this->requiredquestion = 0;
		$this->predictionquestion = 0;
	}

	/**
	 * Initializes internal state of BaseQuestion object.
	 * @see        applyDefaults()
	 */
	public function __construct()
	{
		parent::__construct();
		$this->applyDefaultValues();
	}

	/**
	 * Get the [questionid] column value.
	 * 
	 * @return     int
	 */
	public function getQuestionid()
	{
		return $this->questionid;
	}

	/**
	 * Get the [number] column value.
	 * 
	 * @return     int
	 */
	public function getNumber()
	{
		return $this->number;
	}

	/**
	 * Get the [subnumber] column value.
	 * 
	 * @return     int
	 */
	public function getSubnumber()
	{
		return $this->subnumber;
	}

	/**
	 * Get the [type] column value.
	 * 
	 * @return     int
	 */
	public function getType()
	{
		return $this->type;
	}

	/**
	 * Get the [iscoloredtab] column value.
	 * 
	 * @return     int
	 */
	public function getIscoloredtab()
	{
		return $this->iscoloredtab;
	}

	/**
	 * Get the [iscoloredschema] column value.
	 * 
	 * @return     int
	 */
	public function getIscoloredschema()
	{
		return $this->iscoloredschema;
	}

	/**
	 * Get the [requiredquestion] column value.
	 * 
	 * @return     int
	 */
	public function getRequiredquestion()
	{
		return $this->requiredquestion;
	}

	/**
	 * Get the [predictionquestion] column value.
	 * 
	 * @return     int
	 */
	public function getPredictionquestion()
	{
		return $this->predictionquestion;
	}

	/**
	 * Get the [cssclassname] column value.
	 * 
	 * @return     string
	 */
	public function getCssclassname()
	{
		return $this->cssclassname;
	}

	/**
	 * Set the value of [questionid] column.
	 * 
	 * @param      int $v new value
	 * @return     Question The current object (for fluent API support)
	 */
	public function setQuestionid($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->questionid !== $v) {
			$this->questionid = $v;
			$this->modifiedColumns[] = QuestionPeer::QUESTIONID;
		}

		return $this;
	} // setQuestionid()

	/**
	 * Set the value of [number] column.
	 * 
	 * @param      int $v new value
	 * @return     Question The current object (for fluent API support)
	 */
	public function setNumber($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->number !== $v) {
			$this->number = $v;
			$this->modifiedColumns[] = QuestionPeer::NUMBER;
		}

		return $this;
	} // setNumber()

	/**
	 * Set the value of [subnumber] column.
	 * 
	 * @param      int $v new value
	 * @return     Question The current object (for fluent API support)
	 */
	public function setSubnumber($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->subnumber !== $v) {
			$this->subnumber = $v;
			$this->modifiedColumns[] = QuestionPeer::SUBNUMBER;
		}

		return $this;
	} // setSubnumber()

	/**
	 * Set the value of [type] column.
	 * 
	 * @param      int $v new value
	 * @return     Question The current object (for fluent API support)
	 */
	public function setType($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->type !== $v) {
			$this->type = $v;
			$this->modifiedColumns[] = QuestionPeer::TYPE;
		}

		return $this;
	} // setType()

	/**
	 * Set the value of [iscoloredtab] column.
	 * 
	 * @param      int $v new value
	 * @return     Question The current object (for fluent API support)
	 */
	public function setIscoloredtab($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->iscoloredtab !== $v) {
			$this->iscoloredtab = $v;
			$this->modifiedColumns[] = QuestionPeer::ISCOLOREDTAB;
		}

		return $this;
	} // setIscoloredtab()

	/**
	 * Set the value of [iscoloredschema] column.
	 * 
	 * @param      int $v new value
	 * @return     Question The current object (for fluent API support)
	 */
	public function setIscoloredschema($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->iscoloredschema !== $v) {
			$this->iscoloredschema = $v;
			$this->modifiedColumns[] = QuestionPeer::ISCOLOREDSCHEMA;
		}

		return $this;
	} // setIscoloredschema()

	/**
	 * Set the value of [requiredquestion] column.
	 * 
	 * @param      int $v new value
	 * @return     Question The current object (for fluent API support)
	 */
	public function setRequiredquestion($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->requiredquestion !== $v || $this->isNew()) {
			$this->requiredquestion = $v;
			$this->modifiedColumns[] = QuestionPeer::REQUIREDQUESTION;
		}

		return $this;
	} // setRequiredquestion()

	/**
	 * Set the value of [predictionquestion] column.
	 * 
	 * @param      int $v new value
	 * @return     Question The current object (for fluent API support)
	 */
	public function setPredictionquestion($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->predictionquestion !== $v || $this->isNew()) {
			$this->predictionquestion = $v;
			$this->modifiedColumns[] = QuestionPeer::PREDICTIONQUESTION;
		}

		return $this;
	} // setPredictionquestion()

	/**
	 * Set the value of [cssclassname] column.
	 * 
	 * @param      string $v new value
	 * @return     Question The current object (for fluent API support)
	 */
	public function setCssclassname($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->cssclassname !== $v) {
			$this->cssclassname = $v;
			$this->modifiedColumns[] = QuestionPeer::CSSCLASSNAME;
		}

		return $this;
	} // setCssclassname()

	/**
	 * Indicates whether the columns in this object are only set to default values.
	 *
	 * This method can be used in conjunction with isModified() to indicate whether an object is both
	 * modified _and_ has some values set which are non-default.
	 *
	 * @return     boolean Whether the columns in this object are only been set with default values.
	 */
	public function hasOnlyDefaultValues()
	{
			if ($this->requiredquestion !== 0) {
				return false;
			}

			if ($this->predictionquestion !== 0) {
				return false;
			}

		// otherwise, everything was equal, so return TRUE
		return true;
	} // hasOnlyDefaultValues()

	/**
	 * Hydrates (populates) the object variables with values from the database resultset.
	 *
	 * An offset (0-based "start column") is specified so that objects can be hydrated
	 * with a subset of the columns in the resultset rows.  This is needed, for example,
	 * for results of JOIN queries where the resultset row includes columns from two or
	 * more tables.
	 *
	 * @param      array $row The row returned by PDOStatement->fetch(PDO::FETCH_NUM)
	 * @param      int $startcol 0-based offset column which indicates which restultset column to start with.
	 * @param      boolean $rehydrate Whether this object is being re-hydrated from the database.
	 * @return     int next starting column
	 * @throws     PropelException  - Any caught Exception will be rewrapped as a PropelException.
	 */
	public function hydrate($row, $startcol = 0, $rehydrate = false)
	{
		try {

			$this->questionid = ($row[$startcol + 0] !== null) ? (int) $row[$startcol + 0] : null;
			$this->number = ($row[$startcol + 1] !== null) ? (int) $row[$startcol + 1] : null;
			$this->subnumber = ($row[$startcol + 2] !== null) ? (int) $row[$startcol + 2] : null;
			$this->type = ($row[$startcol + 3] !== null) ? (int) $row[$startcol + 3] : null;
			$this->iscoloredtab = ($row[$startcol + 4] !== null) ? (int) $row[$startcol + 4] : null;
			$this->iscoloredschema = ($row[$startcol + 5] !== null) ? (int) $row[$startcol + 5] : null;
			$this->requiredquestion = ($row[$startcol + 6] !== null) ? (int) $row[$startcol + 6] : null;
			$this->predictionquestion = ($row[$startcol + 7] !== null) ? (int) $row[$startcol + 7] : null;
			$this->cssclassname = ($row[$startcol + 8] !== null) ? (string) $row[$startcol + 8] : null;
			$this->resetModified();

			$this->setNew(false);

			if ($rehydrate) {
				$this->ensureConsistency();
			}

			// FIXME - using NUM_COLUMNS may be clearer.
			return $startcol + 9; // 9 = QuestionPeer::NUM_COLUMNS - QuestionPeer::NUM_LAZY_LOAD_COLUMNS).

		} catch (Exception $e) {
			throw new PropelException("Error populating Question object", $e);
		}
	}

	/**
	 * Checks and repairs the internal consistency of the object.
	 *
	 * This method is executed after an already-instantiated object is re-hydrated
	 * from the database.  It exists to check any foreign keys to make sure that
	 * the objects related to the current object are correct based on foreign key.
	 *
	 * You can override this method in the stub class, but you should always invoke
	 * the base method from the overridden method (i.e. parent::ensureConsistency()),
	 * in case your model changes.
	 *
	 * @throws     PropelException
	 */
	public function ensureConsistency()
	{

	} // ensureConsistency

	/**
	 * Reloads this object from datastore based on primary key and (optionally) resets all associated objects.
	 *
	 * This will only work if the object has been saved and has a valid primary key set.
	 *
	 * @param      boolean $deep (optional) Whether to also de-associated any related objects.
	 * @param      PropelPDO $con (optional) The PropelPDO connection to use.
	 * @return     void
	 * @throws     PropelException - if this object is deleted, unsaved or doesn't have pk match in db
	 */
	public function reload($deep = false, PropelPDO $con = null)
	{
		if ($this->isDeleted()) {
			throw new PropelException("Cannot reload a deleted object.");
		}

		if ($this->isNew()) {
			throw new PropelException("Cannot reload an unsaved object.");
		}

		if ($con === null) {
			$con = Propel::getConnection(QuestionPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		// We don't need to alter the object instance pool; we're just modifying this instance
		// already in the pool.

		$stmt = QuestionPeer::doSelectStmt($this->buildPkeyCriteria(), $con);
		$row = $stmt->fetch(PDO::FETCH_NUM);
		$stmt->closeCursor();
		if (!$row) {
			throw new PropelException('Cannot find matching row in the database to reload object values.');
		}
		$this->hydrate($row, 0, true); // rehydrate

		if ($deep) {  // also de-associate any related objects?

			$this->collQuestionI18ns = null;
			$this->lastQuestionI18nCriteria = null;

			$this->collAnswerYearss = null;
			$this->lastAnswerYearsCriteria = null;

			$this->collAnswerYearsRanges = null;
			$this->lastAnswerYearsRangeCriteria = null;

			$this->collAnswerLists = null;
			$this->lastAnswerListCriteria = null;

		} // if (deep)
	}

	/**
	 * Removes this object from datastore and sets delete attribute.
	 *
	 * @param      PropelPDO $con
	 * @return     void
	 * @throws     PropelException
	 * @see        BaseObject::setDeleted()
	 * @see        BaseObject::isDeleted()
	 */
	public function delete(PropelPDO $con = null)
	{
		if ($this->isDeleted()) {
			throw new PropelException("This object has already been deleted.");
		}

		if ($con === null) {
			$con = Propel::getConnection(QuestionPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		
		$con->beginTransaction();
		try {
			$ret = $this->preDelete($con);
			// symfony_behaviors behavior
			foreach (sfMixer::getCallables('BaseQuestion:delete:pre') as $callable)
			{
			  if (call_user_func($callable, $this, $con))
			  {
			    $con->commit();
			
			    return;
			  }
			}

			if ($ret) {
				QuestionPeer::doDelete($this, $con);
				$this->postDelete($con);
				// symfony_behaviors behavior
				foreach (sfMixer::getCallables('BaseQuestion:delete:post') as $callable)
				{
				  call_user_func($callable, $this, $con);
				}

				$this->setDeleted(true);
				$con->commit();
			} else {
				$con->commit();
			}
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	/**
	 * Persists this object to the database.
	 *
	 * If the object is new, it inserts it; otherwise an update is performed.
	 * All modified related objects will also be persisted in the doSave()
	 * method.  This method wraps all precipitate database operations in a
	 * single transaction.
	 *
	 * @param      PropelPDO $con
	 * @return     int The number of rows affected by this insert/update and any referring fk objects' save() operations.
	 * @throws     PropelException
	 * @see        doSave()
	 */
	public function save(PropelPDO $con = null)
	{
		if ($this->isDeleted()) {
			throw new PropelException("You cannot save an object that has been deleted.");
		}

		if ($con === null) {
			$con = Propel::getConnection(QuestionPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		
		$con->beginTransaction();
		$isInsert = $this->isNew();
		try {
			$ret = $this->preSave($con);
			// symfony_behaviors behavior
			foreach (sfMixer::getCallables('BaseQuestion:save:pre') as $callable)
			{
			  if (is_integer($affectedRows = call_user_func($callable, $this, $con)))
			  {
			    $con->commit();
			
			    return $affectedRows;
			  }
			}

			if ($isInsert) {
				$ret = $ret && $this->preInsert($con);
			} else {
				$ret = $ret && $this->preUpdate($con);
			}
			if ($ret) {
				$affectedRows = $this->doSave($con);
				if ($isInsert) {
					$this->postInsert($con);
				} else {
					$this->postUpdate($con);
				}
				$this->postSave($con);
				// symfony_behaviors behavior
				foreach (sfMixer::getCallables('BaseQuestion:save:post') as $callable)
				{
				  call_user_func($callable, $this, $con, $affectedRows);
				}

				QuestionPeer::addInstanceToPool($this);
			} else {
				$affectedRows = 0;
			}
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	/**
	 * Performs the work of inserting or updating the row in the database.
	 *
	 * If the object is new, it inserts it; otherwise an update is performed.
	 * All related objects are also updated in this method.
	 *
	 * @param      PropelPDO $con
	 * @return     int The number of rows affected by this insert/update and any referring fk objects' save() operations.
	 * @throws     PropelException
	 * @see        save()
	 */
	protected function doSave(PropelPDO $con)
	{
		$affectedRows = 0; // initialize var to track total num of affected rows
		if (!$this->alreadyInSave) {
			$this->alreadyInSave = true;

			if ($this->isNew() ) {
				$this->modifiedColumns[] = QuestionPeer::QUESTIONID;
			}

			// If this object has been modified, then save it to the database.
			if ($this->isModified()) {
				if ($this->isNew()) {
					$pk = QuestionPeer::doInsert($this, $con);
					$affectedRows += 1; // we are assuming that there is only 1 row per doInsert() which
										 // should always be true here (even though technically
										 // BasePeer::doInsert() can insert multiple rows).

					$this->setQuestionid($pk);  //[IMV] update autoincrement primary key

					$this->setNew(false);
				} else {
					$affectedRows += QuestionPeer::doUpdate($this, $con);
				}

				$this->resetModified(); // [HL] After being saved an object is no longer 'modified'
			}

			if ($this->collQuestionI18ns !== null) {
				foreach ($this->collQuestionI18ns as $referrerFK) {
					if (!$referrerFK->isDeleted()) {
						$affectedRows += $referrerFK->save($con);
					}
				}
			}

			if ($this->collAnswerYearss !== null) {
				foreach ($this->collAnswerYearss as $referrerFK) {
					if (!$referrerFK->isDeleted()) {
						$affectedRows += $referrerFK->save($con);
					}
				}
			}

			if ($this->collAnswerYearsRanges !== null) {
				foreach ($this->collAnswerYearsRanges as $referrerFK) {
					if (!$referrerFK->isDeleted()) {
						$affectedRows += $referrerFK->save($con);
					}
				}
			}

			if ($this->collAnswerLists !== null) {
				foreach ($this->collAnswerLists as $referrerFK) {
					if (!$referrerFK->isDeleted()) {
						$affectedRows += $referrerFK->save($con);
					}
				}
			}

			$this->alreadyInSave = false;

		}
		return $affectedRows;
	} // doSave()

	/**
	 * Array of ValidationFailed objects.
	 * @var        array ValidationFailed[]
	 */
	protected $validationFailures = array();

	/**
	 * Gets any ValidationFailed objects that resulted from last call to validate().
	 *
	 *
	 * @return     array ValidationFailed[]
	 * @see        validate()
	 */
	public function getValidationFailures()
	{
		return $this->validationFailures;
	}

	/**
	 * Validates the objects modified field values and all objects related to this table.
	 *
	 * If $columns is either a column name or an array of column names
	 * only those columns are validated.
	 *
	 * @param      mixed $columns Column name or an array of column names.
	 * @return     boolean Whether all columns pass validation.
	 * @see        doValidate()
	 * @see        getValidationFailures()
	 */
	public function validate($columns = null)
	{
		$res = $this->doValidate($columns);
		if ($res === true) {
			$this->validationFailures = array();
			return true;
		} else {
			$this->validationFailures = $res;
			return false;
		}
	}

	/**
	 * This function performs the validation work for complex object models.
	 *
	 * In addition to checking the current object, all related objects will
	 * also be validated.  If all pass then <code>true</code> is returned; otherwise
	 * an aggreagated array of ValidationFailed objects will be returned.
	 *
	 * @param      array $columns Array of column names to validate.
	 * @return     mixed <code>true</code> if all validations pass; array of <code>ValidationFailed</code> objets otherwise.
	 */
	protected function doValidate($columns = null)
	{
		if (!$this->alreadyInValidation) {
			$this->alreadyInValidation = true;
			$retval = null;

			$failureMap = array();


			if (($retval = QuestionPeer::doValidate($this, $columns)) !== true) {
				$failureMap = array_merge($failureMap, $retval);
			}


				if ($this->collQuestionI18ns !== null) {
					foreach ($this->collQuestionI18ns as $referrerFK) {
						if (!$referrerFK->validate($columns)) {
							$failureMap = array_merge($failureMap, $referrerFK->getValidationFailures());
						}
					}
				}

				if ($this->collAnswerYearss !== null) {
					foreach ($this->collAnswerYearss as $referrerFK) {
						if (!$referrerFK->validate($columns)) {
							$failureMap = array_merge($failureMap, $referrerFK->getValidationFailures());
						}
					}
				}

				if ($this->collAnswerYearsRanges !== null) {
					foreach ($this->collAnswerYearsRanges as $referrerFK) {
						if (!$referrerFK->validate($columns)) {
							$failureMap = array_merge($failureMap, $referrerFK->getValidationFailures());
						}
					}
				}

				if ($this->collAnswerLists !== null) {
					foreach ($this->collAnswerLists as $referrerFK) {
						if (!$referrerFK->validate($columns)) {
							$failureMap = array_merge($failureMap, $referrerFK->getValidationFailures());
						}
					}
				}


			$this->alreadyInValidation = false;
		}

		return (!empty($failureMap) ? $failureMap : true);
	}

	/**
	 * Retrieves a field from the object by name passed in as a string.
	 *
	 * @param      string $name name
	 * @param      string $type The type of fieldname the $name is of:
	 *                     one of the class type constants BasePeer::TYPE_PHPNAME, BasePeer::TYPE_STUDLYPHPNAME
	 *                     BasePeer::TYPE_COLNAME, BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_NUM
	 * @return     mixed Value of field.
	 */
	public function getByName($name, $type = BasePeer::TYPE_PHPNAME)
	{
		$pos = QuestionPeer::translateFieldName($name, $type, BasePeer::TYPE_NUM);
		$field = $this->getByPosition($pos);
		return $field;
	}

	/**
	 * Retrieves a field from the object by Position as specified in the xml schema.
	 * Zero-based.
	 *
	 * @param      int $pos position in xml schema
	 * @return     mixed Value of field at $pos
	 */
	public function getByPosition($pos)
	{
		switch($pos) {
			case 0:
				return $this->getQuestionid();
				break;
			case 1:
				return $this->getNumber();
				break;
			case 2:
				return $this->getSubnumber();
				break;
			case 3:
				return $this->getType();
				break;
			case 4:
				return $this->getIscoloredtab();
				break;
			case 5:
				return $this->getIscoloredschema();
				break;
			case 6:
				return $this->getRequiredquestion();
				break;
			case 7:
				return $this->getPredictionquestion();
				break;
			case 8:
				return $this->getCssclassname();
				break;
			default:
				return null;
				break;
		} // switch()
	}

	/**
	 * Exports the object as an array.
	 *
	 * You can specify the key type of the array by passing one of the class
	 * type constants.
	 *
	 * @param      string $keyType (optional) One of the class type constants BasePeer::TYPE_PHPNAME, BasePeer::TYPE_STUDLYPHPNAME
	 *                        BasePeer::TYPE_COLNAME, BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_NUM. Defaults to BasePeer::TYPE_PHPNAME.
	 * @param      boolean $includeLazyLoadColumns (optional) Whether to include lazy loaded columns.  Defaults to TRUE.
	 * @return     an associative array containing the field names (as keys) and field values
	 */
	public function toArray($keyType = BasePeer::TYPE_PHPNAME, $includeLazyLoadColumns = true)
	{
		$keys = QuestionPeer::getFieldNames($keyType);
		$result = array(
			$keys[0] => $this->getQuestionid(),
			$keys[1] => $this->getNumber(),
			$keys[2] => $this->getSubnumber(),
			$keys[3] => $this->getType(),
			$keys[4] => $this->getIscoloredtab(),
			$keys[5] => $this->getIscoloredschema(),
			$keys[6] => $this->getRequiredquestion(),
			$keys[7] => $this->getPredictionquestion(),
			$keys[8] => $this->getCssclassname(),
		);
		return $result;
	}

	/**
	 * Sets a field from the object by name passed in as a string.
	 *
	 * @param      string $name peer name
	 * @param      mixed $value field value
	 * @param      string $type The type of fieldname the $name is of:
	 *                     one of the class type constants BasePeer::TYPE_PHPNAME, BasePeer::TYPE_STUDLYPHPNAME
	 *                     BasePeer::TYPE_COLNAME, BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_NUM
	 * @return     void
	 */
	public function setByName($name, $value, $type = BasePeer::TYPE_PHPNAME)
	{
		$pos = QuestionPeer::translateFieldName($name, $type, BasePeer::TYPE_NUM);
		return $this->setByPosition($pos, $value);
	}

	/**
	 * Sets a field from the object by Position as specified in the xml schema.
	 * Zero-based.
	 *
	 * @param      int $pos position in xml schema
	 * @param      mixed $value field value
	 * @return     void
	 */
	public function setByPosition($pos, $value)
	{
		switch($pos) {
			case 0:
				$this->setQuestionid($value);
				break;
			case 1:
				$this->setNumber($value);
				break;
			case 2:
				$this->setSubnumber($value);
				break;
			case 3:
				$this->setType($value);
				break;
			case 4:
				$this->setIscoloredtab($value);
				break;
			case 5:
				$this->setIscoloredschema($value);
				break;
			case 6:
				$this->setRequiredquestion($value);
				break;
			case 7:
				$this->setPredictionquestion($value);
				break;
			case 8:
				$this->setCssclassname($value);
				break;
		} // switch()
	}

	/**
	 * Populates the object using an array.
	 *
	 * This is particularly useful when populating an object from one of the
	 * request arrays (e.g. $_POST).  This method goes through the column
	 * names, checking to see whether a matching key exists in populated
	 * array. If so the setByName() method is called for that column.
	 *
	 * You can specify the key type of the array by additionally passing one
	 * of the class type constants BasePeer::TYPE_PHPNAME, BasePeer::TYPE_STUDLYPHPNAME,
	 * BasePeer::TYPE_COLNAME, BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_NUM.
	 * The default key type is the column's phpname (e.g. 'AuthorId')
	 *
	 * @param      array  $arr     An array to populate the object from.
	 * @param      string $keyType The type of keys the array uses.
	 * @return     void
	 */
	public function fromArray($arr, $keyType = BasePeer::TYPE_PHPNAME)
	{
		$keys = QuestionPeer::getFieldNames($keyType);

		if (array_key_exists($keys[0], $arr)) $this->setQuestionid($arr[$keys[0]]);
		if (array_key_exists($keys[1], $arr)) $this->setNumber($arr[$keys[1]]);
		if (array_key_exists($keys[2], $arr)) $this->setSubnumber($arr[$keys[2]]);
		if (array_key_exists($keys[3], $arr)) $this->setType($arr[$keys[3]]);
		if (array_key_exists($keys[4], $arr)) $this->setIscoloredtab($arr[$keys[4]]);
		if (array_key_exists($keys[5], $arr)) $this->setIscoloredschema($arr[$keys[5]]);
		if (array_key_exists($keys[6], $arr)) $this->setRequiredquestion($arr[$keys[6]]);
		if (array_key_exists($keys[7], $arr)) $this->setPredictionquestion($arr[$keys[7]]);
		if (array_key_exists($keys[8], $arr)) $this->setCssclassname($arr[$keys[8]]);
	}

	/**
	 * Build a Criteria object containing the values of all modified columns in this object.
	 *
	 * @return     Criteria The Criteria object containing all modified values.
	 */
	public function buildCriteria()
	{
		$criteria = new Criteria(QuestionPeer::DATABASE_NAME);

		if ($this->isColumnModified(QuestionPeer::QUESTIONID)) $criteria->add(QuestionPeer::QUESTIONID, $this->questionid);
		if ($this->isColumnModified(QuestionPeer::NUMBER)) $criteria->add(QuestionPeer::NUMBER, $this->number);
		if ($this->isColumnModified(QuestionPeer::SUBNUMBER)) $criteria->add(QuestionPeer::SUBNUMBER, $this->subnumber);
		if ($this->isColumnModified(QuestionPeer::TYPE)) $criteria->add(QuestionPeer::TYPE, $this->type);
		if ($this->isColumnModified(QuestionPeer::ISCOLOREDTAB)) $criteria->add(QuestionPeer::ISCOLOREDTAB, $this->iscoloredtab);
		if ($this->isColumnModified(QuestionPeer::ISCOLOREDSCHEMA)) $criteria->add(QuestionPeer::ISCOLOREDSCHEMA, $this->iscoloredschema);
		if ($this->isColumnModified(QuestionPeer::REQUIREDQUESTION)) $criteria->add(QuestionPeer::REQUIREDQUESTION, $this->requiredquestion);
		if ($this->isColumnModified(QuestionPeer::PREDICTIONQUESTION)) $criteria->add(QuestionPeer::PREDICTIONQUESTION, $this->predictionquestion);
		if ($this->isColumnModified(QuestionPeer::CSSCLASSNAME)) $criteria->add(QuestionPeer::CSSCLASSNAME, $this->cssclassname);

		return $criteria;
	}

	/**
	 * Builds a Criteria object containing the primary key for this object.
	 *
	 * Unlike buildCriteria() this method includes the primary key values regardless
	 * of whether or not they have been modified.
	 *
	 * @return     Criteria The Criteria object containing value(s) for primary key(s).
	 */
	public function buildPkeyCriteria()
	{
		$criteria = new Criteria(QuestionPeer::DATABASE_NAME);

		$criteria->add(QuestionPeer::QUESTIONID, $this->questionid);

		return $criteria;
	}

	/**
	 * Returns the primary key for this object (row).
	 * @return     int
	 */
	public function getPrimaryKey()
	{
		return $this->getQuestionid();
	}

	/**
	 * Generic method to set the primary key (questionid column).
	 *
	 * @param      int $key Primary key.
	 * @return     void
	 */
	public function setPrimaryKey($key)
	{
		$this->setQuestionid($key);
	}

	/**
	 * Sets contents of passed object to values from current object.
	 *
	 * If desired, this method can also make copies of all associated (fkey referrers)
	 * objects.
	 *
	 * @param      object $copyObj An object of Question (or compatible) type.
	 * @param      boolean $deepCopy Whether to also copy all rows that refer (by fkey) to the current row.
	 * @throws     PropelException
	 */
	public function copyInto($copyObj, $deepCopy = false)
	{

		$copyObj->setNumber($this->number);

		$copyObj->setSubnumber($this->subnumber);

		$copyObj->setType($this->type);

		$copyObj->setIscoloredtab($this->iscoloredtab);

		$copyObj->setIscoloredschema($this->iscoloredschema);

		$copyObj->setRequiredquestion($this->requiredquestion);

		$copyObj->setPredictionquestion($this->predictionquestion);

		$copyObj->setCssclassname($this->cssclassname);


		if ($deepCopy) {
			// important: temporarily setNew(false) because this affects the behavior of
			// the getter/setter methods for fkey referrer objects.
			$copyObj->setNew(false);

			foreach ($this->getQuestionI18ns() as $relObj) {
				if ($relObj !== $this) {  // ensure that we don't try to copy a reference to ourselves
					$copyObj->addQuestionI18n($relObj->copy($deepCopy));
				}
			}

			foreach ($this->getAnswerYearss() as $relObj) {
				if ($relObj !== $this) {  // ensure that we don't try to copy a reference to ourselves
					$copyObj->addAnswerYears($relObj->copy($deepCopy));
				}
			}

			foreach ($this->getAnswerYearsRanges() as $relObj) {
				if ($relObj !== $this) {  // ensure that we don't try to copy a reference to ourselves
					$copyObj->addAnswerYearsRange($relObj->copy($deepCopy));
				}
			}

			foreach ($this->getAnswerLists() as $relObj) {
				if ($relObj !== $this) {  // ensure that we don't try to copy a reference to ourselves
					$copyObj->addAnswerList($relObj->copy($deepCopy));
				}
			}

		} // if ($deepCopy)


		$copyObj->setNew(true);

		$copyObj->setQuestionid(NULL); // this is a auto-increment column, so set to default value

	}

	/**
	 * Makes a copy of this object that will be inserted as a new row in table when saved.
	 * It creates a new object filling in the simple attributes, but skipping any primary
	 * keys that are defined for the table.
	 *
	 * If desired, this method can also make copies of all associated (fkey referrers)
	 * objects.
	 *
	 * @param      boolean $deepCopy Whether to also copy all rows that refer (by fkey) to the current row.
	 * @return     Question Clone of current object.
	 * @throws     PropelException
	 */
	public function copy($deepCopy = false)
	{
		// we use get_class(), because this might be a subclass
		$clazz = get_class($this);
		$copyObj = new $clazz();
		$this->copyInto($copyObj, $deepCopy);
		return $copyObj;
	}

	/**
	 * Returns a peer instance associated with this om.
	 *
	 * Since Peer classes are not to have any instance attributes, this method returns the
	 * same instance for all member of this class. The method could therefore
	 * be static, but this would prevent one from overriding the behavior.
	 *
	 * @return     QuestionPeer
	 */
	public function getPeer()
	{
		if (self::$peer === null) {
			self::$peer = new QuestionPeer();
		}
		return self::$peer;
	}

	/**
	 * Clears out the collQuestionI18ns collection (array).
	 *
	 * This does not modify the database; however, it will remove any associated objects, causing
	 * them to be refetched by subsequent calls to accessor method.
	 *
	 * @return     void
	 * @see        addQuestionI18ns()
	 */
	public function clearQuestionI18ns()
	{
		$this->collQuestionI18ns = null; // important to set this to NULL since that means it is uninitialized
	}

	/**
	 * Initializes the collQuestionI18ns collection (array).
	 *
	 * By default this just sets the collQuestionI18ns collection to an empty array (like clearcollQuestionI18ns());
	 * however, you may wish to override this method in your stub class to provide setting appropriate
	 * to your application -- for example, setting the initial array to the values stored in database.
	 *
	 * @return     void
	 */
	public function initQuestionI18ns()
	{
		$this->collQuestionI18ns = array();
	}

	/**
	 * Gets an array of QuestionI18n objects which contain a foreign key that references this object.
	 *
	 * If this collection has already been initialized with an identical Criteria, it returns the collection.
	 * Otherwise if this Question has previously been saved, it will retrieve
	 * related QuestionI18ns from storage. If this Question is new, it will return
	 * an empty collection or the current collection, the criteria is ignored on a new object.
	 *
	 * @param      PropelPDO $con
	 * @param      Criteria $criteria
	 * @return     array QuestionI18n[]
	 * @throws     PropelException
	 */
	public function getQuestionI18ns($criteria = null, PropelPDO $con = null)
	{
		if ($criteria === null) {
			$criteria = new Criteria(QuestionPeer::DATABASE_NAME);
		}
		elseif ($criteria instanceof Criteria)
		{
			$criteria = clone $criteria;
		}

		if ($this->collQuestionI18ns === null) {
			if ($this->isNew()) {
			   $this->collQuestionI18ns = array();
			} else {

				$criteria->add(QuestionI18nPeer::ID, $this->questionid);

				QuestionI18nPeer::addSelectColumns($criteria);
				$this->collQuestionI18ns = QuestionI18nPeer::doSelect($criteria, $con);
			}
		} else {
			// criteria has no effect for a new object
			if (!$this->isNew()) {
				// the following code is to determine if a new query is
				// called for.  If the criteria is the same as the last
				// one, just return the collection.


				$criteria->add(QuestionI18nPeer::ID, $this->questionid);

				QuestionI18nPeer::addSelectColumns($criteria);
				if (!isset($this->lastQuestionI18nCriteria) || !$this->lastQuestionI18nCriteria->equals($criteria)) {
					$this->collQuestionI18ns = QuestionI18nPeer::doSelect($criteria, $con);
				}
			}
		}
		$this->lastQuestionI18nCriteria = $criteria;
		return $this->collQuestionI18ns;
	}

	/**
	 * Returns the number of related QuestionI18n objects.
	 *
	 * @param      Criteria $criteria
	 * @param      boolean $distinct
	 * @param      PropelPDO $con
	 * @return     int Count of related QuestionI18n objects.
	 * @throws     PropelException
	 */
	public function countQuestionI18ns(Criteria $criteria = null, $distinct = false, PropelPDO $con = null)
	{
		if ($criteria === null) {
			$criteria = new Criteria(QuestionPeer::DATABASE_NAME);
		} else {
			$criteria = clone $criteria;
		}

		if ($distinct) {
			$criteria->setDistinct();
		}

		$count = null;

		if ($this->collQuestionI18ns === null) {
			if ($this->isNew()) {
				$count = 0;
			} else {

				$criteria->add(QuestionI18nPeer::ID, $this->questionid);

				$count = QuestionI18nPeer::doCount($criteria, false, $con);
			}
		} else {
			// criteria has no effect for a new object
			if (!$this->isNew()) {
				// the following code is to determine if a new query is
				// called for.  If the criteria is the same as the last
				// one, just return count of the collection.


				$criteria->add(QuestionI18nPeer::ID, $this->questionid);

				if (!isset($this->lastQuestionI18nCriteria) || !$this->lastQuestionI18nCriteria->equals($criteria)) {
					$count = QuestionI18nPeer::doCount($criteria, false, $con);
				} else {
					$count = count($this->collQuestionI18ns);
				}
			} else {
				$count = count($this->collQuestionI18ns);
			}
		}
		return $count;
	}

	/**
	 * Method called to associate a QuestionI18n object to this object
	 * through the QuestionI18n foreign key attribute.
	 *
	 * @param      QuestionI18n $l QuestionI18n
	 * @return     void
	 * @throws     PropelException
	 */
	public function addQuestionI18n(QuestionI18n $l)
	{
		if ($this->collQuestionI18ns === null) {
			$this->initQuestionI18ns();
		}
		if (!in_array($l, $this->collQuestionI18ns, true)) { // only add it if the **same** object is not already associated
			array_push($this->collQuestionI18ns, $l);
			$l->setQuestion($this);
		}
	}

	/**
	 * Clears out the collAnswerYearss collection (array).
	 *
	 * This does not modify the database; however, it will remove any associated objects, causing
	 * them to be refetched by subsequent calls to accessor method.
	 *
	 * @return     void
	 * @see        addAnswerYearss()
	 */
	public function clearAnswerYearss()
	{
		$this->collAnswerYearss = null; // important to set this to NULL since that means it is uninitialized
	}

	/**
	 * Initializes the collAnswerYearss collection (array).
	 *
	 * By default this just sets the collAnswerYearss collection to an empty array (like clearcollAnswerYearss());
	 * however, you may wish to override this method in your stub class to provide setting appropriate
	 * to your application -- for example, setting the initial array to the values stored in database.
	 *
	 * @return     void
	 */
	public function initAnswerYearss()
	{
		$this->collAnswerYearss = array();
	}

	/**
	 * Gets an array of AnswerYears objects which contain a foreign key that references this object.
	 *
	 * If this collection has already been initialized with an identical Criteria, it returns the collection.
	 * Otherwise if this Question has previously been saved, it will retrieve
	 * related AnswerYearss from storage. If this Question is new, it will return
	 * an empty collection or the current collection, the criteria is ignored on a new object.
	 *
	 * @param      PropelPDO $con
	 * @param      Criteria $criteria
	 * @return     array AnswerYears[]
	 * @throws     PropelException
	 */
	public function getAnswerYearss($criteria = null, PropelPDO $con = null)
	{
		if ($criteria === null) {
			$criteria = new Criteria(QuestionPeer::DATABASE_NAME);
		}
		elseif ($criteria instanceof Criteria)
		{
			$criteria = clone $criteria;
		}

		if ($this->collAnswerYearss === null) {
			if ($this->isNew()) {
			   $this->collAnswerYearss = array();
			} else {

				$criteria->add(AnswerYearsPeer::QUESTIONID, $this->questionid);

				AnswerYearsPeer::addSelectColumns($criteria);
				$this->collAnswerYearss = AnswerYearsPeer::doSelect($criteria, $con);
			}
		} else {
			// criteria has no effect for a new object
			if (!$this->isNew()) {
				// the following code is to determine if a new query is
				// called for.  If the criteria is the same as the last
				// one, just return the collection.


				$criteria->add(AnswerYearsPeer::QUESTIONID, $this->questionid);

				AnswerYearsPeer::addSelectColumns($criteria);
				if (!isset($this->lastAnswerYearsCriteria) || !$this->lastAnswerYearsCriteria->equals($criteria)) {
					$this->collAnswerYearss = AnswerYearsPeer::doSelect($criteria, $con);
				}
			}
		}
		$this->lastAnswerYearsCriteria = $criteria;
		return $this->collAnswerYearss;
	}

	/**
	 * Returns the number of related AnswerYears objects.
	 *
	 * @param      Criteria $criteria
	 * @param      boolean $distinct
	 * @param      PropelPDO $con
	 * @return     int Count of related AnswerYears objects.
	 * @throws     PropelException
	 */
	public function countAnswerYearss(Criteria $criteria = null, $distinct = false, PropelPDO $con = null)
	{
		if ($criteria === null) {
			$criteria = new Criteria(QuestionPeer::DATABASE_NAME);
		} else {
			$criteria = clone $criteria;
		}

		if ($distinct) {
			$criteria->setDistinct();
		}

		$count = null;

		if ($this->collAnswerYearss === null) {
			if ($this->isNew()) {
				$count = 0;
			} else {

				$criteria->add(AnswerYearsPeer::QUESTIONID, $this->questionid);

				$count = AnswerYearsPeer::doCount($criteria, false, $con);
			}
		} else {
			// criteria has no effect for a new object
			if (!$this->isNew()) {
				// the following code is to determine if a new query is
				// called for.  If the criteria is the same as the last
				// one, just return count of the collection.


				$criteria->add(AnswerYearsPeer::QUESTIONID, $this->questionid);

				if (!isset($this->lastAnswerYearsCriteria) || !$this->lastAnswerYearsCriteria->equals($criteria)) {
					$count = AnswerYearsPeer::doCount($criteria, false, $con);
				} else {
					$count = count($this->collAnswerYearss);
				}
			} else {
				$count = count($this->collAnswerYearss);
			}
		}
		return $count;
	}

	/**
	 * Method called to associate a AnswerYears object to this object
	 * through the AnswerYears foreign key attribute.
	 *
	 * @param      AnswerYears $l AnswerYears
	 * @return     void
	 * @throws     PropelException
	 */
	public function addAnswerYears(AnswerYears $l)
	{
		if ($this->collAnswerYearss === null) {
			$this->initAnswerYearss();
		}
		if (!in_array($l, $this->collAnswerYearss, true)) { // only add it if the **same** object is not already associated
			array_push($this->collAnswerYearss, $l);
			$l->setQuestion($this);
		}
	}


	/**
	 * If this collection has already been initialized with
	 * an identical criteria, it returns the collection.
	 * Otherwise if this Question is new, it will return
	 * an empty collection; or if this Question has previously
	 * been saved, it will retrieve related AnswerYearss from storage.
	 *
	 * This method is protected by default in order to keep the public
	 * api reasonable.  You can provide public methods for those you
	 * actually need in Question.
	 */
	public function getAnswerYearssJoinCompany($criteria = null, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		if ($criteria === null) {
			$criteria = new Criteria(QuestionPeer::DATABASE_NAME);
		}
		elseif ($criteria instanceof Criteria)
		{
			$criteria = clone $criteria;
		}

		if ($this->collAnswerYearss === null) {
			if ($this->isNew()) {
				$this->collAnswerYearss = array();
			} else {

				$criteria->add(AnswerYearsPeer::QUESTIONID, $this->questionid);

				$this->collAnswerYearss = AnswerYearsPeer::doSelectJoinCompany($criteria, $con, $join_behavior);
			}
		} else {
			// the following code is to determine if a new query is
			// called for.  If the criteria is the same as the last
			// one, just return the collection.

			$criteria->add(AnswerYearsPeer::QUESTIONID, $this->questionid);

			if (!isset($this->lastAnswerYearsCriteria) || !$this->lastAnswerYearsCriteria->equals($criteria)) {
				$this->collAnswerYearss = AnswerYearsPeer::doSelectJoinCompany($criteria, $con, $join_behavior);
			}
		}
		$this->lastAnswerYearsCriteria = $criteria;

		return $this->collAnswerYearss;
	}

	/**
	 * Clears out the collAnswerYearsRanges collection (array).
	 *
	 * This does not modify the database; however, it will remove any associated objects, causing
	 * them to be refetched by subsequent calls to accessor method.
	 *
	 * @return     void
	 * @see        addAnswerYearsRanges()
	 */
	public function clearAnswerYearsRanges()
	{
		$this->collAnswerYearsRanges = null; // important to set this to NULL since that means it is uninitialized
	}

	/**
	 * Initializes the collAnswerYearsRanges collection (array).
	 *
	 * By default this just sets the collAnswerYearsRanges collection to an empty array (like clearcollAnswerYearsRanges());
	 * however, you may wish to override this method in your stub class to provide setting appropriate
	 * to your application -- for example, setting the initial array to the values stored in database.
	 *
	 * @return     void
	 */
	public function initAnswerYearsRanges()
	{
		$this->collAnswerYearsRanges = array();
	}

	/**
	 * Gets an array of AnswerYearsRange objects which contain a foreign key that references this object.
	 *
	 * If this collection has already been initialized with an identical Criteria, it returns the collection.
	 * Otherwise if this Question has previously been saved, it will retrieve
	 * related AnswerYearsRanges from storage. If this Question is new, it will return
	 * an empty collection or the current collection, the criteria is ignored on a new object.
	 *
	 * @param      PropelPDO $con
	 * @param      Criteria $criteria
	 * @return     array AnswerYearsRange[]
	 * @throws     PropelException
	 */
	public function getAnswerYearsRanges($criteria = null, PropelPDO $con = null)
	{
		if ($criteria === null) {
			$criteria = new Criteria(QuestionPeer::DATABASE_NAME);
		}
		elseif ($criteria instanceof Criteria)
		{
			$criteria = clone $criteria;
		}

		if ($this->collAnswerYearsRanges === null) {
			if ($this->isNew()) {
			   $this->collAnswerYearsRanges = array();
			} else {

				$criteria->add(AnswerYearsRangePeer::QUESTIONID, $this->questionid);

				AnswerYearsRangePeer::addSelectColumns($criteria);
				$this->collAnswerYearsRanges = AnswerYearsRangePeer::doSelect($criteria, $con);
			}
		} else {
			// criteria has no effect for a new object
			if (!$this->isNew()) {
				// the following code is to determine if a new query is
				// called for.  If the criteria is the same as the last
				// one, just return the collection.


				$criteria->add(AnswerYearsRangePeer::QUESTIONID, $this->questionid);

				AnswerYearsRangePeer::addSelectColumns($criteria);
				if (!isset($this->lastAnswerYearsRangeCriteria) || !$this->lastAnswerYearsRangeCriteria->equals($criteria)) {
					$this->collAnswerYearsRanges = AnswerYearsRangePeer::doSelect($criteria, $con);
				}
			}
		}
		$this->lastAnswerYearsRangeCriteria = $criteria;
		return $this->collAnswerYearsRanges;
	}

	/**
	 * Returns the number of related AnswerYearsRange objects.
	 *
	 * @param      Criteria $criteria
	 * @param      boolean $distinct
	 * @param      PropelPDO $con
	 * @return     int Count of related AnswerYearsRange objects.
	 * @throws     PropelException
	 */
	public function countAnswerYearsRanges(Criteria $criteria = null, $distinct = false, PropelPDO $con = null)
	{
		if ($criteria === null) {
			$criteria = new Criteria(QuestionPeer::DATABASE_NAME);
		} else {
			$criteria = clone $criteria;
		}

		if ($distinct) {
			$criteria->setDistinct();
		}

		$count = null;

		if ($this->collAnswerYearsRanges === null) {
			if ($this->isNew()) {
				$count = 0;
			} else {

				$criteria->add(AnswerYearsRangePeer::QUESTIONID, $this->questionid);

				$count = AnswerYearsRangePeer::doCount($criteria, false, $con);
			}
		} else {
			// criteria has no effect for a new object
			if (!$this->isNew()) {
				// the following code is to determine if a new query is
				// called for.  If the criteria is the same as the last
				// one, just return count of the collection.


				$criteria->add(AnswerYearsRangePeer::QUESTIONID, $this->questionid);

				if (!isset($this->lastAnswerYearsRangeCriteria) || !$this->lastAnswerYearsRangeCriteria->equals($criteria)) {
					$count = AnswerYearsRangePeer::doCount($criteria, false, $con);
				} else {
					$count = count($this->collAnswerYearsRanges);
				}
			} else {
				$count = count($this->collAnswerYearsRanges);
			}
		}
		return $count;
	}

	/**
	 * Method called to associate a AnswerYearsRange object to this object
	 * through the AnswerYearsRange foreign key attribute.
	 *
	 * @param      AnswerYearsRange $l AnswerYearsRange
	 * @return     void
	 * @throws     PropelException
	 */
	public function addAnswerYearsRange(AnswerYearsRange $l)
	{
		if ($this->collAnswerYearsRanges === null) {
			$this->initAnswerYearsRanges();
		}
		if (!in_array($l, $this->collAnswerYearsRanges, true)) { // only add it if the **same** object is not already associated
			array_push($this->collAnswerYearsRanges, $l);
			$l->setQuestion($this);
		}
	}


	/**
	 * If this collection has already been initialized with
	 * an identical criteria, it returns the collection.
	 * Otherwise if this Question is new, it will return
	 * an empty collection; or if this Question has previously
	 * been saved, it will retrieve related AnswerYearsRanges from storage.
	 *
	 * This method is protected by default in order to keep the public
	 * api reasonable.  You can provide public methods for those you
	 * actually need in Question.
	 */
	public function getAnswerYearsRangesJoinCompany($criteria = null, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		if ($criteria === null) {
			$criteria = new Criteria(QuestionPeer::DATABASE_NAME);
		}
		elseif ($criteria instanceof Criteria)
		{
			$criteria = clone $criteria;
		}

		if ($this->collAnswerYearsRanges === null) {
			if ($this->isNew()) {
				$this->collAnswerYearsRanges = array();
			} else {

				$criteria->add(AnswerYearsRangePeer::QUESTIONID, $this->questionid);

				$this->collAnswerYearsRanges = AnswerYearsRangePeer::doSelectJoinCompany($criteria, $con, $join_behavior);
			}
		} else {
			// the following code is to determine if a new query is
			// called for.  If the criteria is the same as the last
			// one, just return the collection.

			$criteria->add(AnswerYearsRangePeer::QUESTIONID, $this->questionid);

			if (!isset($this->lastAnswerYearsRangeCriteria) || !$this->lastAnswerYearsRangeCriteria->equals($criteria)) {
				$this->collAnswerYearsRanges = AnswerYearsRangePeer::doSelectJoinCompany($criteria, $con, $join_behavior);
			}
		}
		$this->lastAnswerYearsRangeCriteria = $criteria;

		return $this->collAnswerYearsRanges;
	}

	/**
	 * Clears out the collAnswerLists collection (array).
	 *
	 * This does not modify the database; however, it will remove any associated objects, causing
	 * them to be refetched by subsequent calls to accessor method.
	 *
	 * @return     void
	 * @see        addAnswerLists()
	 */
	public function clearAnswerLists()
	{
		$this->collAnswerLists = null; // important to set this to NULL since that means it is uninitialized
	}

	/**
	 * Initializes the collAnswerLists collection (array).
	 *
	 * By default this just sets the collAnswerLists collection to an empty array (like clearcollAnswerLists());
	 * however, you may wish to override this method in your stub class to provide setting appropriate
	 * to your application -- for example, setting the initial array to the values stored in database.
	 *
	 * @return     void
	 */
	public function initAnswerLists()
	{
		$this->collAnswerLists = array();
	}

	/**
	 * Gets an array of AnswerList objects which contain a foreign key that references this object.
	 *
	 * If this collection has already been initialized with an identical Criteria, it returns the collection.
	 * Otherwise if this Question has previously been saved, it will retrieve
	 * related AnswerLists from storage. If this Question is new, it will return
	 * an empty collection or the current collection, the criteria is ignored on a new object.
	 *
	 * @param      PropelPDO $con
	 * @param      Criteria $criteria
	 * @return     array AnswerList[]
	 * @throws     PropelException
	 */
	public function getAnswerLists($criteria = null, PropelPDO $con = null)
	{
		if ($criteria === null) {
			$criteria = new Criteria(QuestionPeer::DATABASE_NAME);
		}
		elseif ($criteria instanceof Criteria)
		{
			$criteria = clone $criteria;
		}

		if ($this->collAnswerLists === null) {
			if ($this->isNew()) {
			   $this->collAnswerLists = array();
			} else {

				$criteria->add(AnswerListPeer::QUESTIONID, $this->questionid);

				AnswerListPeer::addSelectColumns($criteria);
				$this->collAnswerLists = AnswerListPeer::doSelect($criteria, $con);
			}
		} else {
			// criteria has no effect for a new object
			if (!$this->isNew()) {
				// the following code is to determine if a new query is
				// called for.  If the criteria is the same as the last
				// one, just return the collection.


				$criteria->add(AnswerListPeer::QUESTIONID, $this->questionid);

				AnswerListPeer::addSelectColumns($criteria);
				if (!isset($this->lastAnswerListCriteria) || !$this->lastAnswerListCriteria->equals($criteria)) {
					$this->collAnswerLists = AnswerListPeer::doSelect($criteria, $con);
				}
			}
		}
		$this->lastAnswerListCriteria = $criteria;
		return $this->collAnswerLists;
	}

	/**
	 * Returns the number of related AnswerList objects.
	 *
	 * @param      Criteria $criteria
	 * @param      boolean $distinct
	 * @param      PropelPDO $con
	 * @return     int Count of related AnswerList objects.
	 * @throws     PropelException
	 */
	public function countAnswerLists(Criteria $criteria = null, $distinct = false, PropelPDO $con = null)
	{
		if ($criteria === null) {
			$criteria = new Criteria(QuestionPeer::DATABASE_NAME);
		} else {
			$criteria = clone $criteria;
		}

		if ($distinct) {
			$criteria->setDistinct();
		}

		$count = null;

		if ($this->collAnswerLists === null) {
			if ($this->isNew()) {
				$count = 0;
			} else {

				$criteria->add(AnswerListPeer::QUESTIONID, $this->questionid);

				$count = AnswerListPeer::doCount($criteria, false, $con);
			}
		} else {
			// criteria has no effect for a new object
			if (!$this->isNew()) {
				// the following code is to determine if a new query is
				// called for.  If the criteria is the same as the last
				// one, just return count of the collection.


				$criteria->add(AnswerListPeer::QUESTIONID, $this->questionid);

				if (!isset($this->lastAnswerListCriteria) || !$this->lastAnswerListCriteria->equals($criteria)) {
					$count = AnswerListPeer::doCount($criteria, false, $con);
				} else {
					$count = count($this->collAnswerLists);
				}
			} else {
				$count = count($this->collAnswerLists);
			}
		}
		return $count;
	}

	/**
	 * Method called to associate a AnswerList object to this object
	 * through the AnswerList foreign key attribute.
	 *
	 * @param      AnswerList $l AnswerList
	 * @return     void
	 * @throws     PropelException
	 */
	public function addAnswerList(AnswerList $l)
	{
		if ($this->collAnswerLists === null) {
			$this->initAnswerLists();
		}
		if (!in_array($l, $this->collAnswerLists, true)) { // only add it if the **same** object is not already associated
			array_push($this->collAnswerLists, $l);
			$l->setQuestion($this);
		}
	}


	/**
	 * If this collection has already been initialized with
	 * an identical criteria, it returns the collection.
	 * Otherwise if this Question is new, it will return
	 * an empty collection; or if this Question has previously
	 * been saved, it will retrieve related AnswerLists from storage.
	 *
	 * This method is protected by default in order to keep the public
	 * api reasonable.  You can provide public methods for those you
	 * actually need in Question.
	 */
	public function getAnswerListsJoinCompany($criteria = null, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		if ($criteria === null) {
			$criteria = new Criteria(QuestionPeer::DATABASE_NAME);
		}
		elseif ($criteria instanceof Criteria)
		{
			$criteria = clone $criteria;
		}

		if ($this->collAnswerLists === null) {
			if ($this->isNew()) {
				$this->collAnswerLists = array();
			} else {

				$criteria->add(AnswerListPeer::QUESTIONID, $this->questionid);

				$this->collAnswerLists = AnswerListPeer::doSelectJoinCompany($criteria, $con, $join_behavior);
			}
		} else {
			// the following code is to determine if a new query is
			// called for.  If the criteria is the same as the last
			// one, just return the collection.

			$criteria->add(AnswerListPeer::QUESTIONID, $this->questionid);

			if (!isset($this->lastAnswerListCriteria) || !$this->lastAnswerListCriteria->equals($criteria)) {
				$this->collAnswerLists = AnswerListPeer::doSelectJoinCompany($criteria, $con, $join_behavior);
			}
		}
		$this->lastAnswerListCriteria = $criteria;

		return $this->collAnswerLists;
	}

	/**
	 * Resets all collections of referencing foreign keys.
	 *
	 * This method is a user-space workaround for PHP's inability to garbage collect objects
	 * with circular references.  This is currently necessary when using Propel in certain
	 * daemon or large-volumne/high-memory operations.
	 *
	 * @param      boolean $deep Whether to also clear the references on all associated objects.
	 */
	public function clearAllReferences($deep = false)
	{
		if ($deep) {
			if ($this->collQuestionI18ns) {
				foreach ((array) $this->collQuestionI18ns as $o) {
					$o->clearAllReferences($deep);
				}
			}
			if ($this->collAnswerYearss) {
				foreach ((array) $this->collAnswerYearss as $o) {
					$o->clearAllReferences($deep);
				}
			}
			if ($this->collAnswerYearsRanges) {
				foreach ((array) $this->collAnswerYearsRanges as $o) {
					$o->clearAllReferences($deep);
				}
			}
			if ($this->collAnswerLists) {
				foreach ((array) $this->collAnswerLists as $o) {
					$o->clearAllReferences($deep);
				}
			}
		} // if ($deep)

		$this->collQuestionI18ns = null;
		$this->collAnswerYearss = null;
		$this->collAnswerYearsRanges = null;
		$this->collAnswerLists = null;
	}

	// symfony_behaviors behavior
	
	/**
	 * Calls methods defined via {@link sfMixer}.
	 */
	public function __call($method, $arguments)
	{
	  if (!$callable = sfMixer::getCallable('BaseQuestion:'.$method))
	  {
	    throw new sfException(sprintf('Call to undefined method BaseQuestion::%s', $method));
	  }
	
	  array_unshift($arguments, $this);
	
	  return call_user_func_array($callable, $arguments);
	}

	// symfony_i18n behavior
	
	/**
	 * Returns the culture.
	 *
	 * @return string The culture
	 */
	public function getCulture()
	{
	  return $this->culture;
	}
	
	/**
	 * Sets the culture.
	 *
	 * @param string  The culture to set
	 *
	 * @return Question
	 */
	public function setCulture($culture)
	{
	  $this->culture = $culture;
	  return $this;
	}
	
	/**
	 * Returns the "questionText" value from the current {@link QuestionI18n}.
	 */
	public function getQuestiontext($culture = null)
	{
	  return $this->getCurrentQuestionI18n($culture)->getQuestiontext();
	}
	
	/**
	 * Sets the "questionText" value of the current {@link QuestionI18n}.
	 *
	 * @return Question
	 */
	public function setQuestiontext($value, $culture = null)
	{
	  $this->getCurrentQuestionI18n($culture)->setQuestiontext($value);
	  return $this;
	}
	
	/**
	 * Returns the "answerHeader" value from the current {@link QuestionI18n}.
	 */
	public function getAnswerheader($culture = null)
	{
	  return $this->getCurrentQuestionI18n($culture)->getAnswerheader();
	}
	
	/**
	 * Sets the "answerHeader" value of the current {@link QuestionI18n}.
	 *
	 * @return Question
	 */
	public function setAnswerheader($value, $culture = null)
	{
	  $this->getCurrentQuestionI18n($culture)->setAnswerheader($value);
	  return $this;
	}
	
	/**
	 * Returns the "questionFooter" value from the current {@link QuestionI18n}.
	 */
	public function getQuestionfooter($culture = null)
	{
	  return $this->getCurrentQuestionI18n($culture)->getQuestionfooter();
	}
	
	/**
	 * Sets the "questionFooter" value of the current {@link QuestionI18n}.
	 *
	 * @return Question
	 */
	public function setQuestionfooter($value, $culture = null)
	{
	  $this->getCurrentQuestionI18n($culture)->setQuestionfooter($value);
	  return $this;
	}
	
	/**
	 * Returns the current translation.
	 *
	 * @return QuestionI18n
	 */
	public function getCurrentQuestionI18n($culture = null)
	{
	  if (null === $culture)
	  {
	    $culture = null === $this->culture ? sfPropel::getDefaultCulture() : $this->culture;
	  }
	
	  if (!isset($this->current_i18n[$culture]))
	  {
	    $object = $this->isNew() ? null : QuestionI18nPeer::retrieveByPK($this->getPrimaryKey(), $culture);
	    if ($object)
	    {
	      $this->setQuestionI18nForCulture($object, $culture);
	    }
	    else
	    {
	      $this->setQuestionI18nForCulture(new QuestionI18n(), $culture);
	      $this->current_i18n[$culture]->setCulture($culture);
	    }
	  }
	
	  return $this->current_i18n[$culture];
	}
	
	/**
	 * Sets the translation object for a culture.
	 */
	public function setQuestionI18nForCulture(QuestionI18n $object, $culture)
	{
	  $this->current_i18n[$culture] = $object;
	  $this->addQuestionI18n($object);
	}
	
	/**
	 * @see QuestionI18n
	 */
	public function __toString()
	{
	  return (string) $this->getCurrentQuestionI18n();
	}

} // BaseQuestion
